<?php

include "../include/include.inc.php";

if(!$core['ingelogd'] || empty($_GET['id']) || !is_numeric($_GET['id']))
{
   bericht('Je kunt geen artikelen bewerken omdat je niet bent ingelogd. Het kan ook zijn dat je geen geldig ID-nummer hebt opgegeven');
}

$s_info = $sql->query("SELECT a.id, a.titel, a.cat, a.auteur, l.gebruikersnaam, a.artikel AS bericht, a.gekeurd
                       FROM artikelen AS a, leden AS l
                       WHERE a.id = '" . $_GET['id'] . "' AND l.id = a.auteur");
$f_a = $sql->fetch($s_info);

if(!$sql->num_rows($s_info) || ($f_a['auteur'] != $core['lid_id'] && $core['status'] < 3))
{
   bericht("Het artikel dat je had willen bewerken is niet gevonden, is niet van jou of je hebt niet de benodigde rechten om het alsnog te bewerken.");
}

if(!empty($_POST['keuren']) && $core['status'] > 2)
{
   $sql->query("UPDATE artikelen SET gekeurd = 1 WHERE id = " . $_GET['id']);
   $sql->query("UPDATE categorieen SET aantal = aantal + 1 WHERE id = " . $f_a['cat']);

   forward("Het artikel is goedgekeurd en staat nu tussen de artikelen.", url . "artikelen/artikel/" . $_GET['id']);
}
elseif(!empty($_POST['bewerken']))
{
   $fout = array();

   $bb->preparse($_POST['bericht']);

   if(empty($data["titel"]) || strlen($data["titel"]) < 4 || strlen($data["titel"]) > 60)
      $fout[] = "Je titel is korter dan 4 tekens of langer dan 60 tekens.";

   if(empty($_POST["bericht"]) || !check_smilies($_POST["bericht"]))
      $fout[] = "Het artikel is leeg of bevat te veel smilies.";

   if(!fouten_verwerken($fout))
   {
      $sql->query("UPDATE artikelen SET titel = '" . $data['titel'] . "', artikel = '" . $_POST['bericht'] . "', cat = '" . $data['categorie'] . "', gekeurd = 0 WHERE id = " . $_GET['id']);

      if($f_a['gekeurd'] == 1)
         $sql->query("UPDATE categorieen SET aantal = aantal - 1 WHERE id = " . $f_a['cat']);

      forward("Het artikel is succesvol bewerkt en zal opnieuw tussen de artikelen verschijnen als het opnieuw gekeurd is.", url . "artikelen/artikel/" . $_GET['id']);
   }
}

$tpl->get_template('site_header,site_tabel_header,artikelen_bewerken,tabel_footer,site_footer');

$formulier = formulier("bericht", $f_a['bericht'], "artikel_bewerken", 60, 15);    

if($core["status"] >= 4)
   $html = "#006600";
else
   $html = "red";

$s_cats = $sql->query("SELECT titel, id FROM categorieen WHERE cat_id = 1");

$cats = array();

while($f_c = $sql->fetch($s_cats))
{
   if($f_c['id'] == $f_a['cat'])
      $cats[] = "<option value=\"" .$f_c['id']. "\" selected>" . $f_c['titel'] . "</option>";
   else
      $cats[] = "<option value=\"" .$f_c['id']. "\">" . $f_c['titel'] . "</option>";
}

if($core['status'] > 2 && $f_a['gekeurd'] == 0)
   $tpl->block('artikelen_bewerken', 'admin_opties');

$tpl->assign(array('site_header.titel'             => 'Artikel bewerken'      ,
                   'site_tabel_header.titel'       => 'Artikel bewerken'      ,
                   "artikelen_bewerken.formulier"  => $formulier              ,
                   "artikelen_bewerken.bb"         => "#006600"               ,
                   "artikelen_bewerken.html"       => $html                   ,
                   "artikelen_bewerken.img"        => "#006600"               ,
                   "artikelen_bewerken.smilies"    => "#006600"               ,
                   "artikelen_bewerken.cats"       => implode("\n", $cats)    ,
                   "artikelen_bewerken.titel"      => $f_a['titel']           ,
                   "artikelen_bewerken.auteur"     => $f_a['gebruikersnaam']  ,
                   "artikelen_bewerken.id"         => $f_a['id']              ,
                  ));

include pad . "include/output.inc.php";

?>