<?php

include "../include/include.inc.php";

$_GET["id"] = !isset($_GET["id"]) || !is_numeric($_GET["id"]) ? "" : $_GET["id"];

$s_a = $sql->query("SELECT
                   a.id, a.titel, a.auteur AS auteur_id, a.datum, a.bekeken,
                   c.titel AS cat_titel, c.id AS cat,
                   l.gebruikersnaam AS auteur
                   FROM categorieen AS c
                   LEFT JOIN artikelen AS a ON a.cat = c.id AND a.gekeurd = 1
                   LEFT JOIN leden AS l ON l.id = a.auteur
                   WHERE c.id = '".$_GET["id"]."' AND c.cat_id = 1
                   GROUP BY a.id 
                   ORDER BY a.titel ASC");
   
if(!$sql->num_rows($s_a))
   bericht("Er is geen categorie opgegeven, deze bestaat niet of hoort niet bij de artikelen module.");
else
{
   $s_cats = $sql->query("SELECT 
                         c.titel, c.beschrijving, c.aantal, c.id
                         FROM categorieen AS c 
                         WHERE cat_id = 1
                         ORDER BY titel ASC");

   $categorie_select = "";
   while($f_cat = $sql->fetch($s_cats))
   {
      if($f_cat["id"] == $_GET["id"])
      {
         $titel = $f_cat["titel"];
      }

      $categorie_select .= "<option value=\"".url."artikelen/categorie?id=".$f_cat["id"]."\">".$f_cat["titel"]."</option>";
   }

   $tpl->get_template('site_header,site_tabel_header,artikelen_cat_header');

   $tpl->assign(array('site_header.titel'                   => "Artikelen &rsaquo; ".$titel,
                      'site_tabel_header.titel'             => "Artikelen &rsaquo; ".$titel,
                      'artikelen_cat_header.titel'          => $titel                      ,
                     ));

   $rating = new rating;   
   
   while($f_a = $sql->fetch($s_a))
   {
      if(!empty($f_a['titel']))
      {
         $rating->select_info(1, $f_a['id']);           

         $tpl->get_template('artikelen_cat_artikel');

         $tpl->assign(array("artikelen_cat_artikel.bekeken"   => $f_a["bekeken"]                          ,
                            "artikelen_cat_artikel.titel"     => $f_a["titel"],
                            "artikelen_cat_artikel.datum"     => date("d-m-Y", $f_a["datum"])             ,
                            "artikelen_cat_artikel.id"        => $f_a["id"]                               ,
                            "artikelen_cat_artikel.auteur_id" => $f_a["auteur_id"]                        ,
                            "artikelen_cat_artikel.auteur"    => $f_a["auteur"]                           ,
                            "artikelen_cat_artikel.rating"    => $rating->get_sum()                       ,
                           ));
      }
      else
      {
         $tpl->get_template('artikelen_cat_geen');
      }
   }

   $tpl->get_template('artikelen_cat_footer,tabel_footer,site_footer');

   $tpl->assign('artikelen_cat_footer.categorie_select', $categorie_select);
}

include pad."include/output.inc.php";

?>
