<?php

include "../include/include.inc.php";

$s_cats = $sql->query("SELECT 
                      c.titel, c.beschrijving, c.aantal, c.id
                      FROM categorieen AS c 
                      WHERE cat_id = 1
                      ORDER BY titel ASC");

$tpl->get_template('site_header,site_tabel_header');

$tpl->assign(array('site_tabel_header.titel' => 'Artikelen',
                   'site_header.titel'       => 'Artikelen',
                  ));

if(!$sql->num_rows($s_cats))
{
   $tpl->get_template("artikelen_geen_cats");      
}
else
{
   $categorie_select = "";

   while($f_cat = $sql->fetch($s_cats))
   {
      $tpl->get_template("artikelen_categorie");

      $f_cat["aantal"] = $f_cat["aantal"] == 1 ? "1 artikel" : $f_cat["aantal"]." artikelen";

      $categorie_select .= "<option value=".$f_cat["id"].">".$f_cat["titel"]."</option>";

      $tpl->assign(array("artikelen_categorie.beschrijving" => tekst_parsen($f_cat["beschrijving"], 5),
                         "artikelen_categorie.titel"        => $f_cat["titel"]                        ,
                         "artikelen_categorie.id"           => $f_cat["id"]                           ,
                         "artikelen_categorie.aantal"       => $f_cat["aantal"]                       ,
                        ));
   }

   $s_laatste = $sql->query("SELECT
                            a.id, a.titel, a.auteur AS auteur_id, a.datum, a.bekeken,
                            c.titel AS cat_titel, c.id AS cat,
                            l.gebruikersnaam AS auteur
                            FROM artikelen AS a, categorieen AS c, leden AS l
                            WHERE l.id = a.auteur AND c.id = a.cat AND a.gekeurd = 1
                            ORDER BY a.datum DESC, a.titel ASC
                            LIMIT 0, 5");

   $tpl->get_template('artikelen_midden');

   if(!$sql->num_rows($s_laatste))
   {
      $tpl->get_template('artikelen_geen_nieuwste');
   }      
   else
   {
      while($f_artikel = $sql->fetch($s_laatste))
      {
         $tpl->get_template("artikelen_nieuwste");
            
         $tpl->assign(array("artikelen_nieuwste.titel"     => $f_artikel["titel"]               ,
                            "artikelen_nieuwste.id"        => $f_artikel["id"]                  ,
                            "artikelen_nieuwste.datum"     => date("d-m-Y", $f_artikel["datum"]),
                            "artikelen_nieuwste.categorie" => $f_artikel["cat_titel"]           ,
                            "artikelen_nieuwste.cat_id"    => $f_artikel["cat"]                 , 
                            "artikelen_nieuwste.bekeken"   => $f_artikel["bekeken"]             ,
                           ));
      }
   }
}

$tpl->get_template('artikelen_footer,tabel_footer,site_footer');

include pad."include/output.inc.php";
   
?>