<?php

include "../include/include.inc.php";

if(!$core['ingelogd'])
{
   bericht('Je kunt geen artikelen toevoegen omdat je niet bent ingelogd.');
}

if(!empty($_POST['toevoegen']))
{
   $fout = array();

   $bb->preparse($_POST['bericht']);

   if(empty($data["titel"]) || strlen($data["titel"]) < 4 || strlen($data["titel"]) > 60)
      $fout[] = "Je titel is korter dan 4 tekens of langer dan 60 tekens.";

   if(empty($_POST["bericht"]) || !check_smilies($_POST["bericht"]))
      $fout[] = "Het artikel is leeg of bevat te veel smilies.";

   $s_sleutel = $sql->query("SELECT COUNT(sleutel) FROM flood WHERE sleutel = '".$data["sleutel"]."'");
   
   if(!$sql->result($s_sleutel, 0))
      forward("Je hebt zonet al een artikel toegevoegd!", url."forums/artikelen/");

   if(!fouten_verwerken($fout) && $_POST["toevoegen"] == "Preview")
   {
      $tpl->get_template("site_header,site_tabel_header,forums_preview,tabel_footer,site_footer");

      $tpl->assign(array("site_tabel_header.titel"  => "Preview van je artikel"                                      , 
                         "site_header.titel"        => "Preview"                                                     ,
                         "forums_preview.titel"     => $data["titel"]                                                ,
                         "forums_preview.bericht"   => tekst_parsen(stripslashes($_POST["bericht"]), $core["status"]),
                        ));

      include pad . "include/output.inc.php";
      exit;
   }
   else
   {
      $sql->query("DELETE FROM flood WHERE sleutel = '".$data["sleutel"]."'");

      $sql->query("INSERT INTO artikelen (id, cat, datum, auteur, titel, artikel, bekeken, gekeurd, gesloten)
                   VALUES (NULL, " . $data['categorie'] . ", UNIX_TIMESTAMP(), " . $core['lid_id'] . ", '" . $data['titel'] . "', '" . $_POST['bericht'] . "', 0, 0, 0)");

      forward("Het artikel is succesvol toegevoegd en zal tussen de artikelen verschijnen als het gekeurd is.", url . "artikelen/");
   }
}

$tpl->get_template('site_header,site_tabel_header,artikelen_toevoegen,tabel_footer,site_footer');

$formulier = formulier("bericht", "", "artikel_toevoegen", 60, 15);    

if($core["status"] >= 3)
   $html = "#006600";
else
   $html = "red";

$s_cats = $sql->query("SELECT titel, id FROM categorieen WHERE cat_id = 1");

$cats = array();

while($f_c = $sql->fetch($s_cats))
{
   $cats[] = "<option value=\"" .$f_c['id']. "\">" . $f_c['titel'] . "</option>";
}

$sleutel = sleutel(15);
$sql->query("INSERT INTO flood (sleutel, tijd) VALUES ('".$sleutel."', '".time()."')");

$tpl->assign(array('site_header.titel'             => 'Artikel toevoegen'     ,
                   'site_tabel_header.titel'       => 'Artikel toevoegen'     ,
                   "artikelen_toevoegen.formulier" => $formulier              ,
                   "artikelen_toevoegen.sleutel"   => $sleutel                ,
                   "artikelen_toevoegen.bb"        => "#006600"               ,
                   "artikelen_toevoegen.html"      => $html                   ,
                   "artikelen_toevoegen.img"       => "#006600"               ,
                   "artikelen_toevoegen.smilies"   => "#006600"               ,
                   "artikelen_toevoegen.cats"      => implode("\n", $cats),
                  ));

include pad . "include/output.inc.php";

?>