<?php

include '../../include/include.inc.php';

if($core["status"] != 5)
{
   bericht("Je hebt niet de benodigde rechten om deze pagina te bekijken.");
}

if(!empty($_GET['mode']) && $_GET['mode'] == 'verwijderen' && is_numeric($_GET['id']))
{
   $s_lp = $sql->query("SELECT COUNT(id) FROM faq WHERE id = " . $_GET['id']);

   if($sql->result($s_lp, 0))
   {
      $sql->query("DELETE FROM faq WHERE id = " . $_GET['id']);

      forward('Het FAQ-onderwerp is succesvol verwijderd!', url .'beheer/faq');
   }
   else
   {
      forward('Het FAQ-onderwerp is niet gevonden en dus niet verwijderd!', url .'beheer/faq');
   }
}
elseif(!empty($_GET['mode']) && $_GET['mode'] == 'bewerken' && is_numeric($_GET['id']))
{
   $s_faq = $sql->query("SELECT vraag, antwoord FROM faq WHERE id = " . $_GET['id']);
   $f_faq = $sql->fetch($s_faq);

   if(!$sql->num_rows($s_faq))
   {
      bericht('Het opgevraagde FAQ-onderwerp is niet gevonden, controleer de link.');
   }

   if(!empty($_POST['bewerken']))
   {
      $fout = array();

      $_POST["antwoord"] = $bb->preparse($_POST["antwoord"]);

      if(strlen($data['vraag']) < 4 || strlen($data['vraag']) > 100)
      {
         $fout[] = 'De vraag is langer dan 100 tekens of korter dan 4 tekens.';
      }

      if(empty($_POST["antwoord"]) || !check_smilies($_POST["antwoord"]))
      {
         $fout[] = "Je hebt geen antwoord opgegeven, of er komen teveel smilies in voor.";
      }

      if(!fouten_verwerken($fout))
      {
         $sql->query("UPDATE faq SET vraag = '" .$data['vraag']. "', antwoord = '" .$_POST['antwoord']. "' WHERE id = " . $_GET['id']);

         forward('Het FAQ-onderwerp is succesvol bewerkt!', url . 'beheer/faq');
      }
   }

   $tpl->get_template('site_header,site_tabel_header,beheer_header,beheer_faq_bewerken,beheer_footer,tabel_footer,site_footer');

   ## Formulier voor offline beschrijving
   $antwoord = formulier("antwoord", $f_faq['antwoord'], "faq", 55, 10);

   $tpl->assign(array('site_header.titel'            => 'FAQ-onderwerp bewerken' ,
                      'site_tabel_header.titel'      => 'FAQ-onderwerp bewerken' ,
                      'beheer_faq_bewerken.vraag'    => $f_faq['vraag']          ,
                      'beheer_faq_bewerken.id'       => $_GET['id']              ,
                      "beheer_faq_bewerken.bb"       => "#006600"                , 
                      "beheer_faq_bewerken.html"     => "#006600"                ,
                      "beheer_faq_bewerken.img"      => "#006600"                ,
                      "beheer_faq_bewerken.smilies"  => "#006600"                ,
                      "beheer_faq_bewerken.antwoord" => $antwoord                ,
                     ));
}
elseif(!empty($_GET['mode']) && $_GET['mode'] == 'toevoegen')
{
   if(!empty($_POST['toevoegen']))
   {
      $fout = array();

      $_POST["antwoord"] = $bb->preparse($_POST["antwoord"]);

      if(strlen($data['vraag']) < 4 || strlen($data['vraag']) > 100)
      {
         $fout[] = 'De vraag is langer dan 100 tekens of korter dan 4 tekens.';
      }

      if(empty($_POST["antwoord"]) || !check_smilies($_POST["antwoord"]))
      {
         $fout[] = "Je hebt geen antwoord opgegeven, of er komen teveel smilies in voor.";
      }

      $s_sleutel = $sql->query("SELECT COUNT(sleutel) FROM flood WHERE sleutel = '".$data["sleutel"]."'");

      if(!$sql->result($s_sleutel, 0))
      {
         forward("Je hebt zonet al een FAQ-onderwerp toegevoegd!", url."beheer/faq");
      }

      if(!fouten_verwerken($fout))
      {
         $sql->query("DELETE FROM flood WHERE sleutel = '".$data["sleutel"]."'");

         $sql->query("INSERT INTO faq (id, vraag, antwoord)
                      VALUES (NULL, '" .$data['vraag']. "', '" .$_POST['antwoord']. "')");

         forward('Het FAQ-onderwerp is succesvol toegevoegd !', url . 'beheer/faq');
      }
   }

   $tpl->get_template('site_header,site_tabel_header,beheer_header,beheer_faq_toevoegen,beheer_footer,tabel_footer,site_footer');

   ## Formulier voor offline beschrijving
   $antwoord = formulier("antwoord", "", "faq", 55, 10);

   $sleutel = sleutel(15);
   $sql->query("INSERT INTO flood (sleutel, tijd) VALUES ('".$sleutel."', '".time()."')");

   $tpl->assign(array('beheer_faq_toevoegen.sleutel'  => $sleutel                 ,
                      'site_header.titel'             => 'FAQ-onderwerp toevoegen',
                      'site_tabel_header.titel'       => 'FAQ-onderwerp toevoegen',
                      "beheer_faq_toevoegen.bb"       => "#006600"                , 
                      "beheer_faq_toevoegen.html"     => "#006600"                ,
                      "beheer_faq_toevoegen.img"      => "#006600"                ,
                      "beheer_faq_toevoegen.smilies"  => "#006600"                ,
                      "beheer_faq_toevoegen.antwoord" => $antwoord                ,
                     ));
}
else
{
   $s_faq = $sql->query("SELECT id, vraag, antwoord FROM faq ORDER BY vraag ASC");

   $tpl->get_template('site_header,site_tabel_header,beheer_header,beheer_faq_header');

   $tpl->assign(array('site_header.titel'       => 'Veel gestelde vragen beheren',
                      'site_tabel_header.titel' => 'Veel gestelde vragen beheren',
                     ));

   if(!$sql->num_rows($s_faq))
   {
      $tpl->get_template('beheer_faq_geen');
   }

   $i = 0;

   while($f_faq = $sql->fetch($s_faq))
   {
      $i++;
      $bgcolor = $i % 2 == 0 ? '#f7f7f4' : '';

      $tpl->get_template('beheer_faq');

      $tpl->assign(array('vraag'   => $f_faq['vraag'] ,
                         'id'      => $f_faq['id']    ,
                         'bgcolor' => $bgcolor        ,
                        ));
   }

   $tpl->get_template('beheer_faq_footer,beheer_footer,tabel_footer,site_footer');
}

include pad . 'include/output.inc.php';

?>
