<?php

   include "../../include/include.inc.php";

   if($core["status"] != 5)
   {
      bericht("Je hebt niet de benodigde rechten om deze pagina te bekijken.");

      include pad."include/output.inc.php";
      exit;      
   }

   if(empty($data["id"]) || !is_numeric($data["id"]))
   {
      if(!empty($data["verzenden"]))
      {
         $fout = array();

         $s_gebruiker = $sql->query("SELECT id FROM leden WHERE gebruikersnaam = '".$data["gebruikersnaam"]."'");
         $f_gebruiker = $sql->fetch($s_gebruiker);

         if($sql->num_rows($s_gebruiker))
         {
            header("Location: ".url."beheer/leden?id=".$f_gebruiker["id"]);
         }
         else
         {
            $s_id = $sql->query("SELECT id FROM leden WHERE id = '".$data["gebruikersnaam"]."'");
            $f_id = $sql->fetch($s_id);

            if($sql->num_rows($s_id))
               header("Location: ".url."beheer/leden?id=".$f_id["id"]);
            else
            {
               $fout[] = "De gezochte gebruikersnaam is niet gevonden. Er is gezocht op ID nummer en gebruikersnaam.";
               fouten_verwerken($fout);
            }
         }
      }

      $tpl->get_template("site_header,site_tabel_header,beheer_header,beheer_leden_kies,beheer_footer,tabel_footer,site_footer");

      $tpl->assign(array("site_tabel_header.titel"             => "Leden administratie"   ,
                         "site_header.titel"                   => "Leden administratie"   ,
                        ));
   }
   else
   {
      $s_gb = $sql->query("SELECT l.id, l.gebruikersnaam, l.email, l.wachtwoord, l.naam, l.geboortedatum, l.msn, l.icq, l.woonplaats, l.website, l.ondertitel, l.onderschrift, l.status, l.omschrijving, l.avatar, l.upload_level, l.elite, l.actief FROM leden AS l WHERE id = ".$data["id"]);

      if(!$sql->num_rows($s_gb))
         forward("Het opgegeven ID nummer komt niet voor in de database van ".sitenaam."!", url."beheer/leden");
      else
      {
         $f_gb = $sql->fetch($s_gb);

         if(!empty($_POST["verwijderen"]))
         {
            $sql->query("UPDATE leden SET verwijderen = 0, actief = 0, a_sleutel = '".rand(1, 999)."', ondertitel = 'Verwijderd', status = 2 WHERE id = ".$data["id"]);

            admin_log("heeft de gebruikersaccount van ".$f_gb["gebruikersnaam"]." verwijderd.");

            forward("Deze gebruikersaccount is succesvol verwijderd!", url."beheer/leden?id=".$data["id"]);
            
            include pad."include/output.inc.php";
            exit; 
         }
         elseif(!empty($_POST["avatar"]))
         {
            if(!$f_gb["avatar"])
               forward("Deze gebruiker heeft geen avatar geupload!", url."beheer/leden?id=".$data["id"]);
            else
            {
               unlink(pad."upload/avatars/".$f_gb["id"].".".$f_gb["avatar"]);
               $sql->query("UPDATE leden SET avatar = '' WHERE id = '".$f_gb["id"]."'");

               admin_log("heeft de avatar van ".$f_gb["gebruikersnaam"]." verwijderd.");

               forward("De avatar van deze gebruiker is succesvol verwijderd.", url."beheer/leden?id=".$data["id"]);
            }

            include pad."include/output.inc.php";
            exit;            
         }
         elseif(!empty($_POST["wijzigen"]))
         {
            $fout = array();

            $_POST["omschrijving"] = $bb->preparse($_POST["omschrijving"]);
            $_POST["onderschrift"] = $bb->preparse($_POST["onderschrift"]);

            $s_gebruiker = $sql->query("SELECT count(id) FROM leden WHERE gebruikersnaam = '".$data["gebruikersnaam"]."' AND gebruikersnaam <> '".$f_gb["gebruikersnaam"]."'");
                   
            if($sql->result($s_gebruiker, 0) || strtolower($data["gebruikersnaam"]) == "webmaster" || strtolower($data["gebruikersnaam"]) == "admin" || strtolower($data["gebruikersnaam"]) == "beheerder" || strtolower($data["gebruikersnaam"]) == "moderator" || strtolower($data["gebruikersnaam"]) == "nieuwsposter" || strtolower($data["gebruikersnaam"]) == "postmaster" || strtolower($data["gebruikersnaam"]) == "help" || strtolower($data["gebruikersnaam"]) == "info" || strtolower($data["gebruikersnaam"]) == "phpexperience" || strtolower($data["gebruikersnaam"]) == "phpexperience_nl" || strtolower($data["gebruikersnaam"]) == "phpexperiencenl" || strlen($data["gebruikersnaam"]) > 20)
               $fout[] = "De gekozen gebruikersnaam is verboden, de gebruikersnaam is te kort of te lang, of de gebruikersnaam bevat verboden tekens.";

            if(strlen($data["email"]) < 7 || strlen($data["email"]) > 40 || !eregi("^[A-Za-z0-9_-]+([\.]{1}[A-Za-z0-9_-]+)*@[A-Za-z0-9-]+([\.]{1}[A-Za-z0-9-]+)+$", $data["email"]))
               $fout[] = "Het email adres klopt niet";

            if(!empty($data["wachtwoord"]) && (strlen($data["wachtwoord"]) < 3 || strlen($data["wachtwoord"]) > 20 || !eregi("^[a-z0-9@_-]+$", $data["wachtwoord"])))
               $fout[] = "Het wachtwoord is te kort, te lang of bevat verboden tekens.";

            if(!empty($data["naam"]))
               if(strlen($data["naam"]) < 3 || strlen($data["naam"]) > 30 || !eregi("^[A-Za-z[:space:]-]+$", $data["naam"]))
                  $fout[] = "De naam is te kort, te lang of bevat verboden tekens.";

            if(!empty($data["icq"]))
               if(strlen($data["icq"]) < 7 || strlen($data["icq"]) > 12 || !is_numeric($data["icq"]))
                  $fout[] = "Het ICQ nummer bevat verboden tekens, is te kort of te juist te lang.";

            if(!empty($data["msn"]))
               if(strlen($data["msn"]) < 7 || strlen($data["msn"]) > 35 || !eregi("[A-Za-z0-9_-]+([\.]{1}[A-Za-z0-9_-]+)*@[A-Za-z0-9-]+([\.]{1}[A-Za-z0-9-]+)+", $data["msn"]))
                  $fout[] = "Het opgegeven MSN adres klopt niet.";

            if(!empty($data["website"]))
            {
               if(substr($data["website"], 0, 3) == "www")
                  $data["website"] = "http://".$data["website"];

               if(strlen($data["website"]) < 5 || strlen($data["website"]) > 100 || !eregi("^http://[^[:space:]]+$", $data["website"]))
                  $fout[] = "De waarde die voor het veld website is opgegeven is te kort of te lang of bevat verboden tekens.";
            }

            if(!empty($data["woonplaats"]))
               if(strlen($data["woonplaats"]) < 4 || strlen($data["woonplaats"]) > 20 || !eregi("^[A-Za-z\'[:space:]]+$", $data["woonplaats"]))
                  $fout[] = "De opgegeven waarde voor de woonplaats van deze gebruiker klopt niet.";

            if(!empty($data["gd_dag"]) && !empty($data["gd_maand"]) && !empty($data["gd_jaar"]))
            {
               if($data["gd_dag"] < 1 || $data["gd_dag"] > 31 || $data["gd_maand"] < 1 || $data["gd_maand"] > 12 || $data["gd_jaar"] < (date("Y") - 70) || $data["gd_jaar"] > (date("Y") - 5))
                   $fout[] = "Er is geknoeid met het formulier voor de geboortedatum.";
               else
                  $data["geboortedatum"] = $data["gd_dag"]."-".$data["gd_maand"]."-".$data["gd_jaar"];
            }
            elseif($data["gd_dag"] || $data["gd_maand"] || $data["gd_jaar"])
               $fout = "Niet alle waarden voor de geboortedatum zijn opgegeven.";

            if(!isset($data["geboortedatum"]))
               $data["geboortedatum"] = "";

            if(!empty($data["ondertitel"]))
               if(strlen($data["ondertitel"]) < 1 || strlen($data["ondertitel"]) > 16 || !eregi("^[A-Za-z0-9._[:space:]]+$", $data["ondertitel"]))
                  $fout[] = "De opgegeven ondertitel is leeg of te lang of bevat verboden tekens.";

            if(!empty($_POST["onderschrift"]))
               if(!check_smilies($_POST["onderschrift"]) || strlen($_POST["onderschrift"]) >= 150)
                  $fout[] = "Het onderschrift bevat te veel smilies of is langer dan 150 tekens.";
            
            if(!empty($_POST["omschrijving"]))
               if(!check_smilies($_POST["omschrijving"]))
                  $fout[] = "De omschrijving bevat teveel smilies.";
       
            if(!fouten_verwerken($fout))
            {
               if(!empty($data["actief"]))
               {
                  $sql->query("UPDATE leden SET actief = 1, verwijderen = 1, a_sleutel = '' WHERE id = ".$data["id"]);

                  // Added actievatie PB
                  $mail_vars = array("gebruiker" => $f_gb["gebruikersnaam"]);
			
			         $sql->query("INSERT INTO priveberichten (id, afzender, ontvanger, gelezen, titel, privebericht, status, datum) VALUES ('', '1', '".$data["id"]."', '0', 'Welkom op ".sitenaam."!', '".haal_mail("nieuw_lid_pb", $mail_vars)."', '1', '".time()."')");
               }
               if(!empty($data["wachtwoord"]))
                  $sql->query("UPDATE leden SET wachtwoord = '".md5(md5(md5($data["wachtwoord"])))."' WHERE id = ".$data["id"]);

               $sql->query("UPDATE leden SET gebruikersnaam = '".$data["gebruikersnaam"]."', email = '".$data["email"]."', naam = '".$data["naam"]."', msn = '".$data["msn"]."', icq = '".$data["icq"]."', woonplaats = '".$data["woonplaats"]."', website = '".$data["website"]."', ondertitel = '".$data["ondertitel"]."', onderschrift = '".$_POST["onderschrift"]."', omschrijving = '".$_POST["omschrijving"]."', status = ".$data["status"].", elite = '".$data["elite"]."', upload_level = ".$data["upload_level"].", geboortedatum = '".$data["geboortedatum"]."' WHERE id = ".$data["id"]);

               admin_log("heeft de gebruikersaccount van ".$f_gb["gebruikersnaam"]." gewijzigd.");

               forward("De gebruikersaccount van ".$f_gb["gebruikersnaam"]." is succesvol bijgewerkt!", url."beheer/leden?id=".$data["id"]);

               include pad."include/output.inc.php";
               exit;
            }
         }
         else
         {
            $data["gebruikersnaam"] = $f_gb["gebruikersnaam"];
            $data["email"]          = $f_gb["email"];
            $data["wachtwoord"]     = "";
            $data["naam"]           = $f_gb["naam"];
            $data["icq"]            = $f_gb["icq"];
            $data["msn"]            = $f_gb["msn"];
            $data["woonplaats"]     = $f_gb["woonplaats"];
            $data["website"]        = $f_gb["website"];
            $data["ondertitel"]     = $f_gb["ondertitel"];
            $data["onderschrift"]   = $f_gb["onderschrift"];
            $data["omschrijving"]   = $f_gb["omschrijving"];

            ## Geboortedatum
            if($f_gb["geboortedatum"])
               list($data["gd_dag"], $data["gd_maand"], $data["gd_jaar"]) = explode("-", $f_gb["geboortedatum"]);
            else
               $data["gd_dag"] = $data["gd_maand"] = $data["gd_jaar"] = 0;

            ## Status select box
            $select_st_2 = $f_gb["status"] == 2 ? "selected" : "";
            $select_st_3 = $f_gb["status"] == 3 ? "selected" : "";
            $select_st_4 = $f_gb["status"] == 4 ? "selected" : "";
            $select_st_5 = $f_gb["status"] == 5 ? "selected" : "";

            ## Upload level select box
            $select_up_0 = $f_gb["upload_level"] == 0 ? "selected" : "";
            $select_up_1 = $f_gb["upload_level"] == 1 ? "selected" : "";
            $select_up_2 = $f_gb["upload_level"] == 2 ? "selected" : "";
            $select_up_3 = $f_gb["upload_level"] == 3 ? "selected" : "";

            ## Elite select box
            $select_el_0   = $f_gb["elite"] == 1 ? "selected" : "";
            $select_el_1   = $f_gb["elite"] == 0 ? "selected" : "";
         }

         $tpl->get_template("site_header,site_tabel_header,beheer_header,beheer_leden,beheer_footer,tabel_footer,site_footer");

         ## Titel
         $titel = "Gebruikersaccount van ".$f_gb["gebruikersnaam"]." bewerken";

         ## Geboortedatum, select menu's genereren
         $gd_dag = "";
         for($i = 1; $i <= 31; $i++)
         {
            if($data["gd_dag"] == $i)
               $gd_dag .= "<option value=".$i." selected>".$i."</option>";
            else
               $gd_dag .= "<option value=".$i.">".$i."</option>";
         }

         $gd_maand = "";
         $gd_maanden = array("", "januari", "februari", "maart", "april", "mei", "juni", "juli", "augustus", "september", "oktober", "november", "december");

         for($i = 1; $i < count($gd_maanden); $i++)
         {
            if($i != 0)
               if($data["gd_maand"] == $i)
                  $gd_maand .= "<option value=".($i)." selected>".$gd_maanden[$i]."</option>";
               else
                  $gd_maand .= "<option value=".($i).">".$gd_maanden[$i]."</option>";
         }

         $gd_jaar = "";

         for($i = (date("Y") - 70); $i < (date("Y") - 5); $i++)
         {
            if($data["gd_jaar"] == $i)
               $gd_jaar .= "<option value=".$i." selected>".$i."</option>";
            else
               $gd_jaar .= "<option value=".$i.">".$i."</option>";
         }

         ## Formulier voor onderschrift
         $onderschrift = formulier("onderschrift", $data["onderschrift"], "profiel", 45, 10, true, false, false);

         ## Formulier voor omschrijving
         $omschrijving = formulier("omschrijving", $data["omschrijving"], "profiel", 45, 10);

         if($f_gb["status"] >= 4)
            $html = "#006600";
         else
            $html = "red";

         ## Is dit lid geactiveerd?
         if($f_gb["actief"] == 1)
            $actief = "ja";
         else
            $actief = "<select name=\"actief\"><option value=\"ja\">ja</option><option value=\"nee\" selected>nee</option></select>";

         $tpl->assign(array("site_tabel_header.titel"          => $titel                  ,
                            "site_header.titel"                => "Gebruikersaccount bewerken",
                            "beheer_leden.id"                  => $f_gb["id"]             ,
                            "beheer_leden.gebruiker"           => $f_gb["gebruikersnaam"] ,
                            "beheer_leden.gebruikersnaam"      => $data["gebruikersnaam"],
                            "beheer_leden.email"               => $data["email"]         ,
                            "beheer_leden.wachtwoord"          => $data["wachtwoord"]    ,
                            "beheer_leden.naam"                => $data["naam"]          ,
                            "beheer_leden.icq"                 => $data["icq"]           ,
                            "beheer_leden.msn"                 => $data["msn"]           ,
                            "beheer_leden.icq"                 => $data["icq"]           ,
                            "beheer_leden.woonplaats"          => $data["woonplaats"]    ,
                            "beheer_leden.website"             => $data["website"]       ,
                            "beheer_leden.ondertitel"          => $data["ondertitel"]    ,
                            "beheer_leden.gd_dag"              => $gd_dag                 ,
                            "beheer_leden.gd_maand"            => $gd_maand               ,
                            "beheer_leden.gd_jaar"             => $gd_jaar                ,
                            "beheer_leden.onderschrift"        => $onderschrift           ,
                            "beheer_leden.ondr_bb"             => "#006600"               ,
                            "beheer_leden.ondr_html"           => $html                   , 
                            "beheer_leden.ondr_img"            => "red"                   ,
                            "beheer_leden.ondr_smilies"        => "#006600"               ,
                            "beheer_leden.omschrijving"        => $omschrijving           ,
                            "beheer_leden.omschr_bb"           => "#006600"               ,
                            "beheer_leden.omschr_html"         => $html                   ,
                            "beheer_leden.omschr_img"          => "#006600"               ,
                            "beheer_leden.omschr_smilies"      => "#006600"               ,
                            "beheer_leden.select_st_2"         => $select_st_2            ,
                            "beheer_leden.select_st_3"         => $select_st_3            ,
                            "beheer_leden.select_st_4"         => $select_st_4            ,
                            "beheer_leden.select_st_5"         => $select_st_5            ,
                            "beheer_leden.select_up_0"         => $select_up_0            ,
                            "beheer_leden.select_up_1"         => $select_up_1            ,
                            "beheer_leden.select_up_2"         => $select_up_2            ,
                            "beheer_leden.select_up_3"         => $select_up_3            ,
                            "beheer_leden.select_el_1"         => $select_el_0            ,
                            "beheer_leden.select_el_2"         => $select_el_1             ,
                            "beheer_leden.geactiveerd"         => $actief                 ,
                           ));
      }
   }

   include pad . "include/output.inc.php";

?>
