<?php

include '../../include/include.inc.php';

if($core["status"] != 5)
{
   bericht("Je hebt niet de benodigde rechten om deze pagina te bekijken.");
}

if(!empty($_GET['mode']) && $_GET['mode'] == 'verwijderen' && is_numeric($_GET['id']))
{
   $s_lp = $sql->query("SELECT COUNT(id) FROM linkpartners WHERE id = " . $_GET['id']);

   if($sql->result($s_lp, 0))
   {
      $sql->query("DELETE FROM linkpartners WHERE id = " . $_GET['id']);

      forward('De linkpartner is succesvol verwijderd!', url .'beheer/linkpartners');
   }
   else
   {
      forward('De linkpartner is niet gevonden en dus niet verwijderd!', url .'beheer/linkpartners');
   }
}
elseif(!empty($_GET['mode']) && $_GET['mode'] == 'bewerken' && is_numeric($_GET['id']))
{
   $s_lp = $sql->query("SELECT titel, url FROM linkpartners WHERE id = " . $_GET['id']);
   $f_lp = $sql->fetch($s_lp);

   if(!$sql->num_rows($s_lp))
   {
      bericht('De opgevraagde linkpartner is niet gevonden, controleer de link.');
   }

   if(!empty($_POST['bewerken']))
   {
      $fout = array();

      if(strlen($data['titel']) < 4 || strlen($data['titel']) > 16 || !eregi('^[a-zA-Z0-9[:space:]\.\-]+$', $data['titel']))
      {
         $fout[] = 'De titel is langer dan 16 tekens, korter dan 4 tekens of bevat verboden tekens.';
      }

      if(substr($data['url'], 0, 3) == 'www')
      {
         $data['url'] = 'http://'.$_POST['url'];
      }

      if(strlen($data['url']) < 5 || strlen($data['url']) > 100 || !eregi('^http://[^[:space:]]+$', $data['url']))
      {
         $fout[] = 'Het adres naar de opgegeven linkpartner is korter dan 5 tekens, langer dan 100 tekens of bevat geen http://.';
      }

      if(!fouten_verwerken($fout))
      {
         $sql->query("UPDATE linkpartners SET titel = '" .$data['titel']. "', url = '" .$data['url']. "' WHERE id = " . $_GET['id']);

         forward('De linkpartner is succesvol bewerkt!', url . 'beheer/linkpartners');
      }
   }

   $tpl->get_template('site_header,site_tabel_header,beheer_header,beheer_lp_bewerken,beheer_footer,tabel_footer,site_footer');

   $tpl->assign(array('site_header.titel'           => 'Linkpartner bewerken' , 
                      'site_tabel_header.titel'     => 'Linkpartner bewerken' ,
                      'beheer_lp_bewerken.titel'    => $f_lp['titel']         ,
                      'beheer_lp_bewerken.url'      => $f_lp['url']           ,
                      'beheer_lp_bewerken.id'       => $_GET['id']            ,
                     ));
}
elseif(!empty($_GET['mode']) && $_GET['mode'] == 'toevoegen')
{
   if(!empty($_POST['toevoegen']))
   {
      $fout = array();

      if(strlen($data['titel']) < 4 || strlen($data['titel']) > 16 || !eregi('^[a-zA-Z0-9[:space:]\.\-]+$', $data['titel']))
      {
         $fout[] = 'De titel is langer dan 16 tekens, korter dan 4 tekens of bevat verboden tekens.';
      }

      if(substr($data['url'], 0, 3) == 'www')
      {
         $data['url'] = 'http://'.$_POST['url'];
      }

      if(strlen($data['url']) < 5 || strlen($data['url']) > 100 || !eregi('^http://[^[:space:]]+$', $data['url']))
      {
         $fout[] = 'Het adres naar de opgegeven linkpartner is korter dan 5 tekens, langer dan 100 tekens of bevat geen http://.';
      }

      $s_sleutel = $sql->query("SELECT COUNT(sleutel) FROM flood WHERE sleutel = '".$data["sleutel"]."'");

      if(!$sql->result($s_sleutel, 0))
      {
            forward("Je hebt zonet al een linkpartner toegevoegd!", url."beheer/linkpartners");
      }

      if(!fouten_verwerken($fout))
      {
         $sql->query("DELETE FROM flood WHERE sleutel = '".$data["sleutel"]."'");

         $sql->query("INSERT INTO linkpartners (id, titel, url)
                      VALUES (NULL, '" .$data['titel']. "', '" .$data['url']. "')");

         forward('De linkpartner is succesvol toegevoegd !', url . 'beheer/linkpartners');
      }
   }

   $tpl->get_template('site_header,site_tabel_header,beheer_header,beheer_lp_toevoegen,beheer_footer,tabel_footer,site_footer');

   $sleutel = sleutel(15);
   $sql->query("INSERT INTO flood (sleutel, tijd) VALUES ('".$sleutel."', '".time()."')");

   $tpl->assign(array('beheer_lp_toevoegen.sleutel' => $sleutel               ,
                      'site_header.titel'           => 'Linkpartner toevoegen',
                      'site_tabel_header.titel'     => 'Linkpartner toevoegen',
                     ));
}
else
{
   $s_lp = $sql->query("SELECT titel, id, inhits, uithits FROM linkpartners ORDER BY titel ASC");

   $tpl->get_template('site_header,site_tabel_header,beheer_header,beheer_lp_header');

   $tpl->assign(array('site_header.titel'       => 'Linkpartners beheren',
                      'site_tabel_header.titel' => 'Linkpartners beheren',
                     ));

   if(!$sql->num_rows($s_lp))
   {
      $tpl->get_template('beheer_lp_geen');
   }

   $i = 0;

   while($f_lp = $sql->fetch($s_lp))
   {
      $i++;
      $bgcolor = $i % 2 == 0 ? '#f7f7f4' : '';

      $tpl->get_template('beheer_lp');

      $tpl->assign(array('titel'   => $f_lp['titel']  ,
                         'id'      => $f_lp['id']     ,
                         'bgcolor' => $bgcolor        ,
                        ));
   }

   $tpl->get_template('beheer_lp_footer,beheer_footer,tabel_footer,site_footer');
}

include pad . 'include/output.inc.php';

?>
