<?php

   include "../../include/include.inc.php";

   if($core["status"] < 3)
   {
      bericht("Je hebt niet de benodigde rechten om deze pagina te bekijken.");

      include pad."include/output.inc.php";
      exit;      
   }

   if(!empty($data["id"]) && is_numeric($data["id"]))
   {
      $s_spam = $sql->query("SELECT 
                               s.*, l.gebruikersnaam
                               FROM
                               forums_spam AS s, leden AS l
                               WHERE
                               l.id = s.auteur AND s.id = ".$data["id"]);
      $f_spam = $sql->fetch($s_spam);

      if(!empty($_POST["conclusie"]))
      {
         if(!empty($_POST["bericht"]))
         {
            $sql->query("UPDATE forums_spam SET conclusie = '".$_POST["bericht"]."', afgehandeld = '".time().",".$core["lid_id"].",".$core["lidnaam"]."' WHERE id = ".$data["id"]);

            $mail_vars = array("gebruiker" => $f_spam["gebruikersnaam"],
                               "auteur"    => $core["lidnaam"]         ,
                               "conclusie" => $_POST["bericht"]        ,
                               "tid"       => $f_spam["tid"]           ,
                               "bid"       => $f_spam["bid"]           ,
                              );

            $sql->query("INSERT INTO priveberichten (id, afzender, ontvanger, gelezen, titel, privebericht, status, datum) VALUES ('', ".$core["lid_id"].", '".$f_spam["auteur"]."', '0', 'Je spam melding is afgehandeld!', '".haal_mail("spam_afgehandeld", $mail_vars)."', '1', '".time()."')");

            header("Location: ".url."beheer/forums/spam?id=".$data["id"]);
         }
      }

      if(!$sql->num_rows($s_spam))
         forward("Het opgegeven ID-nummer klopt niet.");
      else
      {
         $tpl->get_template("beheer_spam_reden");

         $tpl->assign(array("auteur"    => $f_spam["gebruikersnaam"]            ,
                            "auteur_id" => $f_spam["auteur"]                    ,
                            "reden"     => nl2br(htmlentities($f_spam["reden"])),
                            "datum"     => date("d-m-Y H:i", $f_spam["datum"])  ,
                           ));

         if(empty($f_spam["afgehandeld"]))
         {
            $tpl->get_template("beheer_spam_conclusie_toevoegen");

            $tpl->assign("id", $f_spam["id"]);
         }
         else
         {
            $tpl->get_template("beheer_spam_conclusie");

            list($datum, $auteur_id, $auteur) = explode(",", $f_spam["afgehandeld"]);

            $tpl->assign(array("conclusie" => nl2br(htmlentities($f_spam["conclusie"])),
                               "datum"     => date("d-m-Y H:i", $datum)                ,
                               "auteur_id" => $auteur_id                               ,
                               "auteur"    => $auteur                                  ,    
                              ));
         }
      }     

      include pad . "include/output.inc.php";
      exit;
   }

   $s_aantal = $sql->query("SELECT COUNT(id) FROM forums_spam");
   
   $data["pagina"] = !isset($data["pagina"]) ? 1 : $data["pagina"];
   $pn = pagina_navigatie(50, $sql->result($s_aantal, 0), $data["pagina"]);

   $s_spam = $sql->query("SELECT 
                         s.*, l.gebruikersnaam
                         FROM
                         forums_spam AS s, leden AS l
                         WHERE
                         l.id = s.auteur
                         ORDER BY
                         s.datum DESC, s.afgehandeld ASC
                         LIMIT ".$pn["start"].", ".$pn["per_pagina"]);

   $tpl->get_template("site_header,site_tabel_header,beheer_header,beheer_spam_header");

   $tpl->assign(array("site_tabel_header.titel"      => "Spam reports",
                      "site_header.titel"            => "Spam reports",
                      "beheer_spam_header.pn_select" => $pn["select"] ,
                     ));
   
   if(!$sql->num_rows($s_spam))
      $tpl->get_template("beheer_spam_geen");
   else
   {
      $i = 0;

      while($f_spam = $sql->fetch($s_spam))
      {
         $i++;
         $bgcolor = $i % 2 == 0 ? "#f7f7f4" : "";

         $tpl->get_template("beheer_spam");
         
         if(empty($f_spam["afgehandeld"]))
            $afgehandeld = "<img src=\"".url."images/niet_afgehandeld.gif\" alt=\"Niet afgehandeld\">";
         else
            $afgehandeld = "<img src=\"".url."images/afgehandeld.gif\" alt=\"Afgehandeld\">";
         
         $tpl->assign(array("reden"       => nl2br($f_spam["reden"])            ,
                            "auteur"      => $f_spam["gebruikersnaam"]          ,
                            "auteur_id"   => $f_spam["auteur"]                  ,
                            "tid"         => $f_spam["tid"]                     ,
                            "bid"         => $f_spam["bid"]                     ,
                            "afgehandeld" => $afgehandeld                       ,
                            "datum"       => date("d-m-Y H:i", $f_spam["datum"]),
                            "bgcolor"     => $bgcolor                           ,
                            "id"          => $f_spam["id"]                      ,
                           ));
      }
   }

   $tpl->get_template("beheer_spam_footer,beheer_footer,tabel_footer,site_footer");

   include pad . "include/output.inc.php";

?>