<?php

   include "../include/include.inc.php";

   $tpl->get_template("header");

   $tpl->get_template("tabel_header");
   $tpl->assign(array("header.titel" => "Actieve topics"                            ,
                      "titel"        => sitenaam . " forums &rsaquo; Actieve topics",
                     ));

   $tpl->get_template("forums_actief_header");
      
   include pad . "include/forums_dropdown.inc.php";

   $data["pagina"] = !isset($data["pagina"]) ? 1 : $data["pagina"];
   $pn = pagina_navigatie(60, 50, $data["pagina"]);
       
   $s_topics = $sql->query("SELECT 
                            t.*, l.gebruikersnaam, l.status, f.titel AS forum_titel
                            FROM 
                            forums_topics AS t, leden AS l, forums_forums AS f
                            WHERE l.id = t.auteur AND f.id = t.fid AND (f.toegang <> 3 OR " . $core["status"] . " > 2)
                            ORDER BY t.laatste_post DESC LIMIT ".$pn["start"].", ".$pn["per_pagina"]);

   $tpl->assign("pn_select", $pn["select"]);
   
   if(!$sql->num_rows($s_topics))
      $tpl->get_template("forums_actief_geen");
   else
   {
      while($f_t = $sql->fetch($s_topics))
      {
         $tpl->get_template("forums_forum_topic");
          
         // titel
         $titel = substr($f_t["titel"], 0, 30);

         if($titel != $f_t["titel"])
            $titel .= "...";

         // plaatje
         if($f_t["laatste_post"] >= time() - 60*60*6 && $f_t["gesloten"] == 1 && $f_t["mededeling"] == 0)
            $plaatje = "topic_gesloten_actief";
         elseif($f_t["laatste_post"] >= time() - 60*60*6 && $f_t["gesloten"] == 1 && $f_t["mededeling"] == 1)
            $plaatje = "mededeling_gesloten_actief";
         elseif($f_t["laatste_post"] >= time() - 60*60*6 && $f_t["gesloten"] == 0 && $f_t["mededeling"] == 0)
            $plaatje = "topic_actief";
         elseif($f_t["laatste_post"] >= time() - 60*60*6 && $f_t["gesloten"] == 0 && $f_t["mededeling"] == 1)
            $plaatje = "mededeling_actief";
         elseif($f_t["laatste_post"] < time() - 60*60*6 && $f_t["gesloten"] == 0 && $f_t["mededeling"] == 1)
            $plaatje = "mededeling";
         elseif($f_t["laatste_post"] < time() - 60*60*6 && $f_t["gesloten"] == 1 && $f_t["mededeling"] == 1)
            $plaatje = "mededeling_gesloten";
         elseif($f_t["laatste_post"] < time() - 60*60*6 && $f_t["gesloten"] == 1 && $f_t["mededeling"] == 0)
            $plaatje = "topic_gesloten";
         else
            $plaatje = "topic";

         // datum + backward compability
         if(empty($f_t["laatste_auteur"]))
           $laatste_post = "op " . date_format($f_t["laatste_post"]) . " om " . date("H:i", $f_t["laatste_post"]);
         else
         {
            list($gebruikersnaam, $id) = explode(",", $f_t["laatste_auteur"]);
            $laatste_post = "op " . date("d-m-Y", $f_t["laatste_post"]) . " om " . date("H:i", $f_t["laatste_post"]) . " door <a href=\"" . url . "leden/profiel/" . $id . "\">" . $gebruikersnaam . "</a>";
         }
   
         // pagina verdeling                           
         if(($f_t["reacties"] + 1) > 20)
         {
            $paginas = ceil(($f_t["reacties"] + 1) / 20);
               
            $pg_select = array();
            for($i = 1; $i <= $paginas; $i++)
               $pg_select[] .= "<a href=\"" . url . "forums/topic/" . $f_t["id"] . "/" . $i . "\" class=\"zwart\">" . $i . "</a>";

            $paginas = "<small>(<img src=\"" . url . "images/forums/meer_paginas.gif\"> ";
            $paginas .= implode(" ", $pg_select);
            $paginas .= ")</small>";
         }
         else
            $paginas = "";

         $tpl->assign(array("titel"            => $titel                                        ,
                            "tid"              => $f_t["id"]                                    ,
                            "titel_alt"        => $f_t["titel"] . " (" . $f_t["forum_titel"] . ")",
                            "auteur_id"        => $f_t["auteur"]                                ,
                            "auteur"           => kleur($f_t["gebruikersnaam"], $f_t["status"]) ,
                            "reacties"         => $f_t["reacties"]                              ,
                            "laatste_post"     => $laatste_post                                 ,     
                            "plaatje"          => $plaatje                                      ,
                            "paginas"          => $paginas                                      ,
                           ));
      }
   }

   $tpl->get_template("forums_forums_footer,tabel_footer,footer");

   $tpl->assign(array("forums_forums_footer.select"    => $select      ,
                      "forums_forums_footer.pn_select" => $pn["select"],
                     ));
   
   include pad . "include/output.inc.php";

?>