<?php

   include "../include/include.inc.php";

   $data["id"] = !empty($data["id"]) && is_numeric($data["id"]) ? $data["id"] : "";

   $s_bericht = $sql->query("SELECT 
                            b.bericht, b.titel, b.html, l.gebruikersnaam, l.status, f.moderators, b.is_topic, b.auteur, b.tijd, t.gesloten, t.mededeling, l.status, t.id AS tid, t.titel AS t_titel, b.is_topic
                            FROM
                            forums_berichten AS b, leden AS l, forums_topics AS t, forums_forums AS f
                            WHERE b.id = '".$data["id"]."' AND l.id = b.auteur AND t.id = b.tid AND f.id = t.fid");
   $f_b = $sql->fetch($s_bericht);

   if(!$core["ingelogd"])
      bericht("Je kunt dit forum bericht niet bewerken omdat je niet bent ingelogd.");

   if(!$sql->num_rows($s_bericht) || ($f_b["gesloten"] == 1 && !is_moderator($f_b["moderators"])) || ($f_b["auteur"] != $core["lid_id"] && !is_moderator($f_b["moderators"])))
      bericht("Je mag dit forum bericht niet bewerken omdat het niet bestaat, niet van jou is of omdat de topic gesloten is.");
   else
   {
      if(!empty($_POST["bewerken"]))
      {
         $fout = array();
         $_POST["bericht"] = $bb->preparse($_POST["bericht"]);

         if(empty($data["titel"]) || strlen($data["titel"]) < 4 || strlen($data["titel"]) > 60)
            $fout[] = "Je titel is korter dan 4 tekens of langer dan 60 tekens.";

         if(empty($_POST["bericht"]) || !check_smilies($_POST["bericht"]))
            $fout[] = "Je reactie is leeg of bevat te veel smilies.";

         if(strlen($_POST['bericht']) > 25000)
            $fout[] = 'Je reactie is langer dan 25.000 tekens.';

         if(!fouten_verwerken($fout) && $_POST["bewerken"] == "Preview")
         {
            $tpl->get_template("header,tabel_header,forums_preview");
				$geef_top_weer = false;
				
            if(!empty($data["html"]))
               $status = $core["status"];
            else
               $status = 2;

            $tpl->assign(array("tabel_header.titel"     => "Preview van je forum bericht"                  , 
                               "header.titel"           => "Preview"                                       ,
                               "forums_preview.titel"   => $data["titel"]                                  ,
                               "forums_preview.bericht" => tekst_parsen(stripslashes($_POST["bericht"]), $status),
                              ));
         }
         else
         {
            if($f_b["is_topic"] == 1 && !empty($data["mededeling"]) && is_moderator($f_b["moderators"]))
               $mededeling = 1;
            else
               $mededeling = 0;

            if($core["status"] > 3 && !empty($data["html"]) && is_moderator($f_b["moderators"], $f_b["status"], $f_b["auteur"]))
               $html = 1;
            else
               $html = 0;

            if($f_b["is_topic"] == 1)
               $sql->query("UPDATE forums_topics SET titel = '".$data["titel"]."', mededeling = '".$mededeling."' WHERE id = '".$f_b["tid"]."'");

            if($core["status"] == 2)
               $sql->query("UPDATE forums_berichten SET bewerkt = '".time()."' WHERE id = ".$data["id"]);               

            $sql->query("UPDATE forums_berichten SET titel = '".$data["titel"]."', bericht = '".$_POST["bericht"]."', html = ".$html." WHERE id = '".$data["id"]."'");

            if($f_b["auteur"] != $core["lid_id"])
               admin_log("heeft het bericht van ".$f_b["gebruikersnaam"]." in de topic \"".$f_b["t_titel"]."\" (<a href=\"".url."forums/topic/".$f_b["tid"]."/get/".$data["id"]."\">link</a>) aangepast.");

            forward("Je forum bericht is succesvol bewerkt, je wordt nu doorgestuurd.", url."forums/topic/".$f_b["tid"]."/get/".$data["id"]);
         }
      }
      
		if (!isset($geef_top_weer) || $geef_top_weer == true)
	      $tpl->get_template("header,tabel_header");
		
		$tpl->get_template('forums_bewerken');
		
		if($f_b['is_topic'] == 1)
		{
		   $tpl->block('forums_bewerken', 'titel');
		}
		
      // Admin opties
      if($f_b["is_topic"] == 1 && !empty($f_b["mededeling"]) && is_moderator($f_b["moderators"]))
         $mededeling = "checked";
      else
         $mededeling = "";

      if($core["status"] > 3 && !empty($f_b["html"]) && is_moderator($f_b["moderators"], $f_b["status"], $f_b["auteur"]))
         $html = "checked";
      else
         $html = "";
         
      $admin_opties = array();

      $admin_opties[] = "<tr>
          <td width=\"15%\" bgcolor=\"#f8f8f8\" style=\"border-right: #ffffff 4px solid\">
           &nbsp;
          </td>
          <td width=\"85%\" bgcolor=\"#f8f8f8\">";

      if($f_b["status"] > 3)
         $admin_opties[] .= "<input type=\"checkbox\" name=\"html\" ".$html."> Gebruik HTML in je bericht.<br>";

      if(is_moderator($f_b["moderators"]) && $f_b["is_topic"] == 1)
         $admin_opties[] .= "<input type=\"checkbox\" name=\"mededeling\" ".$mededeling."> Stel deze topic in als mededeling.<br>";

      $admin_opties[] .= "</td>
         </tr>";
      
      if(count($admin_opties) > 2)
      {
         $admin_opties = implode("\n", $admin_opties);
      }
      else
      {
         $admin_opties = "";
      }      
 		
 		$titel = (($_SERVER["REQUEST_METHOD"] == "POST") ? stripslashes($_POST["titel"]) : $f_b["titel"]);
      $formulier = formulier("bericht", (($_SERVER["REQUEST_METHOD"] == "POST") ? stripslashes($_POST["bericht"]) : $f_b["bericht"]), "bewerken", 75, 15);      

      if($f_b['status'] >= 4)
         $html = "#006600";
      else
         $html = "red";

      // Wat nou als we admin of mod zijn?
      if($core["status"] > 3 || (is_moderator($f_b["moderators"]) && $f_b["is_topic"] == 1))
         $tpl->assign("forums_bewerken.admin_opties", $admin_opties);

      $tpl->assign(array("header.titel"              => "Bewerken"                           ,
                         "tabel_header.titel"        => "Bewerk een forum bericht"           ,
                         "forums_bewerken.id"        => $data["id"]                          ,
                         "forums_bewerken.titel"     => $titel                               ,
                         "forums_bewerken.formulier" => $formulier                           ,
                         "forums_bewerken.bb"        => "#006600"                            ,
                         "forums_bewerken.html"      => $html                                ,
                         "forums_bewerken.img"       => "#006600"                            ,
                         "forums_bewerken.smilies"   => "#006600"                            ,
                         "forums_bewerken.auteur"    => $f_b["gebruikersnaam"]               ,
                        ));
      
      $tpl->get_template('tabel_footer,footer');
   }

   include pad . "include/output.inc.php";
   
?>
