<?php

   include "../include/include.inc.php";

   $data["fid"] = !empty($_aGET[0]) && is_numeric($_aGET[0]) ? $_aGET[0] : "";

   $s_forum = $sql->query("SELECT
                           f.titel AS forum_titel, f.moderators, f.toegang, c.titel AS cat_titel
                           FROM forums_forums AS f, forums_categorieen AS c
                           WHERE f.id = '".$data["fid"]."' AND c.id = f.cat");
   $f_forum = $sql->fetch($s_forum);

   if(empty($data["fid"]) || !$sql->num_rows($s_forum) || ($f_forum["toegang"] == 3 && $core["status"] < 3))
      bericht("Er is geen forum opgegeven, het opgegeven forum bestaat niet of je hebt niet de benodigde rechten om dit forum te bekijken.");
   else
   {
      $tpl->get_template("header");

      $tpl->get_template("tabel_header");
      $tpl->assign(array("titel"        => $f_forum["cat_titel"] . " &rsaquo; " . $f_forum["forum_titel"],
                         "header.titel" => $f_forum["forum_titel"],
                        ));

      $tpl->get_template("forums_forum_header");
      
      // Moderators
      $moderators = get_moderators($f_forum["moderators"]);

      include pad . "include/forums_dropdown.inc.php";

      // pagina navigatie
      $s_count = $sql->query("SELECT COUNT(id) FROM forums_topics WHERE fid = '".$data["fid"]."'");

      $data["pagina"] = !isset($_aGET[1]) || !is_numeric($_aGET[1]) ? 1 : $_aGET[1];
      $pn = pagina_navigatie(60, $sql->result($s_count, 0), $data["pagina"], '/' . $_aGET[0]);
       
      $s_topics = $sql->query("SELECT 
                               t.*, l.gebruikersnaam, l.status
                               FROM 
                               forums_topics AS t, leden AS l
                               WHERE fid = '".$data["fid"]."' AND l.id = t.auteur
                               ORDER BY t.mededeling DESC, t.laatste_post DESC LIMIT ".$pn["start"].", ".$pn["per_pagina"]);

      $tpl->assign(array("forum_titel" => $f_forum["forum_titel"],
                         "cat_titel"   => $f_forum["cat_titel"]  ,
                         "fid"         => $data["fid"]           ,
                         "moderators"  => $moderators            ,
                         "pn_select"   => $pn["select"]          ,
                        ));

      if(!$sql->num_rows($s_topics))
         $tpl->get_template("forums_forum_geen");
      else
      {
         while($f_t = $sql->fetch($s_topics))
         {
            $tpl->get_template("forums_forum_topic");
            
            // titel
            $titel = substr($f_t["titel"], 0, 30);

            if($titel != $f_t["titel"])
               $titel .= "...";

            // plaatje
            if($f_t["laatste_post"] >= time() - 60*60*6 && $f_t["gesloten"] == 1 && $f_t["mededeling"] == 0)
               $plaatje = "topic_gesloten_actief";
            elseif($f_t["laatste_post"] >= time() - 60*60*6 && $f_t["gesloten"] == 1 && $f_t["mededeling"] == 1)
               $plaatje = "mededeling_gesloten_actief";
            elseif($f_t["laatste_post"] >= time() - 60*60*6 && $f_t["gesloten"] == 0 && $f_t["mededeling"] == 0)
               $plaatje = "topic_actief";
            elseif($f_t["laatste_post"] >= time() - 60*60*6 && $f_t["gesloten"] == 0 && $f_t["mededeling"] == 1)
               $plaatje = "mededeling_actief";
            elseif($f_t["laatste_post"] < time() - 60*60*6 && $f_t["gesloten"] == 0 && $f_t["mededeling"] == 1)
               $plaatje = "mededeling";
            elseif($f_t["laatste_post"] < time() - 60*60*6 && $f_t["gesloten"] == 1 && $f_t["mededeling"] == 1)
               $plaatje = "mededeling_gesloten";
            elseif($f_t["laatste_post"] < time() - 60*60*6 && $f_t["gesloten"] == 1 && $f_t["mededeling"] == 0)
               $plaatje = "topic_gesloten";
            else
               $plaatje = "topic";

            // datum + backward compability
            if(empty($f_t["laatste_auteur"]))
               $laatste_post = "op " . date_format($f_t["laatste_post"]) . " om " . date("H:i", $f_t["laatste_post"]);
            else
            {
               list($gebruikersnaam, $id) = explode(",", $f_t["laatste_auteur"]);
               $laatste_post = "op " . date("d-m-Y", $f_t["laatste_post"]) . " om " . date("H:i", $f_t["laatste_post"]) . " door <a href=\"" . url . "leden/profiel/" . $id . "\">" . $gebruikersnaam . "</a>";
            }

            // pagina verdeling                           
            if(($f_t["reacties"] + 1) > 20)
            {
               $paginas = ceil(($f_t["reacties"] + 1) / 20);
               
               $pg_select = array();
               for($i = 1; $i <= $paginas; $i++)
                  $pg_select[] .= "<a href=\"" . url . "forums/topic/" . $f_t["id"] . "/" . $i . "\" class=\"zwart\">" . $i . "</a>";

               $paginas = "<small>(<img src=\"" . url . "images/forums/meer_paginas.gif\"> ";
               $paginas .= implode(" ", $pg_select);
               $paginas .= ")</small>";
            }
            else
               $paginas = "";

            $tpl->assign(array("titel"            => $titel                                        ,
                               "tid"              => $f_t["id"]                                    ,
                               "titel_alt"        => $f_t["titel"]                                 ,
                               "auteur_id"        => $f_t["auteur"]                                ,
                               "auteur"           => kleur($f_t["gebruikersnaam"], $f_t["status"]) ,
                               "reacties"         => $f_t["reacties"]                              ,
                               "laatste_post"     => $laatste_post                                 ,     
                               "plaatje"          => $plaatje                                      ,
                               "paginas"          => $paginas                                      ,
                              ));
         }
      }

      $tpl->get_template("forums_forums_footer,tabel_footer");

      $tpl->assign(array("forums_forums_footer.select"    => $select      ,
                         "forums_forums_footer.pn_select" => $pn["select"],
                        ));

      get_onlinelijst();

      $tpl->get_template("footer");
   }
   
   include pad . "include/output.inc.php";

?>