<?php

   include "../include/include.inc.php";

   $data["fid"] = !empty($data["fid"]) && is_numeric($data["fid"]) ? $data["fid"] : "";

   $s_info = $sql->query("SELECT
                          f.moderators, f.toegang, f.minimum, f.titel, c.titel AS cat_titel
                          FROM forums_forums AS f, forums_categorieen AS c
                          WHERE f.id = '".$data["fid"]."' AND c.id = f.cat");
   $f_info = $sql->fetch($s_info);

   if(!$core["ingelogd"])
      bericht("Je kunt alleen topics plaatsen op ".sitenaam." als je bent ingelogd.");

   if(!$sql->num_rows($s_info) || ($f_info["toegang"] > 1 && $core["status"] < 3) || ($f_info["toegang"] == 2 && $core['status'] < 3))
      bericht("Het opgegeven forum bestaat niet of je mag hier geen topic plaatsen omdat dit forum een crew- of mededelingen forum is!");
   elseif($f_info['minimum'] != 0 && $core['posts'] < $f_info['minimum'])
   {
      bericht("Om nieuwe topics te kunnen openen in dit forum is een minimaal postaantal van " . $f_info['minimum'] . " vereist, jij voldoet nog niet aan deze eis.");
   }

   if(!empty($_POST["toevoegen"]))
   {
      $_POST["bericht"] = $bb->preparse($_POST["bericht"]);
      $fout = array();

      if(empty($data["titel"]) || strlen($data["titel"]) < 4 || strlen($data["titel"]) > 60)
         $fout[] = "Je titel is korter dan 4 tekens of langer dan 60 tekens.";

      if(empty($_POST["bericht"]) || !check_smilies($_POST["bericht"]))
         $fout[] = "De forum topic is leeg of bevat te veel smilies.";

      if(strlen($_POST['bericht']) > 25000)
         $fout[] = 'Je topic is langer dan 25.000 tekens.';

      $s_sleutel = $sql->query("SELECT COUNT(sleutel) FROM flood WHERE sleutel = '".$data["sleutel"]."'");

      if(!$sql->result($s_sleutel, 0))
         forward("Je hebt zonet al een topic toegevoegd!", url."forums/forum/".$data["fid"]);

      // Poll verwerken
      if(!empty($data["opties"]) && !empty($data["vraag"]))
      {
         $data["opties"] = explode("<br>", $data["opties"]);
         $opties         = array();

         if(empty($data["vraag"]) || strlen($data["vraag"]) < 4 || strlen($data["vraag"]) > 65)
            $fout[] = "De opgegeven poll-vraag is korter dan 4 tekens of langer dan 65 tekens.";
         if((empty($data["opties"]) && !empty($data["vraag"])) || (!empty($data["opties"]) && empty($data["vraag"])))
            $fout[] = "Je hebt geen poll opties of geen poll titel opgegeven.";

         $optie_array = array();

         foreach($data["opties"] as $id => $optie)
         {
            $optie = trim($optie);

            if(!empty($fout))
               break;
            elseif(!empty($optie) && strlen($optie) > 30)
            {
               $fout[] = "&Eacute;&eacute;n van de opgegeven poll opties is leeg of groter dan 30 tekens.";
               break;
            }
            elseif(empty($optie))
               break;
            elseif($id > 9)
            {
               $fout[] = "Je hebt meer dan tien poll opties ingevoerd, het maximum is tien opties per poll.";
               break;
            }
            elseif(in_array($optie, $optie_array))
            {
               $fout[] = "Je hebt 2 keer dezelfde optie gebruikt in de poll.";
               break;
            }
            else
               $opties[] = "\"".$data["opties"][$id]."\":\"0\"";

            $optie_array[] = $optie;
         }
         if(count($opties) == 1)
            $fout[] = "Er is maar 1 poll optie opgegeven, dit moeten er minimaal 2 zijn.";

         $opties = implode(",", $opties);
      }

      if(!fouten_verwerken($fout) && $_POST["toevoegen"] == "Preview")
      {
         $tpl->get_template("header,tabel_header,forums_topic_toevoegen_top,forums_preview");
         
         $geef_top_weer = false;

         $tpl->assign(array("tabel_header.titel"     => "Preview van je forum bericht"                  , 
                            "header.titel"           => "Preview"                                       ,
                            "forums_preview.titel"   => $data["titel"]                                  ,
                            "forums_preview.bericht" => tekst_parsen(stripslashes($_POST["bericht"]), $core["status"]),
                           ));
      }
      else
      {
         $sql->query("DELETE FROM flood WHERE sleutel = '".$data["sleutel"]."'");

         if(!empty($data["mededeling"]) && is_moderator($f_info["moderators"]))
            $mededeling = 1;
         else
            $mededeling = 0;

         if(!empty($data["gesloten"]) && is_moderator($f_info["moderators"]))
            $gesloten = 1;
         else
            $gesloten = 0;

         if(!empty($data["vraag"]))
         {
            $sql->query("INSERT INTO forums_polls (id, titel, stemmen, opties, gestemd, gesloten, tid)  VALUES (NULL, '".$data["vraag"]."', 0, '".$opties."', '', 0, 0)");

            $poll_id = $sql->insert_id();
         }
         else
            $poll_id = 0;

         $sql->query("INSERT INTO forums_topics (id, auteur, titel, laatste_post, laatste_auteur, fid, reacties, gesloten, mededeling, poll) VALUES(NULL, ".$core["lid_id"].", '".$data["titel"]."', ".time().", '".kleur($core["lidnaam"], $core["status"]).",".$core["lid_id"]."', ".$data["fid"].", 0, ".$gesloten.", ".$mededeling.", ".$poll_id.")");
                  
         $id = $sql->insert_id();

         if(!empty($data["vraag"]))
            $sql->query("UPDATE forums_polls SET tid = ".$id." WHERE id = ".$poll_id);
         
         if(!empty($data["html"]) && is_moderator($f_info["moderators"]))
            $html = 1;
         else
            $html = 0;

         $sql->query("INSERT INTO forums_berichten (id, titel, auteur, bericht, bewerkt, tijd, tid, is_topic, html) VALUES(NULL, '".$data["titel"]."', ".$core["lid_id"].", '".$_POST["bericht"]."', 0, ".time().", ".$id.", 1, ".$html.")");
         
         $sql->query("UPDATE forums_forums SET topics = topics + 1, berichten = berichten + 1, laatste_post = '".time().",".$id.",".kleur($core["lidnaam"], $core["status"]).",".$core["lid_id"]."' WHERE id = ".$data["fid"]);

         $sql->query("UPDATE leden SET posts = posts + 1 WHERE id = ".$core["lid_id"]);

         forward("Je topic is succesvol toegevoegd, je wordt nu doorgestuurd.", url."forums/topic/".$id."#".$id);
      }
   }

   if(!isset($data["sleutel"]))
   {
      $sleutel = sleutel(15);
      $sql->query("INSERT INTO flood (sleutel, tijd) VALUES ('".$sleutel."', '".time()."')");
   }
   else
      $sleutel = $data["sleutel"];

   // admin opties
   if(!empty($data["gesloten"]))
      $gesloten_checked = "checked";
   else
      $gesloten_checked = "";

   if(!empty($data["mededeling"]))
      $mededeling_checked = "checked";
   else
      $mededeling_checked = "";

   if(!empty($data["html"]))
      $html_checked = "checked";
   else
      $html_checked = "";   

   $admin_opties = "            <tr>
             <td width=\"15%\" bgcolor=\"#f8f8f8\" style=\"border-right: #ffffff 4px solid\">
              &nbsp;
             </td>
             <td width=\"85%\" bgcolor=\"#f8f8f8\">
              <input type=\"checkbox\" name=\"gesloten\" ".$gesloten_checked."> Sluit deze topic meteen na het plaatsen van deze topic.<br>
              <input type=\"checkbox\" name=\"mededeling\" ".$mededeling_checked."> Stel deze topic in als mededeling.<br>";
   if($core["status"] > 3)
      $admin_opties .= "            <input type=\"checkbox\" name=\"html\" ".$html_checked."> Gebruik HTML in je bericht.";
   $admin_opties .= "          </td>
            </tr>";

   if(empty($_POST["poll"]))
   {
   	
   	if ($_SERVER["REQUEST_METHOD"] == "POST")
   		$bericht = stripslashes($_POST["bericht"]);
   	else
   		$bericht = '';
   	
   	if ($_SERVER["REQUEST_METHOD"] == "POST")
   		$titel = stripslashes($_POST["titel"]);
   	else
   		$titel = '';
   	
   	if (!isset($geef_top_weer) || $geef_top_weer == true)
   		$tpl->get_template('header,tabel_header,forums_topic_toevoegen_top');
   	
      $tpl->get_template("forums_topic_toevoegen,tabel_footer");

      // Wat nou als we admin of mod zijn?
      if(is_moderator($f_info["moderators"]))
         $tpl->assign("forums_topic_toevoegen.admin_opties", $admin_opties);
      
      $formulier = formulier("bericht", $bericht, "topic_toevoegen", 75, 15);      

      if($core["status"] >= 4)
         $html = "#006600";
      else
         $html = "red";

      $tpl->assign(array("tabel_header.titel"               => "Nieuwe forum topic openen"                           ,  
                         "header.titel"                     => "Nieuwe topic"                                        ,
								 "forums_topic_toevoegen.titel"     => $titel                                                ,
                         "forums_topic_toevoegen.fid"       => $data["fid"]                                          ,
                         "forums_topic_toevoegen.formulier" => $formulier                                            ,
                         "forums_topic_toevoegen.f_titel"   => $f_info["cat_titel"] . " &rsaquo; " . $f_info["titel"],
                         "forums_topic_toevoegen.sleutel"   => $sleutel                                              ,
                         "forums_topic_toevoegen.bb"        => "#006600"                                             ,
                         "forums_topic_toevoegen.html"      => $html                                                 ,
                         "forums_topic_toevoegen.img"       => "#006600"                                             ,
                         "forums_topic_toevoegen.smilies"   => "#006600"                                             ,
                        ));
   }
   else
   {
   	if (!isset($geef_top_weer) || $geef_top_weer == true)
   		$tpl->get_template('header,tabel_header,forums_topic_toevoegen_top');
   	
      $tpl->get_template("forums_topic_toevoegen_p,tabel_footer");

      // Wat nou als we admin of mod zijn?
      if(is_moderator($f_info["moderators"]))
         $tpl->assign("forums_topic_toevoegen_p.admin_opties", $admin_opties);
      
      $formulier = formulier("bericht", stripslashes($_POST["bericht"]), "topic_toevoegen", 75, 15);      

      if($core["status"] >= 4)
         $html = "#006600";
      else
         $html = "red";

      $tpl->assign(array("tabel_header.titel"                 => "Nieuwe forum topic openen"                           , 
                         "header.titel"                       => "Nieuwe topic"                                        ,
                         "forums_topic_toevoegen_p.fid"       => $data["fid"]                                          ,
                         "forums_topic_toevoegen_p.titel"     => $data["titel"]                                        ,
                         "forums_topic_toevoegen_p.formulier" => $formulier                                            ,
                         "forums_topic_toevoegen_p.f_titel"   => $f_info["cat_titel"] ." &rsaquo; " . $f_info["titel"] ,
                         "forums_topic_toevoegen_p.sleutel"   => $sleutel                                              ,
                         "forums_topic_toevoegen_p.bb"        => "#006600"                                             ,
                         "forums_topic_toevoegen_p.html"      => $html                                                 ,
                         "forums_topic_toevoegen_p.img"       => "#006600"                                             ,
                         "forums_topic_toevoegen_p.smilies"   => "#006600"                                             ,
                        ));
   }
   
   $tpl->get_template('footer');

   include pad . "include/output.inc.php";

?>
