<?php

   include "../include/include.inc.php";

   $data["pid"] = !empty($data["pid"]) && is_numeric($data["pid"]) ? $data["pid"] : "";

   $s_poll = $sql->query("SELECT
                         p.titel, p.opties, p.gesloten, f.moderators, t.auteur, t.gesloten AS t_gesloten, l.gebruikersnaam, t.id AS tid, t.titel AS t_titel
                         FROM
                         forums_polls AS p, forums_forums AS f, forums_topics AS t, leden AS l
                         WHERE p.id = '".$data["pid"]."' AND t.id = p.tid AND f.id = t.fid AND l.id = t.auteur");
   $f_p = $sql->fetch($s_poll);

   if(!$core["ingelogd"])
      bericht("Je kunt deze poll niet bewerken omdat je niet bent ingelogd.");

   if(!$sql->num_rows($s_poll) || ($f_p["gesloten"] == 1 && !is_moderator($f_p["moderators"])) || ($f_p["t_gesloten"] == 1 && !is_moderator($f_p["moderators"])) || ($f_p["auteur"] != $core["lid_id"] && !is_moderator($f_p["moderators"])))
      bericht("Je mag deze poll niet bewerken omdat hij niet bestaat, niet van jou is of omdat de poll/topic gesloten is.");
   else
   {
      if(!empty($_POST["bewerken"]))
      {
         $fout           = array();
         $data["opties"] = explode("<br>", $data["opties"]);
         $opties         = array();

         if(empty($data["vraag"]) || strlen($data["vraag"]) < 4 || strlen($data["vraag"]) > 65)
            $fout[] = "De opgegeven poll-vraag is korter dan 4 tekens of langer dan 65 tekens.";
         if((empty($data["opties"]) && !empty($data["vraag"])) || (!empty($data["opties"]) && empty($data["vraag"])))
            $fout[] = "Je hebt geen poll opties of geen poll titel opgegeven.";

         preg_match_all("!\"(.+)\":\"(.+)\"!U", $f_p["opties"], $f_p["opties"]);
         
         $optie_array = array();

         foreach($data["opties"] as $id => $optie)
         {
            $optie = trim($optie);

            if(!empty($fout))
               break;
            elseif(!empty($optie) && strlen($optie) > 30)
            {
               $fout[] = "&Eacute;&eacute;n van de opgegeven poll opties is leeg of groter dan 30 tekens.";
               break;
            }
            elseif(empty($optie))
               break;
            elseif($id > 9)
            {
               $fout[] = "Je hebt meer dan tien poll opties ingevoerd, het maximum is tien opties per poll.";
               break;
            }
            elseif(in_array($optie, $optie_array))
            {
               $fout[] = "Je hebt 2 keer dezelfde optie gebruikt in de poll.";
               break;
            }
            else
            {
               if(in_array($data["opties"][$id], $f_p["opties"][1]))
               {
                  $key = array_keys($f_p["opties"][1], $data["opties"][$id]);
                  $opties[] = "\"".$data["opties"][$id]."\":\"".$f_p["opties"][2][$key[0]]."\"";
               }
               else
                  $opties[] = "\"".$data["opties"][$id]."\":\"0\"";
            }

            $optie_array[] = $optie;
         }
         if(count($opties) == 1)
            $fout[] = "Er is maar 1 poll optie opgegeven, dit moeten er minimaal 2 zijn.";

         $opties = implode(",", $opties);

         if(empty($opties))
            $fout[] = "Er zijn geen opties voor die in de poll kunnen worden opgenomen gevonden.";

         if(!fouten_verwerken($fout))
         {
            $sql->query("UPDATE forums_polls SET titel = '".$data["vraag"]."', opties = '".$opties."' WHERE id = '".$data["pid"]."'");
            
            if($f_p["auteur"] != $core["lid_id"])
               admin_log("heeft de poll in de topic \"".$f_p["t_titel"]."\" (".$f_p["tid"].") aangepast.");

            forward("De poll is succesvol bewerkt, je wordt nu doorgestuurd.", url."forums/topic/".$f_p["tid"]);
         }
      }

      $tpl->get_template("header,tabel_header,forums_poll_bewerken,tabel_footer,footer");

      preg_match_all("!\"(.+)\":\"(.+)\"!U", $f_p["opties"], $f_p["opties"]);

      $f_p["opties"] = implode("\n", $f_p["opties"][1]);

      $tpl->assign(array("forums_poll_bewerken.vraag"  => $f_p["titel"]         ,
                         "forums_poll_bewerken.opties" => $f_p["opties"]        ,
                         "forums_poll_bewerken.auteur" => $f_p["gebruikersnaam"],
                         "header.titel"                => "Poll bewerken"       ,
                         "tabel_header.titel"          => "Poll bewerken"       ,
                         "forums_poll_bewerken.pid"    => $data["pid"]          ,
                        ));
   }

   include pad . "include/output.inc.php";

?>