<?php

   include "../include/include.inc.php";

   $data["gebruiker"] = !empty($data["gebruiker"]) && is_numeric($data["gebruiker"]) ? $data["gebruiker"] : "";
   
   if(!empty($data["gebruiker"]))
   {
      $s_gebruiker = $sql->query("SELECT gebruikersnaam FROM leden WHERE id = '".$data["gebruiker"]."'");

      if($sql->num_rows($s_gebruiker))
      {
         $data["mode"]           = 1;
         $_POST["zoekwoorden"]    = $sql->result($s_gebruiker, 0);
         $data["zoekwoorden"]    = $sql->result($s_gebruiker, 0);
         $_POST["zoeken"]        = 1;
         $data["forum"]          = "#";
      }
   }

   if(isset($_POST['zoeken']))
   {
      $fout  = array();

      if(empty($_POST["zoekwoorden"]) || strlen($_POST["zoekwoorden"]) < 3)
         $fout[] = "Je hebt geen zoekwoord opgegeven of het opgegeven zoekwoord is kleiner dan 2 tekens.";

      if($data["mode"] == 1)
      {
         $s_gebruikersnaam = $sql->query("SELECT id FROM leden WHERE gebruikersnaam = '" . $data["zoekwoorden"] . "' AND actief = 1");
         $f_gb = $sql->fetch($s_gebruikersnaam);

         if(!$sql->num_rows($s_gebruikersnaam))
            $fout[] = "De opgegeven gebruikersnaam is niet gevonden.";

         $lid_id = $f_gb["id"];
         
         $query = "b.auteur = '" . $lid_id . "'";

         $sql->free_result($s_gebruikersnaam);
      }
      else
      {
         // Like query opzetten
         $zoekwoorden = explode(" ", $data["zoekwoorden"]);
         for($i = 0; $i < count($zoekwoorden); $i++)
            $zoekwoorden[$i] = "LOWER(b.bericht) LIKE('%".strtolower($zoekwoorden[$i])."%')";
         $query = implode(" AND ", $zoekwoorden);
      }

      if($data["forum"] != "#")
         $query .= " AND t.fid = " . $data["forum"];

      if(!fouten_verwerken($fout))
      {
         // Zoeken
         $s_topics = $sql->query("SELECT DISTINCT 
                                  t.*, l.gebruikersnaam, l.status, f.titel AS forum_titel
                                  FROM forums_berichten AS b
                                  LEFT JOIN forums_topics AS t ON t.id = b.tid
                                  LEFT JOIN forums_forums AS f ON f.id = t.fid
                                  LEFT JOIN leden AS l ON l.id = t.auteur
                                  WHERE ".$query." AND (f.toegang <> 3 OR " . $core["status"] . " > 2) ORDER BY b.tijd DESC LIMIT 0,201");

         if(!$sql->num_rows($s_topics))
         {
            forward("Er zijn geen resultaten voor je zoekopdracht!", url . "forums/zoeken");

            include pad . "include/output.inc.php";
            exit;
         }

         $tpl->get_template("header,tabel_header,forums_zoeken_header");
      
         $tpl->assign(array("header.titel"                       => "Zoekresultaten",
                            "tabel_header.titel"                 => "Zoekresultaten",
                           ));

         $tids = array();
         $aantal_topics = 0;

         while($f_t = $sql->fetch($s_topics))
         {
            if(!in_array($f_t["id"], $tids))
            {
               $aantal_topics++;

               $tpl->get_template("forums_forum_topic");
               
               // titel
               $titel = substr($f_t["titel"], 0, 30);

               if($titel != $f_t["titel"])
                  $titel .= "...";

               // plaatje
               if($f_t["laatste_post"] >= time() - 60*60*6 && $f_t["gesloten"] == 1 && $f_t["mededeling"] == 0)
                  $plaatje = "topic_gesloten_actief";
               elseif($f_t["laatste_post"] >= time() - 60*60*6 && $f_t["gesloten"] == 1 && $f_t["mededeling"] == 1)
                  $plaatje = "mededeling_gesloten_actief";
               elseif($f_t["laatste_post"] >= time() - 60*60*6 && $f_t["gesloten"] == 0 && $f_t["mededeling"] == 0)
                  $plaatje = "topic_actief";
               elseif($f_t["laatste_post"] >= time() - 60*60*6 && $f_t["gesloten"] == 0 && $f_t["mededeling"] == 1)
                  $plaatje = "mededeling_actief";
               elseif($f_t["laatste_post"] < time() - 60*60*6 && $f_t["gesloten"] == 0 && $f_t["mededeling"] == 1)
                  $plaatje = "mededeling";
               elseif($f_t["laatste_post"] < time() - 60*60*6 && $f_t["gesloten"] == 1 && $f_t["mededeling"] == 1)
                  $plaatje = "mededeling_gesloten";
               elseif($f_t["laatste_post"] < time() - 60*60*6 && $f_t["gesloten"] == 1 && $f_t["mededeling"] == 0)
                  $plaatje = "topic_gesloten";
               else
                  $plaatje = "topic";

               // datum
               $laatste_post = "op " . date_format($f_t["laatste_post"]) . " om " . date("H:i", $f_t["laatste_post"]);

               // pagina verdeling                           
               if(($f_t["reacties"] + 1) > 20)
               {
                  $paginas = ceil(($f_t["reacties"] + 1) / 20);
                  
                  $pg_select = array();
                  for($i = 1; $i <= $paginas; $i++)
                     $pg_select[] .= "<a href=\"" . url . "forums/topic/" . $f_t["id"] . "/" . $i . "\" class=\"zwart\">" . $i . "</a>";

                  $paginas = "<small>(<img src=\"" . url . "images/forums/meer_paginas.gif\"> ";
                  $paginas .= implode(" ", $pg_select);
                  $paginas .= ")</small>";
               }
               else
                  $paginas = "";

               $tpl->assign(array("titel"            => $titel                                        ,
                                  "tid"              => $f_t["id"]                                    ,
                                  "titel_alt"        => $f_t["titel"] . " (".$f_t["forum_titel"].")"  ,
                                  "auteur_id"        => $f_t["auteur"]                                ,
                                  "auteur"           => kleur($f_t["gebruikersnaam"], $f_t["status"]) ,
                                  "reacties"         => $f_t["reacties"]                              ,
                                  "laatste_post"     => $laatste_post                                 ,     
                                  "plaatje"          => $plaatje                                      ,
                                  "paginas"          => $paginas                                      ,
                                 ));
            }

            array_push($tids, $f_t["id"]);
            $tids = array_unique($tids);
         }

         $tpl->get_template("forums_zoeken_footer,tabel_footer,footer");

         include pad . "include/forums_dropdown.inc.php";

         if($aantal_topics == 1)
            $aantal = "Er is <b>1</b> resultaat voor je zoekopdracht.";
         elseif($aantal_topics <= 200)
            $aantal = "Er zijn ".$aantal_topics." resultaten voor je zoekopdracht.";
         else
            $aantal = "Er zijn meer dan <b>200</b> resultaten voor je zoekopdracht, de zoekopdracht is gestopt na 200 posts.";

         $tpl->assign(array("forums_zoeken_footer.select"        => $select         ,
                            "forums_zoeken_header.zoekresultaat" => $aantal         ,
            ));
      }
   }
   else
   {
      $tpl->get_template("header,tabel_header,forums_zoeken,tabel_footer,footer");

      // forums lijst
      $s_info = $sql->query("SELECT
                             c.titel AS cat_titel,
                             f.titel AS forum_titel, f.id AS forum_id
                             FROM
                             forums_categorieen AS c
                             LEFT JOIN forums_forums AS f ON f.cat = c.id
                             ORDER BY c.ordening ASC, f.ordening");

      $prev_cat = "";
      $select   = "";

      while($f_info = $sql->fetch($s_info))
      {
         // Als de vorige categorie niet dezelfde is als de huidige een nieuwe tabel openen...
         if($prev_cat != $f_info["cat_titel"])
            $select .= "</optgroup>\n\n<optgroup label=\"".$f_info["cat_titel"]."\">\n";

         $prev_cat = $f_info["cat_titel"];

         if(!empty($f_info["forum_titel"]))
            $select .= "<option value=\"" . $f_info["forum_id"] . "\">" . $f_info["forum_titel"] . "</option>\n";
      }
	  
	  $select .= "</optgroup>";

      $tpl->assign(array("tabel_header.titel"   => "Zoeken in de " . sitenaam . " forums",
                         "header.titel"         => "Zoeken"                              ,
                         "forums_zoeken.forums" => substr($select, 11)                   ,
                        ));
   }

   include pad . "include/output.inc.php";

?>