<?php

   $tpl->block('header', 'forums_links');

   // Kijken welk menu er gebruikt moet worden.
   if($core["ingelogd"] && ($tpl->tpl_loaded("header") || $tpl->tpl_loaded('site_header')))
   {
      $header = $tpl->tpl_loaded('header') ? 'header' : 'site_header';

      if($core["status"] > 2 && !$tpl->tpl_loaded("header"))
         $admin_link = "- <a href=\"" . url . "beheer/index\" class=\"zwart\">Administratie</a> ";
      else
         $admin_link = "";

      if($core["pbs"])
      {
         if($core["pbs"] == 1)
            $pb_string = "1 priv&eacute;bericht";
         else
            $pb_string = $core["pbs"] . " priv&eacute;berichten";

         $nieuw_pb = " | <a href=\"" . url . "leden/cp?mode=priveberichten\" class=\"zwart\">" . $pb_string . "</a>";
      }
      else
         $nieuw_pb = "";

      $tpl->assign(array($header .".gebruiker"    => $core["lidnaam"]                ,
                         "site_footer.gebruiker"  => $core["lidnaam"]                ,
                         $header .".st_gebr"      => "Gebruiker: " . $core["lidnaam"],
                         $header .".link1"        => "<a href=\"" . url . "leden/uitloggen\" class=\"zwart\">Uitloggen</a>" . $nieuw_pb,
                         $header .".link2"        => "- <a href=\"" .url. "forums/tracker\" class=\"zwart\">Topic tracker</a> ",
                         $header .".link3"        => $admin_link. "- <a href=\"" . url . "leden/cp\" class=\"zwart\">Controlepaneel</a>",
                         $header .".aantal_leden" => $core['aantal_leden']           ,
                        ));
   }
   else
   {
      $header = $tpl->tpl_loaded('header') ? 'header' : 'site_header';

      $tpl->assign(array($header .".gebruiker"    => "Gast"               ,                   
                         $header .".st_gebr"      => "Niet ingelogd"      ,
                         "site_footer.gebruiker"  => "Gast"               ,
                         $header .".link1"        => "<a href=\"" . url . "leden/index\" class=\"zwart\">Inloggen</a> | <a href=\"" . url . "leden/registreren\" class=\"zwart\">Registreren</a>",
                         $header .".aantal_leden" => $core['aantal_leden'],
                        ));
   }

   if($core['ingelogd'] && $tpl->tpl_loaded('site_footer'))
   {
      $tpl->block('site_footer', 'ingelogd');
   }
   else
   {
      $tpl->block('site_footer', 'niet_ingelogd');
   }

   if($tpl->tpl_loaded('site_footer') && $core['menu']['persoonlijk'])
   {
      $tpl->block('site_footer', 'persoonlijk_menu');

      $s_p = $sql->query("SELECT link_naam, link_url FROM persoonlijk WHERE lid_id = " .$core['lid_id']);

      if(!$sql->num_rows($s_p))
      {
         $links = 'Je hebt nog geen links toegevoegd aan je persoonlijke menu.';
      }
      else
      {
         $links = array();

         while($f_p = $sql->fetch($s_p))
         {
            $links[] = '<a href="' .$f_p['link_url']. '" class="zijmenu" target="_blank">' .$f_p['link_naam']. '</a>';
         }

         $links = implode("<br>\n", $links);
      }

      $tpl->assign('site_footer.persoonlijk_menu_links', $links);
   }

   if($tpl->tpl_loaded('site_footer') && $core['menu']['linkpartners'])
   {
      $tpl->block('site_footer', 'linkpartners');

      $s_lp = $sql->query("SELECT id, titel, inhits, uithits FROM linkpartners ORDER BY titel ASC");

      $links = array();

      if(!$sql->num_rows($s_lp))
      {
         $links[] = sitenaam. ' heeft op dit moment geen linkpartners.';
      }

      while($f_lp = $sql->fetch($s_lp))
      {
         $links[] = "<a href=\"" .url. "linkpartners?mode=uit&id=" .$f_lp['id']. "\" target=\"_blank\" title=\"" .$f_lp['titel']. " - in: " .$f_lp['inhits']. " uit: " .$f_lp['uithits']. "\" class=\"zijmenu\">" .$f_lp['titel']. "</a><br>";
      }

      $tpl->assign('site_footer.linkpartners', implode("\n", $links));
   }

   if(in_array($core['lidnaam'], $core['elite']) && $tpl->tpl_loaded('site_footer'))
   {
      $tpl->block('site_footer', 'elite');
   }

   /*
    * Het actieve topics verhaal
    */
   
   if($tpl->tpl_loaded('site_footer') && $core['menu']['actief'])
   {
      $tpl->block('site_footer', 'actieve_topics');

      $s_actief = $sql->query("SELECT t.titel, t.laatste_post, t.id, f.titel AS forum_titel, t.gesloten, t.mededeling, t.poll
                               FROM forums_forums AS f, forums_topics AS t
                               WHERE f.id = t.fid AND (f.toegang <> 3 OR " . $core["status"] . " > 2)
                               ORDER BY t.laatste_post DESC 
                               LIMIT 0, " .$core['menu']['actief_aantal']);
      
      $links = array();

      if(!$sql->num_rows($s_actief))
      {
         $links[] = "Er zijn momenteel geen actieve topics.";
      }

      while($f_a = $sql->fetch($s_actief))
      {
         /*
          * Datum check
          */

         if(date('d-m-Y') != date('d-m-Y', $f_a['laatste_post']))
         {
            $datum = date('d/m', $f_a['laatste_post']);
         }
         else
         {
            $datum = date('H:i', $f_a['laatste_post']);
         }

         /*
          * Titel check
          */

         if(substr($f_a['titel'], 0, 14) != $f_a['titel'])
         {
            $titel = substr($f_a['titel'], 0, 12) .'...';
         }
         else
         {
            $titel = $f_a['titel'];
         }

         $alt = $f_a['titel'] . ' (' .$f_a['forum_titel']. ')';

         if($f_a["mededeling"] == 1)
            $plaatje = "mededeling";
         elseif($f_a["gesloten"] == 1)
            $plaatje = "gesloten";
         elseif($f_a["poll"] > 0)
            $plaatje = "poll";
         else
            $plaatje = "topic";

         $links[] = '<font class="zijmenu"><font color="#638C95"><img src="' . url . 'images/forums/small/' . $plaatje . '.gif" alt="' . ucfirst($plaatje) . '"> ' . $datum . '</font> <a href="' .url. 'forums/topic/' .$f_a['id']. '/laatste" class="zijmenu" title="' . $alt . '">' . $titel . '</a></font>'; 
      }

      $links = implode("<br>\n", $links);

      $tpl->assign('site_footer.actieve_topics', $links);
   }

   $bb->__process_hash();
                        
   $tpl->assign_global("parse_info", "{tijd}");
   $tpl->assign_global("versie", $core["versie"]);
   
   ob_start();
   $tpl->parse();
   
   $content = ob_get_contents();
   ob_end_clean();
   
   $sql->close(); 

   // Parsetijd berekenen
   $core["tijd"] = getmicrotime() - $core["tijd"];
  
   // Parse statistieken
   $parsetijd_100 = $core["tijd"] / 100;
   $db            = round(($sql->sql_tijd / $core["tijd"] * 100), 1);
   $php           = round((100 - $db), 1);
   
   echo str_replace( "{tijd}" , round($core["tijd"], 4) . " (PHP: " . $php . "% SQL: " . $db . "%)", $content );
?>