<?

   class template
   {
      var $templates;
      var $output;
      var $replace;
      var $global;
      var $active;
      var $dev;
      var $time;
      var $show_block;

      function template()
      {
         $this->templates  = array();
         $this->output     = array();
         $this->replace    = array();
         $this->global     = array();
         $this->active     = "";
         $this->dev        = false;
         $this->time       = getmicrotime();
         $this->show_block = array();
      }

      function __get_templates()
      {
         global $sql;
         
         /*$where  = array();
         foreach($this->templates as $id => $title)
         {
            $where[] = "title = '" . $title . "'";
         }
         $where = implode("OR ", $where);
         
         $s_tpl = $sql->query("SELECT title, template FROM templates WHERE " . $where ."");            
         */

         $tpl = array();

         foreach(array_unique($this->templates) as $k => $v)
         {
            $tpl[$v] = file_get_contents(pad . 'tpl/' . $v . '.tpl');

            $keys = array_keys($this->templates, $v);
              
            for($i = 0; $i < count($keys); $i++)
            {
               $this->output[$keys[$i]] = $tpl[$v];
            }
         }

         



         /*if(count(array_unique($this->templates)) == $sql->num_rows($s_tpl))
            while($f_tpl = $sql->fetch($s_tpl))
            {
               $keys = array_keys($this->templates, $f_tpl["title"]);
               
               for($i = 0; $i < count($keys); $i++)
               {
                  $this->output[$keys[$i]] = $f_tpl["template"];
               }
            }
         else
            fatal_error("Niet alle templates konden geladen worden.", "Template fout");        */
      }

      function __replace($output, $id)
      {
         if(!empty($this->replace[$id]) || !empty($this->global))
         {
            /*
             * Eerst alle te replacen variabelen in dit template in een array zetten
             */

            $to_replace = @array_merge($this->global, $this->replace[$id]);

            /*
             * Alle variabelen in de template matchen
             */

            preg_match_all('!{.*?([A-Za-z0-9_])}!', $output, $in_tpl_vars);
               
            $in_tpl_vars = array_unique($in_tpl_vars[0]);
               
            /*
             * De niet gebruikte variabelen opsporen
             */

            $really_replace = array();

            foreach($in_tpl_vars as $key => $value)
            {
               $value = substr($value, 1);
               $value = substr($value, 0, (strpos('}', $value) - 1));
               
               if(!isset($to_replace[$value]))
               {
                  $output = str_replace('{' . $value . '}', '', $output);
               }
               else
               {
                  $really_replace['{' .$value. '}'] = $to_replace[$value];
               }
            }

            /*         
             * Eindelijk echt replacen..
             * Update: strtr weggehaald en foreach er voor in de plaatst neergezet met str_replace, tijdwinst van 0.001192 sec op index
             */
            
            foreach ( $really_replace AS $deplace => $replace ) {
               
               $output = str_replace( $deplace , $replace , $output );
               
            }
            
            return $output;
         }
      }

      function __process_blocks($id)
      {
         /*
          * Eerst kijken of er wel een block in dit document voorkomt, 
          * anders hoeven we ook niet alles regel voor regel af te speuren.
          */

         if(preg_match('/<!-- START (.+)-->/', $this->output[$id]))
         {
            /*
             * Zo, nu gaan we eens even stack-based bezig, niet zeuren
             * in de volgende versie zal ik alles zo doen.
             */

            $output = preg_split("/\n/", $this->output[$id]);

             foreach($output as $line_number => $content)
             {
               if(!empty($geopend))
               {
                  if(trim($content) == "<!-- END " .$geopend[0]. " -->")
                  {
                     if(@in_array($geopend[0], $this->show_block[$id]))
                     {
                        unset($output[$geopend[1]]);
                        unset($output[$line_number]);
                     }
                     else
                     {
                        for($i = $geopend[1]; $i <= $line_number; $i++)
                        {
                           unset($output[$i]);
                        }
                     }

                     $geopend = array();
                  }
               }
               elseif(preg_match("/<!-- START (.+)-->/", $content, $matched))
               {
                  $geopend[0] = trim($matched[1]);
                  $geopend[1] = $line_number;
               }
            }
         
            /*
             * We gaan de output voor dit template updaten
             */

            return implode("", $output);
         }
         else
         {
            return $this->output[$id];
         }
      }
      
      function get_template($title)
      {
         $title = explode(",", $title);

         foreach($title as $id => $tpl_title)
         {
            $this->templates[] = $tpl_title;
         }

         $this->active = count($this->templates) - 1;
      }

      function set_active($title)
      {
         if(in_array($title, $this->templates) && count(array_keys($this->templates, $title)) == 1)
         {
            $key = array_keys($this->templates, $title);
            $this->active = $key[0];
         }
         else
         {
            return false;
         }
      }

      function assign($var, $val = "")
      {
         if(is_array($var))
         {
            foreach($var as $deplace => $replace)
            {
               if(count($varname = explode(".", $deplace)) == 2 && array_keys($this->templates, $varname[0]) >= 1)
               {
                  if(count($key = array_keys($this->templates, $varname[0])) > 1)
                  {
                     $key[0] = $key[count($key) - 1];
                  }

                  @$this->replace[$key[0]][$varname[1]] = $replace;
               }
               else
               {
                  $this->replace[$this->active][$deplace] = $replace;
               }
            }
         }
         else
         {
            if(count($varname = explode(".", $var)) == 2 && array_keys($this->templates, $varname[0]) >= 1)
            {
               if(count($key = array_keys($this->templates, $varname[0])) > 1)
               {
                  $key[0] = $key[count($key) - 1];
               }

               @$this->replace[$key[0]][$varname[1]] = $val;   
            }
            else
            {
               $this->replace[$this->active][$var] = $val;
            }
         }
      }

      function assign_global($var, $val)
      {
         $this->global[$var] = $val;
      }

      function tpl_loaded($title)
      {
         if(in_array($title, $this->templates))
         {
            return true;
         }
         else
         {
            return false;
         }
      }

      function development($val = true)
      {
         $this->dev = $val;
      }

      function reset_tpl()
      {
         $this->templates  = array();
         $this->output     = array();
         $this->replace    = array();
         $this->active     = array();
         $this->show_block = array();
      }

      function get_id($template)
      {
         $keys = array_keys($this->templates, $template);
         $keys = array_reverse($keys);

         return $keys[0];
      }

      /*
       * Deze functie werkt niet als content splitter / loop, maar als een soort 
       * if-conditie die wel of niet weergegeven kan worden. Handig om 
       * bijvoorbeeld admin opties weer te geven die voor normale leden niet 
       * zichtbaar zijn.
       */

      function block($template, $blockname)
      {
         if(!$this->tpl_loaded($template))
         {
            return false;
         }

         $this->show_block[$this->get_id($template)][] = $blockname;

         return false;
      }

      function parse()
      {
         if(empty($this->templates))
         {
            fatal_error("Er zijn geen templates om weer te geven!", "Template fout");
         }
         else
         {
            $this->__get_templates();
            
            $output = "";
            foreach($this->templates as $id => $title)
            {
               /* 
                * De blocks verwerken in de output
                */

               $temp_output = $this->__process_blocks($id);
               $temp_output = $this->__replace($temp_output, $id);
               $output .= $temp_output . "\n";
            }

            if($this->dev)
            {
               $time = getmicrotime() - $this->time;
               $output .= "\n\n<hr>Templates geparsed in: ".round($time, 5)." sec.";
            }
            
            print $output;
         }
      }
   }

?>