<?php

include './include/include.inc.php';

$tpl->get_template('site_header');

$tpl->get_template('site_tabel_header,beginpagina,tabel_footer');

$s_art = $sql->query("SELECT datum, titel, id FROM artikelen WHERE gekeurd = 1 ORDER BY datum DESC LIMIT 0,5");
$s_scr = $sql->query("SELECT datum, titel, id FROM scripts WHERE gekeurd = 1 ORDER BY datum DESC LIMIT 0,5");

// Laatste mededelingen
$s_med = $sql->query("SELECT t.id, t.titel, t.laatste_post FROM forums_topics AS t, forums_forums AS f WHERE t.mededeling = 1 AND t.fid = f.id AND (f.toegang <> 3 OR " . $core["status"] . " > 2) ORDER BY t.laatste_post DESC LIMIT 0, 5");

$mededelingen = array();

while($f_med = $sql->fetch($s_med))
{
   $mededelingen[] = '<font color="#638C95">' . date('d-m H:i', $f_med['laatste_post']) . '</font> <a href="' . url . 'forums/topic/' . $f_med['id'] . '/laatste"><font color="#000000">' . $f_med['titel'] .'</font></a>';
}

$mededelingen = implode("<br>\n", $mededelingen);

if(!$sql->num_rows($s_art))
{
   $artikelen = 'Er zijn geen artikelen toegevoegd.';
}
else
{
   $artikelen = array();

   while($f_art = $sql->fetch($s_art))
   {
      if(substr($f_art['titel'], 0, 20) != $f_art['titel'])
      {
        $titel = substr($f_art['titel'], 0, 18) .'...';
      }
      else
      {
        $titel = $f_art['titel'];
      }

      $artikelen[] = '<font color="#638C95">' . date('d/m', $f_art['datum']) . '</font> <a href="' . url . 'artikelen/artikel/' . $f_art['id'] . '" title="' . $f_art['titel'] . '"><font color="#000000">' . $titel . '</font></a>';
   }

   $artikelen = implode("<br>\n", $artikelen);
}

if(!$sql->num_rows($s_scr))
{
   $scripts = 'Er zijn geen artikelen toegevoegd.';
}
else
{
   $scripts = array();

   while($f_scr = $sql->fetch($s_scr))
   {
      if(substr($f_scr['titel'], 0, 20) != $f_scr['titel'])
      {
        $titel = substr($f_scr['titel'], 0, 18) .'...';
      }
      else
      {
        $titel = $f_scr['titel'];
      }

      $scripts[] = '<font color="#638C95">' . date('d/m', $f_scr['datum']) . '</font> <a href="' . url . 'scripts/script/' . $f_scr['id'] . '" title="' . $f_scr['titel'] . '"><font color="#000000">' . $titel . '</font></a>';
   }

   $scripts = implode("<br>\n", $scripts);
}

$s_poll = $sql->query("SELECT titel, stemmen, gestemd FROM poll WHERE gesloten = 0");
$f_poll = $sql->fetch($s_poll);

$f_poll['gestemd'] = explode(',', $f_poll['gestemd']);

if(!$core['ingelogd'])
{
   $f_poll['gestemd'] = 'Je bent niet ingelogd, log in om te stemmen in de poll.';
}
elseif(!in_array($core['lid_id'], $f_poll['gestemd']))
{
   $f_poll['gestemd'] = 'Je hebt nog niet gestemd in deze poll.';
}
else
{
   $f_poll['gestemd'] = 'Je hebt je stem al uitgebracht in deze poll.';
}

$tpl->assign(array('site_header.titel'        => 'Beginpagina'     ,
                   'site_tabel_header.titel'  => 'Beginpagina'     ,
                   'beginpagina.scripts'      => $scripts          ,
                   'beginpagina.artikelen'    => $artikelen        ,
                   'beginpagina.poll'         => $f_poll['titel']  ,
                   'beginpagina.poll_stemmen' => $f_poll['stemmen'],
                   'beginpagina.poll_gestemd' => $f_poll['gestemd'],
                   'beginpagina.mededelingen' => $mededelingen     ,
                  ));

$s_nieuws = $sql->query("SELECT n.*, l.gebruikersnaam, COUNT(r.id) AS reacties
                         FROM nieuws AS n, leden AS l
                         LEFT JOIN reactiesysteem AS r ON r.in_cat_id = n.id AND r.cat = 1
                         WHERE l.id = n.auteur
                         GROUP BY n.id
                         ORDER BY n.datum DESC 
                         LIMIT 0,2");

if(!$sql->num_rows($s_nieuws))
{
   $tpl->get_template('site_tabel_header,fp_geen_nieuws,tabel_footer');

   $tpl->assign('site_tabel_header.titel', 'Geen nieuws');
}

while($f_n = $sql->fetch($s_nieuws))
{
   $tpl->get_template('site_tabel_header,fp_nieuwsbericht');

   if($f_n['reacties'] == 1)
      $reacties = '<b>1</b> reactie';
   else
      $reacties = '<b>' .$f_n['reacties']. '</b> reacties';

   if(!empty($f_n['avatar']))
   {
      $avatar = '<img src="' . $f_n['avatar']. '">';
   }
   else
   {
      $avatar = '';
   }

   $tpl->assign(array('site_tabel_header.titel' => $f_n['titel'],
                      'titel'     => $f_n['titel']                   ,
                      'datum'     => date_format($f_n['datum'])      ,
                      'bericht'   => tekst_parsen($f_n['bericht'], 5),
                      'auteur_id' => $f_n['auteur']                  ,
                      'auteur'    => $f_n['gebruikersnaam']          ,
                      'id'        => $f_n['id']                      ,
                      'reacties'  => $reacties                       ,
                      'avatar'    => $avatar                         ,
                     ));

   $tpl->get_template('tabel_footer');
}

get_onlinelijst('site_tabel_header');

$tpl->get_template('site_footer');

include pad .'include/output.inc.php';

?>