<?php

   include "../include/include.inc.php";

   if(!$core["ingelogd"])
      header("Location: ".url."leden/index");
   elseif(!isset($data["mode"]) || !$data["mode"])
   {
      $tpl->get_template("site_header,site_tabel_header,cp_header,cp_index_header");

      ## Nieuwe privberichten
      $s_pb = $sql->query("SELECT 
                             p.id, p.titel, l.gebruikersnaam AS afzender, l.id AS afzender_id, l.status, p.gelezen, p.datum 
                             FROM priveberichten AS p, leden AS l 
                             WHERE p.ontvanger = '".$core["lid_id"]."' AND p.status = 1 AND p.gelezen = 0 AND l.id = p.afzender
                             ORDER BY gelezen,datum DESC");

      if(!$sql->num_rows($s_pb))
         $tpl->get_template("cp_index_geen_pb");
      else
      {
         $i = 0;

         while($f_pb = $sql->fetch($s_pb))
         {
            $i++;

            $tpl->get_template("cp_index_nieuw_pb");
               
            $achtergrond = $i % 2 == 0 ? "#f7f7f4" : "";
               
            $titel = substr($f_pb["titel"], 0, 26);

            if($titel != $f_pb["titel"])
               $titel .= "...";

            $tpl->assign(array("titel_alt"       => $f_pb["titel"]                           ,
                               "titel"           => $titel                                   ,
                               "datum"           => date("d-m-Y H:i", $f_pb["datum"])        ,
                               "id"              => $f_pb["id"]                              ,
                               "afzender_id"     => $f_pb["afzender_id"]                     ,
                               "afzender"        => kleur($f_pb["afzender"], $f_pb["status"]),
                               "achtergrond"     => $achtergrond                             ,
                              ));
         }
      }

      $tpl->assign(array("site_tabel_header.titel"      => "Controlepaneel"                        ,
                         "site_header.titel"            => "Controlepaneel"                        ,
                         "cp_index_header.gebruiker"    => kleur($core["lidnaam"], $core["status"]),
                         "cp_index_header.status"       => $core["status"]                         ,
                         "cp_index_header.status_titel" => get_status($core["status"])             ,
                         "cp_index_header.posts"        => $core["posts"]                          ,
                        ));

      $tpl->get_template("cp_index_footer,cp_footer,tabel_footer,site_footer");
   }
   elseif($data["mode"] == "profiel")
   {
      $s_info = $sql->query("SELECT l.email, l.naam, l.geboortedatum, l.msn, l.icq, l.woonplaats, l.website, l.ondertitel, l.onderschrift FROM leden AS l WHERE l.id = '".$core["lid_id"]."'");
      $f_info = $sql->fetch($s_info);

      if(isset($_POST["wijzigen"]))
      {
         if(empty($data["ondertitel"]))
            $data["ondertitel"] = "";

         $fout = array();
         
         $_POST["onderschrift"] = $bb->preparse($_POST["onderschrift"]);

         $s_mail = $sql->query("SELECT COUNT(l.id) FROM leden AS l WHERE l.id != '".$core["lid_id"]."' AND l.email = '".$data["email"]."'");

         if($sql->result($s_mail, 0))
            $fout[] = "Het opgegeven email adres wordt al gebruikt door een ander lid.";

         if(strlen($data["email"]) < 7 || strlen($data["email"]) > 40 || !eregi("^[A-Za-z0-9_-]+([\.]{1}[A-Za-z0-9_-]+)*@[A-Za-z0-9-]+([\.]{1}[A-Za-z0-9-]+)+$", $data["email"]))
            $fout[] = "Het email adres is korter dan 7, langer dan 40 tekens of het bevat verboden tekens."; 

         if(!empty($data["naam"]))
            if(strlen($data["naam"]) < 3 || strlen($data["naam"]) > 30 || !eregi("^[A-Za-z[:space:]-]+$", $data["naam"]))
               $fout[] = "De opgegeven naam is korter dan 3 tekens, langer dan 30 tekens of bevat verboden tekens.";

         if(!empty($data["icq"]))
            if(strlen($data["icq"]) < 7 || strlen($data["icq"]) > 12 || !is_numeric($data["icq"]))
               $fout[] = "Het opgegeven ICQ nummer is korter dan 7 tekens, langer dan 12 tekens of bestaat niet alleen uit nummers.";

         if(!empty($data["msn"]))
            if(strlen($data["msn"]) < 7 || strlen($data["msn"]) > 35 || !eregi("[A-Za-z0-9_-]+([\.]{1}[A-Za-z0-9_-]+)*@[A-Za-z0-9-]+([\.]{1}[A-Za-z0-9-]+)+", $data["msn"]))
               $fout[] = "Het opgegeven MSN adres is ongeldig.";

         if(!empty($data["website"]))
         {
            if(substr($data["website"], 0, 3) == "www")
               $data["website"] = "http://".$data["website"];

            if(strlen($data["website"]) < 5 || strlen($data["website"]) > 100 || !eregi("^http://[^[:space:]]+$", $data["website"]))
               $fout[] = "Het opgegeven adres naar je website is ongeldig!";
         }

         if(!empty($data["woonplaats"]))
            if(strlen($data["woonplaats"]) < 4 || strlen($data["woonplaats"]) > 20 || !eregi("^[A-Za-z\'[:space:]]+$", $data["woonplaats"]))
               $fout[] = "De opgegeven woonplaats is korter dan 4 of langer dan 20 tekens of bevat verboden tekens.";

         if(!empty($data["gd_dag"]) && !empty($data["gd_maand"]) && !empty($data["gd_jaar"]))
         {
            if($data["gd_dag"] < 1 || $data["gd_dag"] > 31 || $data["gd_maand"] < 1 || $data["gd_maand"] > 12 || $data["gd_jaar"] < (date("Y") - 70) || $data["gd_jaar"] > (date("Y") - 5))
               $fout[] = "Waarschijnlijk is er iets goed mis met het geboortedatum formulier.";
            else
               $data["geboortedatum"] = $data["gd_dag"]."-".$data["gd_maand"]."-".$data["gd_jaar"];
         }
         elseif($data["gd_dag"] || $data["gd_maand"] || $data["gd_jaar"])
            $fout[] = "Er klopt iets niet met de geboortedatum.";

         if(!isset($data["geboortedatum"]))
            $data["geboortedatum"] = "";

         if(!empty($data["ondertitel"]))
         {
            if(strlen($data["ondertitel"]) < 1 || strlen($data["ondertitel"]) > 16 || !eregi("^[A-Za-z0-9._[:space:]]+$", $data["ondertitel"]))
            {
               $fout[] = "De opgegeven ondertitel is leeg, langer dan 16 tekens of bevat verboden tekens.";
            }
         }

         if(!empty($_POST["onderschrift"]))
            if(!check_smilies($_POST["onderschrift"]) || strlen($_POST["onderschrift"]) >= 150)
               $fout[] = "Het opgegeven onderschrift bevat teveel smilies of is langer dan 150 tekens.";

         if(!fouten_verwerken($fout))
         {
            if($core["email"] != $data["email"])
            {
               $sleutel = sleutel();

               $sql->query("UPDATE leden SET email = '".$data["email"]."', actief = 0, verwijderen = 0, a_sleutel = '".$sleutel."', tijd = '".time()."' WHERE id = '".$core["lid_id"]."'");

               $mail_vars = array("gebruikersnaam" => $core["lidnaam"],
                                  "id"             => $core["lid_id"] ,
                                  "sleutel"        => $sleutel        ,
                                 );

               email("noreply@".sitenaam, $data["email"], $core["lidnaam"], sitenaam." - Je account opnieuw activeren", haal_mail("email_veranderd", $mail_vars));
            }
            
            $sql->query("UPDATE leden SET naam = '".$data["naam"]."', geboortedatum = '".$data["geboortedatum"]."', msn = '".$data["msn"]."', ondertitel = '".$data["ondertitel"]."', icq = '".$data["icq"]."', website = '".$data["website"]."', woonplaats = '".$data["woonplaats"]."', onderschrift = '".$_POST["onderschrift"]."' WHERE id = '".$core["lid_id"]."'");

            forward("Je profiel is succesvol geupdated, als je je email adres hebt verandert moet je je account opnieuw activeren en als je je wachtwoord hebt verandert moet je opnieuw inloggen.", url."leden/cp?mode=profiel", 3);

            include pad."include/output.inc.php";
            exit;
         }
      }
      else
      {
         $data["email"]        = $f_info["email"];
         $data["naam"]         = $f_info["naam"];
         $data["icq"]          = $f_info["icq"];
         $data["msn"]          = $f_info["msn"];
         $data["woonplaats"]   = $f_info["woonplaats"];
         $data["website"]      = $f_info["website"];
         $data["ondertitel"]   = $f_info["ondertitel"];
         $data["onderschrift"] = $f_info["onderschrift"];

         ## Geboortedatum
         if($f_info["geboortedatum"])
            list($data["gd_dag"], $data["gd_maand"], $data["gd_jaar"]) = explode("-", $f_info["geboortedatum"]);
         else
            $data["gd_dag"] = $data["gd_maand"] = $data["gd_jaar"] = 0;
      }

      $tpl->get_template("site_header,site_tabel_header,cp_header,cp_profiel_wijzigen,cp_footer,tabel_footer,site_footer");
      
      ## Geboortedatum, select menu's genereren
      $gd_dag = "";
      for($i = 1; $i <= 31; $i++)
      {
         if($data["gd_dag"] == $i)
            @$gd_dag .= "<option value=".$i." selected>".$i."</option>";
         else
            @$gd_dag .= "<option value=".$i.">".$i."</option>";
      }

      $gd_maand = "";
      $gd_maanden = array("", "januari", "februari", "maart", "april", "mei", "juni", "juli", "augustus", "september", "oktober", "november", "december");

      for($i = 1; $i < count($gd_maanden); $i++)
      {
         if($i != 0)
            if($data["gd_maand"] == $i)
               $gd_maand .= "<option value=".($i)." selected>".$gd_maanden[$i]."</option>";
            else
               $gd_maand .= "<option value=".($i).">".$gd_maanden[$i]."</option>";
      }

      $gd_jaar = "";

      for($i = (date("Y") - 70); $i < (date("Y") - 5); $i++)
      {
         if($data["gd_jaar"] == $i)
            $gd_jaar .= "<option value=".$i." selected>".$i."</option>";
         else
            $gd_jaar .= "<option value=".$i.">".$i."</option>";
      }

      ## Formulier voor onderschrift
      $formulier = formulier("onderschrift", $data["onderschrift"], "profiel", 45, 10, true, false, false);

      if($core["status"] >= 4)
         $html = "#006600";
      else
         $html = "red";

      if($core["status"] > 2 || $core["posts"] >= 200)
        $ondertitel = "<input type=\"text\" name=\"ondertitel\" value=\"" . $data["ondertitel"] . "\" size=30>";
      else
         $ondertitel = "Deze optie is beschikbaar vanaf 200 posts.";

      $tpl->assign(array("site_tabel_header.titel"                => "Profiel wijzigen"    ,   
                         "site_header.titel"                      => "Profiel wijzigen"    ,
                         "cp_profiel_wijzigen.gd_dag"             => $gd_dag               ,
                         "cp_profiel_wijzigen.gd_maand"           => $gd_maand             ,
                         "cp_profiel_wijzigen.gd_jaar"            => $gd_jaar              ,
                         "cp_profiel_wijzigen.email"              => $data["email"]       ,
                         "cp_profiel_wijzigen.naam"               => $data["naam"]        ,
                         "cp_profiel_wijzigen.msn"                => $data["msn"]         ,
                         "cp_profiel_wijzigen.icq"                => $data["icq"]         ,
                         "cp_profiel_wijzigen.website"            => $data["website"]     ,
                         "cp_profiel_wijzigen.woonplaats"         => $data["woonplaats"]  ,
                         "cp_profiel_wijzigen.formulier"          => $formulier            ,
                         "cp_profiel_wijzigen.ondertitel"         => $ondertitel           ,
                         "cp_profiel_wijzigen.ondr_bb"            => "#006600"             ,
                         "cp_profiel_wijzigen.ondr_html"          => $html                 ,
                         "cp_profiel_wijzigen.ondr_img"           => "red"                 ,
                         "cp_profiel_wijzigen.ondr_smilies"       => "#006600"             ,
                        ));
   }
   elseif($data["mode"] == "omschrijving")
   {
      $s_omsch = $sql->query("SELECT l.omschrijving FROM leden AS l WHERE l.id = '".$core["lid_id"]."'");

      if(isset($_POST["submit"]))
      {
         $fout = array();

         $_POST["omschrijving"] = $bb->preparse($_POST["omschrijving"]);

         if(!empty($_POST["omschrijving"]))
            if(!check_smilies($_POST["omschrijving"]))
               $fout[] = "Er zijn teveel smilies gebruikt in de omschrijving.";

         if(!fouten_verwerken($fout))
         {
            $sql->query("UPDATE leden SET omschrijving = '".$_POST["omschrijving"]."' WHERE id = '".$core["lid_id"]."'");

            forward("Je omschrijving is succesvol gewijzigd!", url."leden/cp?mode=omschrijving");

            include pad."include/output.inc.php";
            exit;
         }
      }
      else
         $data["omschrijving"] = $sql->result($s_omsch, 0);
       
      if($core["status"] >= 4)
         $html = "#006600";
      else
         $html = "red";

      $tpl->get_template("site_header,site_tabel_header,cp_header,cp_beschrijving,cp_footer,tabel_footer,site_footer");
      
      ## Formulier voor omschrijving
      $formulier = formulier("omschrijving", $data["omschrijving"], "omschrijving", 55, 10);

      $tpl->assign(array("site_tabel_header.titel"           => "Persoonlijke omschrijving wijzigen", 
                         "site_header.titel"                 => "Omschrijving wijzigen"             ,
                         "cp_beschrijving.formulier"         => $formulier                          ,
                         "cp_beschrijving.bb"                => "#006600"                           ,
                         "cp_beschrijving.html"              => $html                               ,
                         "cp_beschrijving.img"               => "#006600"                           ,
                         "cp_beschrijving.smilies"           => "#006600"                           ,
                        ));

   }
   elseif($data["mode"] == "wachtwoord")
   {
      if(isset($_POST["wijzigen"]))
      {
         $fout = array();

         $s_ww = $sql->query("SELECT COUNT(id) FROM leden WHERE id = '".$core["lid_id"]."' AND wachtwoord = '".md5(md5(md5($data["oud_wachtwoord"])))."'");

         if(empty($data["oud_wachtwoord"]) || !$sql->result($s_ww, 0))
            $fout[] = "Het oude wachtwoord is niet opgegeven of klopt niet met het huidige.";

         if(strlen($data["nieuw_wachtwoord"]) < 3 || strlen($data["nieuw_wachtwoord2"]) < 3 || strlen($data["nieuw_wachtwoord"]) > 20 || strlen($data["nieuw_wachtwoord2"]) > 20 || $data["nieuw_wachtwoord"] != $data["nieuw_wachtwoord2"] || !eregi("^[a-z0-9@_-]+$", $data["nieuw_wachtwoord"]) || !eregi("^[a-z0-@_-]+$", $data["nieuw_wachtwoord2"]))
            $fout[] = "De nieuwe wachtwoorden komen niet overeen, zijn te kort of bevatten verboden tekens.";

         if(!fouten_verwerken($fout))
         {
            $sql->query("UPDATE leden SET wachtwoord = '".md5(md5(md5($data["nieuw_wachtwoord"])))."' WHERE id = '".$core["lid_id"]."'");

            forward("Je wachtwoord is succesvol gewijzigd, je moet nu opnieuw inloggen.", url."leden/index");
            loguit();

            include pad."include/output.inc.php";
            exit;
         }
      }
      
      $tpl->get_template("site_header,site_tabel_header,cp_header,cp_wachtwoord,cp_footer,tabel_footer,site_footer");    

      $tpl->assign(array("site_header.titel"       => "Wachtwoord wijzigen",
                         "site_tabel_header.titel" => "Wachtwoord wijzigen",
                        ));

   }
   elseif($data["mode"] == "avatar")
   {
      if(isset($_POST["submit"]))
      {
         $grootte = @getimagesize($_FILES["hd"]["tmp_name"]);

         $fout = array();

         if(empty($_FILES["hd"]["tmp_name"]))
            $fout[] = "Je hebt geen bestand uitgekozen om te uploaden.";
         elseif(!is_uploaded_file($_FILES["hd"]["tmp_name"]) || !eregi(".+\.(gif|jpg|jpeg|png)+$", $_FILES["hd"]["name"]))
            $fout[] = "Het bestand kon niet worden geupload of heeft niet de juiste extensie.";
         elseif($_FILES["hd"]["size"] < 500 || $_FILES["hd"]["size"] > 25600)
            $fout[] = "De omvang van het bestand is kleiner dan 500 bytes of groter dan 25 kilobyte.";
         elseif($grootte[0] > 80 || $grootte[1] > 80 || $grootte[0] < 5 || $grootte[1] < 5)
            $fout[] = "Het bestand is groter dan 80x80 px. of kleiner dan 5x5px!";

         if(!fouten_verwerken($fout))
         {
            $extensie = explode(".", basename($_FILES["hd"]["name"]));
            $extensie = $extensie[1];

            if($core["avatar"])
               unlink(pad."upload/avatars/".$core["lid_id"].".".$core["avatar"]);

            copy($_FILES["hd"]["tmp_name"], pad."upload/avatars/".$core["lid_id"].".".$extensie);

            $sql->query("UPDATE leden SET avatar = '".$extensie."' WHERE id = '".$core["lid_id"]."'");

            forward("Je avatar is succesvol bijgewerkt / toegevoegd!", url."leden/cp?mode=avatar");

            include pad."include/output.inc.php";
            exit;
         }
      }
      elseif(isset($_POST["verwijderen"]))
      {
         unlink(pad."upload/avatars/".$core["lid_id"].".".$core["avatar"]);
         $sql->query("UPDATE leden SET avatar = '' WHERE id = '".$core["lid_id"]."'");

         forward("Je avatar is succesvol van onze server verwijderd.", url."leden/cp?mode=avatar");

         include pad."include/output.inc.php";
         exit;
      }

      $tpl->get_template("site_header,site_tabel_header,cp_header,cp_avatar,cp_footer,tabel_footer,site_footer");

      if(!$core["avatar"])
      {
         $avatar = "Je hebt momenteel geen avatar.";
         $verwijderen = "";
      }
      else
      {
         $avatar = get_avatar($core["lid_id"], $core["lidnaam"], $core["avatar"], 1);
         $verwijderen = "<input type=\"submit\" name=\"verwijderen\" value=\"Avatar verwijderen\" onclick=\"return bevestig(this, 'Weet je zeker dat je deze avatar wilt verwijderen?')\">";
      }

      $tpl->assign(array("site_tabel_header.titel" => "Avatar wijzigen",
                         "cp_avatar.avatar"        => $avatar          ,
                         "site_header.titel"       => "Avatar wijzigen",
                         "cp_avatar.verwijderen"   => $verwijderen     ,
                        ));

   }
   elseif($data["mode"] == "site_opties")
   {
      if(isset($_POST["opties"]))
      {
         $data["profiel_openbaar"] = empty($data["profiel_openbaar"]) ? 0 : 1;
         $data["mailweergeven"]    = empty($data["mailweergeven"])    ? 0 : 1;
         $data["mail_toestaan"]    = empty($data["mail_toestaan"])    ? 0 : 1;
         $data["nieuwsbrief"]      = empty($data["nieuwsbrief"])      ? 0 : 1;
         $data["onlinelijst"]      = empty($data["onlinelijst"])      ? 0 : 1;
         $data["avatars_zien"]     = empty($data["avatars_zien"])     ? 0 : 1;
         $data["forward_zien"]     = empty($data["forward_zien"])     ? 0 : 1;
         $data["pb_mail"]          = empty($data["pb_mail"])          ? 0 : 1;
         $data["pb"]               = empty($data["pb"])               ? 0 : 1;
         $data["img"]              = empty($data["img"])              ? 0 : 1;
         $data["ondrschrft"]       = empty($data["ondrschrft"])       ? 0 : 1;
         $data["smilies"]          = empty($data["smilies"])          ? 0 : 1;
         $data["t_laatste"]        = empty($data["t_laatste"])        ? 0 : 1;

         $sql->query("UPDATE leden SET profiel_openbaar = '".$data["profiel_openbaar"]."', mailweergeven = '".$data["mailweergeven"] ."', mail_toestaan = '".$data["mail_toestaan"]."', nieuwsbrief = '".$data["nieuwsbrief"]."', onlinelijst =  '".$data["onlinelijst"]."', avatars_zien = '".$data["avatars_zien"]."', forward_zien = '" . $data["forward_zien"] . "', pb_mail = '".$data["pb_mail"]."', pb = '".$data["pb"]."', img = '".$data["img"]."', ondrschrft = ".$data["ondrschrft"].", smilies = ".$data["smilies"].", t_laatste = ".$data["t_laatste"]." WHERE id = '".$core["lid_id"]."'");

         forward("De site opties voor je gebruikersaccount zijn succesvol bijgewerkt!", url."leden/cp?mode=site_opties");

         include pad."include/output.inc.php";
         exit;
      }

      $tpl->get_template("site_header,site_tabel_header,cp_header,cp_site_opties,cp_footer,tabel_footer,site_footer"); 

      $s_opties = $sql->query("SELECT profiel_openbaar, mailweergeven, mail_toestaan, nieuwsbrief, onlinelijst, avatars_zien, forward_zien, pb_mail, pb, img, ondrschrft, smilies, t_laatste FROM leden WHERE id = '".$core["lid_id"]."'");
      $f_opties = $sql->fetch($s_opties);

      $f_opties["profiel_openbaar"] = !$f_opties["profiel_openbaar"] ? "" : "checked";
      $f_opties["mailweergeven"]    = !$f_opties["mailweergeven"]    ? "" : "checked";
      $f_opties["mail_toestaan"]    = !$f_opties["mail_toestaan"]    ? "" : "checked";
      $f_opties["nieuwsbrief"]      = !$f_opties["nieuwsbrief"]      ? "" : "checked";
      $f_opties["onlinelijst"]      = !$f_opties["onlinelijst"]      ? "" : "checked";
      $f_opties["avatars_zien"]     = !$f_opties["avatars_zien"]     ? "" : "checked";
      $f_opties["forward_zien"]     = !$f_opties["forward_zien"]     ? "" : "checked";
      $f_opties["pb_mail"]          = !$f_opties["pb_mail"]          ? "" : "checked";
      $f_opties["pb"]               = !$f_opties["pb"]               ? "" : "checked";
      $f_opties["img"]              = !$f_opties["img"]              ? "" : "checked";
      $f_opties["ondrschrft"]       = !$f_opties["ondrschrft"]       ? "" : "checked";
      $f_opties["smilies"]          = !$f_opties["smilies"]          ? "" : "checked";
      $f_opties["t_laatste"]        = !$f_opties["t_laatste"]        ? "" : "checked";

      $tpl->assign(array("site_tabel_header.titel"         => "Site opties"                ,
                         "site_header.titel"               => "Site opties"                ,
                         "cp_site_opties.profiel_openbaar" => $f_opties["profiel_openbaar"],
                         "cp_site_opties.mailweergeven"    => $f_opties["mailweergeven"]   ,
                         "cp_site_opties.mail_toestaan"    => $f_opties["mail_toestaan"]   ,
                         "cp_site_opties.nieuwsbrief"      => $f_opties["nieuwsbrief"]     ,
                         "cp_site_opties.onlinelijst"      => $f_opties["onlinelijst"]     ,
                         "cp_site_opties.avatars_zien"     => $f_opties["avatars_zien"]    ,
                         "cp_site_opties.forward_zien"     => $f_opties["forward_zien"]    ,
                         "cp_site_opties.pb_mail"          => $f_opties["pb_mail"]         ,   
                         "cp_site_opties.pb"               => $f_opties["pb"]              ,
                         "cp_site_opties.img"              => $f_opties["img"]             ,
                         "cp_site_opties.ondrschrft"       => $f_opties["ondrschrft"]      ,
                         "cp_site_opties.smilies"          => $f_opties["smilies"]         ,
                         "cp_site_opties.t_laatste"        => $f_opties["t_laatste"]       ,
                        ));
   }
   elseif($data["mode"] == "priveberichten")
   {
      if(!$core["pb"])
      {
         $tpl->get_template("site_header,site_tabel_header,cp_header,cp_pb_uit,cp_footer,tabel_footer,site_footer");

         $tpl->assign(array("site_tabel_header.titel" => "Priv&eacute;berichten zijn uitgeschakeld",
                            "site_header.titel"       => "Priv&eacute;berichten"                   ,
                           ));


         include pad."include/output.inc.php";
         exit;
      }
      
      $s_aantal = $sql->query("SELECT 
                              COUNT(id) 
                              FROM priveberichten 
                              WHERE (ontvanger = '".$core["lid_id"]."' AND status = 1) OR (afzender = '".$core["lid_id"]."' AND status = 2)");

      if($sql->result($s_aantal, 0) > 50)
      {
         $limit = $sql->result($s_aantal, 0) - 50;

         $s_pb = $sql->query("SELECT id 
                             FROM priveberichten 
                             WHERE (ontvanger = '".$core["lid_id"]."' AND status = 1) OR (afzender = '".$core["lid_id"]."' AND status = 2) ORDER BY datum LIMIT 0,".$limit);

         $d_str = "";
         while($f_pb = $sql->fetch($s_pb))
            $d_str .= "id = ".$f_pb["id"]." OR ";

         $d_str = substr($d_str, 0, -4);

         $sql->query("DELETE FROM priveberichten WHERE ".$d_str);        
      }         

      if(!isset($data["actie"]) || !$data["actie"])
      {
         if(isset($_POST["verwijderen"]))
         {
            if(empty($_POST["verwijder"]))
               forward("Je hebt geen priv&eacute;berichten opgegeven om te verwijderen.", url."leden/cp?mode=priveberichten");
            else
            {
               $where = "";
               foreach($_POST["verwijder"] as $arr_id => $real_id)
               {
                  $where .= "id = ".$real_id." OR ";
               }
               $where = substr($where, 0, -4);

               $sql->query("DELETE FROM priveberichten WHERE ".$where);

               forward("De geselecteerde priv&eacute;berichten zijn succesvol verwijderd!", url."leden/cp?mode=priveberichten");
            }

            include pad."include/output.inc.php";
            exit;
         }

         $s_pb = $sql->query("SELECT 
                             p.id, p.titel, l.gebruikersnaam AS afzender, l.id AS afzender_id, p.gelezen, p.datum 
                             FROM priveberichten AS p, leden AS l 
                             WHERE p.ontvanger = '".$core["lid_id"]."' AND p.status = 1 AND l.id = p.afzender
                             ORDER BY gelezen,datum DESC");

         $tpl->get_template("site_header,site_tabel_header,cp_header,cp_pb_inbox_header");

         $aantal_berichten = $sql->result($s_aantal, 0);
         $aantal_procent = round(($aantal_berichten / 50 * 100), 0);
         
         /*
          * De width van het voortgangsbalkje berekenen
          */

         $width = round((370 / 100 * $aantal_procent), 0);
                                                
         $tpl->assign(array("site_tabel_header.titel"               => "Priv&eacute;berichten &rsaquo; Inbox",
                            "site_header.titel"                     => "Priv&eacute;berichten &rsaquo; Inbox",
                            "cp_pb_inbox_header.aantal_berichten"   => $aantal_berichten                     ,
                            "cp_pb_inbox_header.aantal_procent"     => $aantal_procent                       ,
                            "cp_pb_inbox_header.width"              => $width                                ,
                           ));

         if(!$sql->num_rows($s_pb))
            $tpl->get_template("cp_pb_inbox_geen");
         else
         {
            $i = 0;

            while($f_pb = $sql->fetch($s_pb))
            {
               $i++;

               $tpl->get_template("cp_pb_inbox_pb");
               
               $achtergrond = $i % 2 == 0       ? "#f7f7f4" : "";
               $gelezen     = !$f_pb["gelezen"] ? "_actief" : "";
               
               $titel = substr($f_pb["titel"], 0, 26);

               if($titel != $f_pb["titel"])
                  $titel .= "...";

               $tpl->assign(array("titel_alt"   => stripslashes($f_pb["titel"])     ,
                                  "titel"       => $titel                           ,
                                  "datum"       => date("d-m-Y H:i", $f_pb["datum"]),
                                  "id"          => $f_pb["id"]                      ,
                                  "gelezen"     => $gelezen                         ,
                                  "afzender_id" => $f_pb["afzender_id"]             ,
                                  "afzender"    => $f_pb["afzender"]                ,
                                  "achtergrond" => $achtergrond                     ,
                                  "i"           => $i                               ,
                                 ));
            }
         }

         $tpl->get_template("cp_pb_inbox_footer,cp_footer,tabel_footer,site_footer");
      }
      elseif($data["actie"] == "verzonden")
      {
         if(isset($_POST["verwijderen"]))
         {
            if(empty($_POST["verwijder"]))
               forward("Je hebt geen priv&eacute;berichten opgegeven om te verwijderen.", url."leden/cp?mode=priveberichten&actie=verzonden");
            else
            {
               $where = "";
               foreach($_POST["verwijder"] as $arr_id => $real_id)
               {
                  $where .= "id = ".$real_id." OR ";
               }
               $where = substr($where, 0, -4);

               $sql->query("DELETE FROM priveberichten WHERE ".$where);

               forward("De geselecteerde priv&eacute;berichten zijn succesvol verwijderd!", url."leden/cp?mode=priveberichten");
            }

            include pad."include/output.inc.php";
            exit;
         }

         $s_pb = $sql->query("SELECT 
                             p.id, p.titel, l.gebruikersnaam AS ontvanger, l.id AS ontvanger_id, p.gelezen, p.datum 
                             FROM priveberichten AS p, leden AS l 
                             WHERE p.afzender = '".$core["lid_id"]."' AND p.status = 2 AND l.id = p.ontvanger
                             ORDER BY gelezen,datum DESC");

         $tpl->get_template("site_header,site_tabel_header,cp_header,cp_pb_verzonden_header");         

         $tpl->assign(array("site_tabel_header.titel" => "Priv&eacute;berichten &rsaquo; Verzonden berichten",
                            "site_header.titel"       => "Verzonden berichten"                               ,
                           ));

         if(!$sql->num_rows($s_pb))
            $tpl->get_template("cp_pb_verzonden_geen");
         else
         {
            $i = 0;

            while($f_pb = $sql->fetch($s_pb))
            {
               $i++;

               $tpl->get_template("cp_pb_verzonden_pb");
               
               $achtergrond = $i % 2 == 0       ? "#f7f7f4" : "";
               
               $titel = substr($f_pb["titel"], 0, 26);

               if($titel != $f_pb["titel"])
                  $titel .= "...";

               $tpl->assign(array("titel_alt"    => stripslashes($f_pb["titel"])     ,
                                  "titel"        => $titel                           ,
                                  "datum"        => date("d-m-Y H:i", $f_pb["datum"]),
                                  "id"           => $f_pb["id"]                      ,
                                  "ontvanger_id" => $f_pb["ontvanger_id"]            ,
                                  "ontvanger"    => $f_pb["ontvanger"]               ,
                                  "achtergrond"  => $achtergrond                     ,
                                  "i"            => $i                               ,
                                 ));

            }
         }

         $tpl->get_template("cp_pb_verzonden_footer,cp_footer,tabel_footer,site_footer");
      }
      elseif($data["actie"] == "lezen")
      {
         $s_status = $sql->query("SELECT
                                 status
                                 FROM priveberichten AS p
                                 WHERE id = '".$data["id"]."'");
         $f_status = $sql->fetch($s_status);
         
         if(!$sql->num_rows($s_status))
         {
            forward("Dit priv&eacute;bericht bestaat niet!", url."leden/cp?mode=priveberichten");

            include pad."include/output.inc.php";
            exit;
         }

         if($core["status"] < 4)
         {
            $s_pb = $sql->query("SELECT
                                p.id, p.titel, p.gelezen, p.privebericht, p.afzender AS afzender_id, p.datum, l.gebruikersnaam AS afzender, l.avatar, l.status, l.posts, l.ondertitel, l.onderschrift
                                FROM leden AS l, priveberichten AS p
                                WHERE p.id = ".$data["id"]." AND p.status = ".$sql->result($s_status, 0)." AND p.".query_if(($sql->result($s_status, 0) == 1), "ontvanger", "afzender")." = '".$core["lid_id"]."' AND l.id = p.afzender");
         }
         else
         {
            $s_pb = $sql->query("SELECT
                                p.id, p.titel, p.gelezen, p.privebericht, p.afzender AS afzender_id, p.datum, l.gebruikersnaam AS afzender, l.avatar, l.status, l.posts, l.ondertitel, l.onderschrift
                                FROM leden AS l, priveberichten AS p
                                WHERE p.id = ".$data["id"]." AND p.status = ".$sql->result($s_status, 0)." AND l.id = p.afzender");           
         } 

         if(!$sql->num_rows($s_pb))
         {
            forward("Je bent niet de eigenaar van dit bericht.", url."leden/cp?mode=priveberichten");

            include pad."include/output.inc.php";
            exit;
         }
         else
         {
            $f_pb = $sql->fetch($s_pb);

            if(!$f_pb["gelezen"])
               $sql->query("UPDATE priveberichten SET gelezen = 1 WHERE id = '".$data["id"]."'");

            $tpl->get_template("site_header,site_tabel_header,cp_header,cp_pb_lezen,cp_footer,tabel_footer,site_footer");
            
            $avatar = get_avatar($f_pb["afzender_id"], $f_pb["afzender"], $f_pb["avatar"]);

            $tpl->assign(array("site_tabel_header.titel"  => "Priv&eacute;bericht lezen"                         ,
                               "site_header.titel"        => "Privbericht lezen"                                ,
                               "cp_pb_lezen.titel"        => $f_pb["titel"]                                      ,
                               "cp_pb_lezen.datum"        => date("d-m-Y H:i", $f_pb["datum"])                   ,
                               "cp_pb_lezen.bericht"      => tekst_parsen($f_pb["privebericht"], 2)              ,
                               "cp_pb_lezen.afzender_id"  => $f_pb["afzender_id"]                                ,
                               "cp_pb_lezen.afzender"     => kleur($f_pb["afzender"], $f_pb["status"])           , 
                               "cp_pb_lezen.status"       => ondertitel($f_pb["ondertitel"], $f_pb["status"])    ,
                               "cp_pb_lezen.posts"        => $f_pb["posts"]                                      ,
                               "cp_pb_lezen.avatar"       => $avatar                                             ,
                               "cp_pb_lezen.onderschrift" => onderschrift($f_pb["onderschrift"], $f_pb["status"]),
                               "cp_pb_lezen.id"           => $data["id"]                                         ,
                              ));
         }
      }
      elseif($data["actie"] == "verwijderen")
      {
         if($core["status"] > 3)
         {
            $s_pb = $sql->query("SELECT COUNT(id) FROM priveberichten WHERE id = '".$data["id"]."'");

            if(!$sql->result($s_pb, 0))
            {
               forward("Dit priv&eacute;bericht bestaat niet, je kunt het bericht dus ook niet verwijderen.", url."leden/cp?mode=priveberichten");

               include pad."include/output.inc.php";
               exit;
            }
         }
         else
         {
            $s_pb = $sql->query("SELECT afzender, ontvanger, status FROM priveberichten WHERE id = '".$data["id"]."'");

            if(!$sql->num_rows($s_pb))
            {
               forward("Dit priv&eacute;bericht bestaat niet, je kunt het bericht dus ook niet verwijderen.", url."leden/cp?mode=priveberichten");

               include pad."include/output.inc.php";
               exit;
            }
            else
            {
               $f_pb = $sql->fetch($s_pb);

               if(($f_pb["status"] == 1 && $f_pb["ontvanger"] != $core["lid_id"]) || ($f_pb["status"] == 2 && $f_pb["afzender"] != $core["lid_id"]))
               {
                  forward("Dit priv&eacute;bericht is niet van jou, je mag het dus ook niet verwijderen.", url."leden/cp?mode=priveberichten");

                  include pad."include/output.inc.php";
                  exit;
               }
            }
         }

         $sql->query("DELETE FROM priveberichten WHERE id = '".$data["id"]."'");

         forward("Het priv&eacute;bericht is succesvol uit de database verwijderd.", url."leden/cp?mode=priveberichten");
            
         include pad."include/output.inc.php";
         exit;
      }
      elseif($data["actie"] == "sturen")
      {
         if(isset($_POST["verwijderen"]))
            header("Location: " . url . "leden/cp?mode=priveberichten&actie=verwijderen&id=". $data["id"]);
         if(isset($_POST["submit"]))
         {
            $fout = array();

            if(strlen($data["titel"]) < 4 || strlen($data["titel"]) > 35)
               $fout[] = "De titel is korter dan 4 of langer dan 35 tekens.";

            if(empty($data["ontvanger"]))
               $fout[] = "Je hebt geen ontvanger opgegeven.";
            else
            {
               $s_gb = $sql->query("SELECT id, pb, pb_mail, pb_block, gebruikersnaam, email FROM leden WHERE gebruikersnaam = '".$data["ontvanger"]."' AND id != ".$core["lid_id"]." AND actief = 1");
               $f_gb = $sql->fetch($s_gb);

               if(!$sql->num_rows($s_gb))
                  $fout[] = "Er is een niet bestaande gebruiker opgegeven of je probeert een priv&eacute;bericht naar jezelf te versturen.";
               elseif(!$f_gb["pb"])
                  $fout[] = "Deze gebruiker heeft de priv&eacute;berichten module uitgeschakeld.";
               elseif($f_gb["pb_block"] && $core["status"] < 4)
               {
                  $block = explode(",", $f_gb["pb_block"]);
                  
                  if(in_array($core["lid_id"], $block))
                     $fout[] = "Deze gebruiker heeft jou geblokkeerd, je kunt dus geen priv&eacute;berichten sturen naar deze gebruiker.";
               }
               ## Kijken of de gebruiker zelf de ontvangende gebruiker niet heeft geblokkeerd
               elseif(!empty($core["pb_block"]))
               {
                  $block = explode(",", $core["pb_block"]);

                  if(in_array($f_gb["id"], $block))
                     $fout[] = "Je hebt deze gebruiker geblokkeerd, dan ben je zelf ook niet in staat om hem een priv&eacute;bericht te sturen.";
               }
            }

            $_POST["privebericht"] = $bb->preparse($_POST["privebericht"]);

            if(!check_smilies($_POST["privebericht"]) || strlen($_POST["privebericht"]) < 5)
               $fout[] = "Het priv&eacute;bericht bevat te veel smilies of is korter dan 5 tekens.";

            $s_sleutel = $sql->query("SELECT COUNT(sleutel) FROM flood WHERE sleutel = '".$data["sleutel"]."'");

            if(!$sql->result($s_sleutel, 0))
            {
               forward("Je hebt zonet al een priv&eacute;bericht verstuurd!", url."leden/cp?mode=priveberichten");

               include pad."include/output.inc.php";
               exit;
            }

            if(!fouten_verwerken($fout) && $data["submit"] != "Preview")
            {
               $sql->query("DELETE FROM flood WHERE sleutel = '".$data["sleutel"]."'");
               $sql->query("INSERT INTO priveberichten (id, afzender, ontvanger, gelezen, titel, privebericht, status, datum) VALUES (NULL, ".$core["lid_id"].", ".$f_gb["id"].", 0, '".$data["titel"]."', '".$_POST["privebericht"]."', 1, ".time().")");

               if($f_gb["pb_mail"])
               {
                  $mail_vars = array("afzender"         => $core["lidnaam"]         ,
                                     "id"               => mysql_insert_id()        ,
                                     "ontvanger"        => $f_gb["gebruikersnaam"]  ,
                                     "datum"            => date("d-m-Y")            ,
                                    );

                  email("noreply@".sitenaam, $f_gb["email"], $f_gb["gebruikersnaam"], sitenaam." - Je hebt een nieuw privebericht!", haal_mail("nieuw_privebericht", $mail_vars));
               }

               if(!empty($data["kopie"]))
                  $sql->query("INSERT INTO priveberichten (id, afzender, ontvanger, gelezen, titel, privebericht, status, datum) VALUES (NULL, ".$core["lid_id"].", ".$f_gb["id"].", 0, '".$data["titel"]."', '".$_POST["privebericht"]."', 2, ".time().")");
               
               forward("Je priv&eacute;bericht is succesvol verstuurd naar ".$f_gb["gebruikersnaam"]."!", url."leden/cp?mode=priveberichten");

               include pad."include/output.inc.php";
               exit;
            }
            elseif(!fouten_verwerken($fout) && $data["submit"] == "Preview")
            {
              $tpl->get_template("site_header,site_tabel_header,cp_header,cp_pb_nieuw_header,cp_pb_nieuw_preview,cp_pb_nieuw_footer,cp_footer,tabel_footer,site_footer");

               $tpl->assign(array("cp_pb_nieuw_preview.titel"   => $data["titel"]          ,
                                  "cp_pb_nieuw_preview.bericht" => tekst_parsen(stripslashes($_POST["privebericht"]), 2),
                                 ));
            }
         }

         if(empty($_POST["submit"]) || $_POST["submit"] != "Preview" || fouten_verwerken($fout))
         {
            $tpl->get_template("site_header,site_tabel_header,cp_header,cp_pb_nieuw_header,cp_pb_nieuw_footer,cp_footer,tabel_footer,site_footer");
          
            $data["privebericht"] = "";
            $data["titel"]        = "";
            $data["ontvanger"]    = "";
         }
         else
         {
            $data["privebericht"] = stripslashes($_POST["privebericht"]);
            $data["titel"] = stripslashes($data["titel"]);
         }

         if(!isset($data["sleutel"]))
         {
            $sleutel = sleutel(15);
            $sql->query("INSERT INTO flood (sleutel, tijd) VALUES ('".$sleutel."', '".time()."')");
         }
         else
            $sleutel = $data["sleutel"];

         if(!empty($data["naar"]) && is_numeric($data["naar"]))
         {
            $s_naar = $sql->query("SELECT gebruikersnaam FROM leden WHERE id = ".$data["naar"]." AND id != ".$core["lid_id"]." AND actief = 1");
            $f_naar = $sql->fetch($s_naar);

            if($sql->num_rows($s_naar))
               $data["ontvanger"] = $f_naar["gebruikersnaam"];
         }

         if(!empty($data["re"]))
         {
            $s_pb = $sql->query("SELECT p.status, p.afzender AS afzender_id, p.ontvanger AS ontvanger_id, p.datum, p.titel, p.privebericht, l.gebruikersnaam AS ontvanger FROM priveberichten AS p, leden AS l WHERE l.id = p.afzender AND p.id = '".$data["re"]."'");

            $f_pb = $sql->fetch($s_pb);

            if($sql->num_rows($s_pb) && (($f_pb["status"] == 1 && $f_pb["ontvanger_id"] == $core["lid_id"]) || ($f_pb["status"] == 2 && $f_pb["afzender_id"] == $core["lid_id"])))
            {
               if(substr($f_pb["titel"], 0, 4) == "RE: ")
                  $data["titel"] = $f_pb["titel"];
               else
                  $data["titel"]        = "RE: ".$f_pb["titel"];

               $data["ontvanger"]    = $f_pb["ontvanger"];
               $data["privebericht"] = "[QUOTE][I]Reactie op privebericht verzonden op ".date("d-m-Y H:i", $f_pb["datum"])." door ".$f_pb["ontvanger"]."[/I]\n\n".replace_nesting($f_pb["privebericht"])."[/QUOTE]";
            }
         }
         elseif(!empty($data["fw"]))
         {
            $s_pb = $sql->query("SELECT p.status, p.afzender AS afzender_id, p.ontvanger AS ontvanger_id, p.datum, p.titel, p.privebericht, l.gebruikersnaam AS ontvanger FROM priveberichten AS p, leden AS l WHERE l.id = p.afzender AND p.id = '".$data["fw"]."'");

            $f_pb = $sql->fetch($s_pb);

            if($sql->num_rows($s_pb) && (($f_pb["status"] == 1 && $f_pb["ontvanger_id"] == $core["lid_id"]) || ($f_pb["status"] == 2 && $f_pb["afzender_id"] == $core["lid_id"])))
            {
               if(substr($f_pb["titel"], 0, 4) == "FW: ")
                  $data["titel"] = $f_pb["titel"];
               else
                  $data["titel"]        = "FW: ".$f_pb["titel"];

               $data["privebericht"] = "[QUOTE][I]Privebericht verzonden op ".date("d-m-Y H:i", $f_pb["datum"])." door ".$f_pb["ontvanger"]."[/I]\n\n".replace_nesting($f_pb["privebericht"])."[/QUOTE]";
            }
         }         

      ## Formulier voor privebericht
      $formulier = formulier("privebericht", $data["privebericht"], "pb_sturen", 55, 10);

      $tpl->assign(array("site_tabel_header.titel"       => "Priv&eacute;berichten &rsaquo; Nieuw bericht", 
                         "site_header.titel"             => "Nieuw privbericht"                          ,
                         "cp_pb_nieuw_footer.formulier"  => $formulier                                    ,
                         "cp_pb_nieuw_footer.bb"         => "#006600"                                     ,
                         "cp_pb_nieuw_footer.html"       => "red"                                         ,
                         "cp_pb_nieuw_footer.img"        => "#006600"                                     ,
                         "cp_pb_nieuw_footer.smilies"    => "#006600"                                     ,
                         "cp_pb_nieuw_footer.sleutel"    => $sleutel                                      ,
                         "cp_pb_nieuw_footer.titel"      => $data["titel"]                                ,
                         "cp_pb_nieuw_footer.ontvanger"  => $data["ontvanger"]                            ,
                        ));
      }
      elseif($data["actie"] == "blokkeren")
      {
         if(isset($data["submit"]))
         {
            $fout = array();

            if(!empty($_POST["geblokt"]))
            {
               $geblokt = explode(",", $core["pb_block"]);

               ## De nieuwe pb_block string genereren
               $nieuw_blok = "";
               for($i = 0; $i < count($geblokt); $i++)
               {
                  if($geblokt[$i] != $data["geblokt"])
                     $nieuw_blok .= $geblokt[$i].",";
               }
               $nieuw_blok = substr($nieuw_blok, 0, -1);

               $sql->query("UPDATE leden SET pb_block = '".$nieuw_blok."' WHERE id = ".$core["lid_id"]);

               forward("De geselecteerde gebruiker is succesvol gedeblokkeerd!", url."leden/cp?mode=priveberichten&actie=blokkeren");

               include pad."include/output.inc.php";
               exit;
            }
            else
            {
               $s_gb = $sql->query("SELECT id, gebruikersnaam FROM leden WHERE gebruikersnaam = '".$data["blokkeren"]."' AND gebruikersnaam != '".$core["lidnaam"]."' AND actief = 1");
                                    
               if(!$sql->num_rows($s_gb) || empty($data["blokkeren"]))
                  $fout[] = "Je hebt geen gebruikersnaam opgegeven of de opgegeven gebruikersnaam bestaat niet.";
               
               if(!fouten_verwerken($fout))
               {
                  $f_gb = $sql->fetch($s_gb);

                  $nieuw_block = explode(",", $core["pb_block"]);
                  $nieuw_block[] = $f_gb["id"];
                  sort($nieuw_block);
                  $nieuw_block = implode(",", $nieuw_block);

                  if(substr($nieuw_block, 0, 1) == ",")
                     $nieuw_block = substr($nieuw_block, 1);

                  $sql->query("UPDATE leden SET pb_block = '".$nieuw_block."' WHERE id = ".$core["lid_id"]);

                  forward("De gebruiker ".$f_gb["gebruikersnaam"]." is succesvol geblokkeerd!", url."leden/cp?mode=priveberichten&actie=blokkeren");
               
                  include pad."include/output.inc.php";
                  exit;
               }
            }
         }

         $tpl->get_template("site_header,site_tabel_header,cp_header,cp_pb_block_header");

         ## De geblokkeerde gebruikers in een variabele zetten
         if(!empty($core["pb_block"]))
         {
            $tpl->get_template("cp_pb_block_select");

            $opties = explode(",", $core["pb_block"]);

            $query = "";
            for($i = 0; $i < count($opties); $i++)
               $query .= "id = ".$opties[$i]." OR ";
            $query = substr($query, 0, -4);

            $s_gb = $sql->query("SELECT id, gebruikersnaam FROM leden WHERE ".$query." AND actief = 1 ORDER BY gebruikersnaam ASC");

            $optie = "";
            while($f_gb = $sql->fetch($s_gb))
               $optie .= "<option value=".$f_gb["id"].">".$f_gb["gebruikersnaam"]."</option>";

            $tpl->assign("opties", $optie);
         }
         else
            $tpl->get_template("cp_pb_block_geen");         

         $tpl->assign(array("site_tabel_header.titel"  => "Priv&eacute;berichten &rsaquo; Gebruiker Blokkeren",
                            "site_header.titel"        => "Gebruiker blokkeren"                               ,
                           ));

         $tpl->get_template("cp_pb_block_footer,cp_footer,tabel_footer,site_footer");
      }
      else
         forward("Deze actie klopt niet!", url."leden/cp?mode=priveberichten"); 
   }
   elseif($data["mode"] == "uploaden")
   {
      if(!empty($data["actie"]) && $data["actie"] == "verwijderen" && !empty($data["b"]))
      {
         $b = explode("_", $data["b"]);

         if(!file_exists(pad."upload/leden/".$data["b"]) || ($b[0] != $core["lid_id"] && $core["status"] < 4))
            forward("Dit bestand kan niet worden verwijderd omdat het niet van jou is of omdat het niet bestaat!", url."leden/cp?mode=uploaden");
         else
         {
            unlink(pad."upload/leden/".$data["b"]);

            forward("Het bestand ".$data["b"]." is succesvol verwijderd!", url."leden/cp?mode=uploaden");
         }
      }
      else
      {
         ## Kijken wat de limieten zijn e.d.
         switch($core["upload_level"])
         {
            case 0:
               $limiet = 0;
               $extensies = "";
               break;
            case 1:
               $limiet = 2;
               $max_omvang = 153600;
               $extensies = "jpg|gif|jpeg|png|txt";
               break;
            case 2:
               $limiet = 25;
               $max_omvang = 204800;
               $extensies = "jpg|gif|jpeg|png|txt|phps|zip";
               break;
            case 3:
               $limiet = "99999999999999999";
               $max_omvang = "99999999999999999999999";
               $extensies = "zip|jpg|gif|jpeg|png|phps|exe|html|txt";
               break;
         }

         ## De directorie met de bestanden van dit lid lezen...
         $dir = opendir(pad."upload/leden/"); 

         $dir_array = array();
         $strlen = strlen($core["lid_id"]);

         while(false !== ($bestand = readdir($dir))) 
            if($bestand != "." && $bestand != ".." && substr($bestand, 0, (1 + $strlen)) == $core["lid_id"]."_")
              $dir_array[] = $bestand;

         closedir($dir); 

         if(!empty($data["uploaden"]))
         {
            $fout = array();

            if(empty($_FILES["bestand"]["tmp_name"]))
               $fout[] = "Je hebt geen bestand gekozen om te uploaden.";
            elseif(!is_uploaded_file($_FILES["bestand"]["tmp_name"]) || !eregi(".+\.(".$extensies.")+$", $_FILES["bestand"]["name"]) || !eregi("^[A-Za-z0-9_\.]+$", $_FILES["bestand"]["name"]))
               $fout[] = "Het bestand heeft niet de juiste extensie of is niet correct geupload.";
            elseif(strlen($_FILES["bestand"]["name"]) < 3 || strlen($_FILES["bestand"]["name"]) > 30)
                  $fout[] = "De bestandsnaam is te lang (langer dan 30 tekens) of te kort (korter dan 3 tekens).";
            elseif($_FILES["bestand"]["size"] < 50 || $_FILES["bestand"]["size"] > $max_omvang)
               $fout[] = "De omvang van het gekozen bestand is kleiner dan 50 bytes of groter dan de maximale omvang bij jouw upload level.";
            elseif(count($dir_array) >= $limiet)
               $fout[] = "Je hebt de limiet aan te uploaden bestanden bereikt, verwijder eerst een ander bestand voordat je een nieuw bestand upload.";
            elseif(in_array(strtolower($core["lid_id"]."_".$_FILES["bestand"]["name"]), $dir_array))
               $fout[] = "Er is al een bestand met deze naam geupload. Hernoem je bestand of verwijder het oude bestand eerst.";

            if(!fouten_verwerken($fout))
            {
               copy($_FILES["bestand"]["tmp_name"], pad."upload/leden/".$core["lid_id"]."_".strtolower($_FILES["bestand"]["name"]));

               forward("Het bestand is succesvol geupload!", url."leden/cp?mode=uploaden");

               include pad."include/output.inc.php";
               exit;
            }
         }
         
         $tpl->get_template("site_header,site_tabel_header,cp_header,cp_uploaden_header");

         ## De geuploade bestanden parsen met linkjes e.d.
         if(!count($dir_array))
            $tpl->get_template("cp_uploaden_geen");
         else
            for($i = 0; $i < count($dir_array); $i++)
            {
               ## Achtergrondkleur
               if($i % 2 == 0)
                  $bgcolor = "#f7f7f4";
               else
                  $bgcolor = "\"\"";

               ## Bestandsnaam
               $bestandsnaam = $dir_array[$i];

               ## Soort
               if(eregi(".+\.(gif|jpg|jpeg|png)+$", $bestandsnaam))
                  $soort = "img";
               else
                  $soort = "zip";
               
               $tpl->get_template("cp_uploaden_bestand");

               $tpl->assign(array("bgcolor"      => $bgcolor,
                                  "bestandsnaam" => $bestandsnaam,
                                  "soort"        => $soort       ,
                                 ));
            }
         
         $tpl->assign(array("site_tabel_header.titel"         => "Uploaden"           ,
                            "site_header.titel"               => "Uploaden"           ,
                            "cp_uploaden_header.upload_level" => $core["upload_level"],
                           ));
         
         $tpl->get_template("cp_uploaden_footer,cp_footer,tabel_footer,site_footer");
      }
   }
   elseif($data['mode'] == 'menu_opties')
   {
      if(!empty($_POST['submit']))
      {
         $val = $data['persoonlijk'] .';'. $data['actief'] .';'. $data['actief_aantal'] .';'. $data['linkpartners'];

         $sql->query("UPDATE leden SET menu = '" .$val. "' WHERE id = '" .$core['lid_id']. "'");

         forward("De menu opties zijn succesvol bijgewerkt!", url ."leden/cp?mode=menu_opties");
      }

      $tpl->get_template('site_header,site_tabel_header,cp_header,cp_menu_opties,cp_footer,tabel_footer,site_footer');

      $tpl->assign(array('site_tabel_header.titel'                                       => 'Menu opties',
                         'site_header.titel'                                             => 'Menu opties',
                         'cp_menu_opties.persoonlijk_' .$core['menu']['persoonlijk']     => 'selected'   ,
                         'cp_menu_opties.actief_' .$core['menu']['actief']               => 'selected'   ,
                         'cp_menu_opties.actief_aantal_' .$core['menu']['actief_aantal'] => 'selected'   ,
                         'cp_menu_opties.linkpartners_' .$core['menu']['linkpartners']   => 'selected'   ,
                        ));
   }
   elseif($data['mode'] == 'persoonlijk')
   {
      if($core['menu']['persoonlijk'] == 0)
      {
         $tpl->get_template('site_header,site_tabel_header,cp_header,cp_persoonlijk_activeren,cp_footer,tabel_footer,site_footer');
         
         $tpl->assign(array('site_tabel_header.titel' => 'Persoonlijk menu'                 ,
                            'site_header.titel'       => 'Persoonlijk menu niet geactiveerd',
                           ));

         include pad . 'include/output.inc.php';
         exit;
      }

      if(!empty($_GET['verwijderen']) && is_numeric($_GET['verwijderen']))
      {
         $s_link = $sql->query("SELECT COUNT(id) FROM persoonlijk WHERE id = " .$_GET['verwijderen']. " AND lid_id = " .$core['lid_id']);

         if($sql->result($s_link, 0))
         {
            $sql->query("DELETE FROM persoonlijk WHERE id = " .$_GET['verwijderen']);

            forward('De link is succesvol uit je persoonlijke menu verwijderd!', url .'leden/cp?mode=persoonlijk');
         }
      }

      $s_persoonlijk = $sql->query("SELECT id, link_naam, link_url FROM persoonlijk WHERE lid_id = " .$core['lid_id']. " ORDER BY link_naam ASC");

      if(!empty($_POST['toevoegen']))
      {
         $fout = array();

         if(strlen($data['titel']) < 4 || strlen($data['titel']) > 16 || !eregi('^[a-zA-Z0-9[:space:]\.\-]+$', $data['titel']))
         {
            $fout[] = 'De titel is langer dan 16 tekens, korter dan 4 tekens of bevat verboden tekens.';
         }

         if(substr($data['url'], 0, 3) == 'www')
         {
            $data['url'] = 'http://'.$data['url'];
         }

         if(strlen($data['url']) < 5 || strlen($data['url']) > 150 || !eregi('^http://[^[:space:]]+$', $data['url']))
         {
            $fout[] = 'Het adres naar de opgegeven link is korter dan 5 tekens, langer dan 150 tekens of bevat geen http://.';
         }

         if($sql->num_rows($s_persoonlijk) >= 10)
         {
            forward('Je hebt 10 links toegevoegd aan je persoonlijke menu, verwijder een oude link voordat je een nieuwe toevoegd.', url .'leden/cp?mode=persoonlijk');      
         }

         $s_sleutel = $sql->query("SELECT COUNT(sleutel) FROM flood WHERE sleutel = '".$data["sleutel"]."'");

         if(!$sql->result($s_sleutel, 0))
         {
            forward("Je hebt zonet al een link toegevoegd!", url."leden/cp?mode=persoonlijk");
         }

         if(!fouten_verwerken($fout))
         {
            $sql->query("DELETE FROM flood WHERE sleutel = '".$data["sleutel"]."'");

            $sql->query("INSERT INTO persoonlijk (id, lid_id, link_naam, link_url)
                         VALUES (NULL, " .$core['lid_id']. ", '" .$data['titel']. "', '" .$data['url']. "')");

            forward('De link is succesvol toegevoegd aan je persoonlijke menu!', url . 'leden/cp?mode=persoonlijk');
         }
      }

      $tpl->get_template('site_header,site_tabel_header,cp_header,cp_persoonlijk_header');
      
      $sleutel = sleutel(15);
      $sql->query("INSERT INTO flood (sleutel, tijd) VALUES ('".$sleutel."', '".time()."')");

      if(!$sql->num_rows($s_persoonlijk))
      {
         $tpl->get_template('cp_persoonlijk_geen');
      }

      $i = 0;
      
      while($f_p = $sql->fetch($s_persoonlijk))
      {
         $i++;
         $bgcolor = $i % 2 == 0 ? '#f7f7f4' : '';

         $tpl->get_template('cp_persoonlijk_link');

         $tpl->assign(array('link_titel' => $f_p['link_naam'],
                            'link_url'   => $f_p['link_url'] ,
                            'bgcolor'    => $bgcolor         ,
                            'link_id'    => $f_p['id']       ,
                           ));
      }

      $tpl->get_template('cp_persoonlijk_footer,cp_footer,tabel_footer,site_footer');

      $tpl->assign(array('site_header.titel'             => 'Persoonlijk menu'         ,
                         'site_tabel_header.titel'       => 'Persoonlijk menu wijzigen',
                         'cp_persoonlijk_footer.sleutel' => $sleutel                   ,
                        )); 

   }
   else
      forward("Deze actie klopt niet!", url."leden/cp"); 

   include pad."include/output.inc.php";

?>