<?php

include '../include/include.inc.php';

$tpl->get_template('site_header,site_tabel_header,nieuws_archief_header');

$s_nieuws = $sql->query("SELECT n.titel, n.id, n.auteur, n.datum, l.gebruikersnaam
                         FROM nieuws AS n, leden AS l
                         WHERE l.id = n.auteur
                         ORDER BY datum DESC");

$tpl->assign(array('site_tabel_header.titel' => 'Nieuwsarchief',
                   'site_header.titel'       => 'Nieuwsarchief',
                  ));

if(!$sql->num_rows($s_nieuws))
{
   $tpl->get_template('nieuws_geen');
}

$i = 0;

while($f_n = $sql->fetch($s_nieuws))
{
   $i++;
   $bgcolor = $i % 2 == 0 ? '#f7f7f4' : '';

   $tpl->get_template('nieuws_archief');

   $tpl->assign(array('titel'     => $f_n['titel']                   ,
                      'id'        => $f_n['id']                      ,
                      'auteur'    => $f_n['gebruikersnaam']          ,
                      'auteur_id' => $f_n['auteur']                  ,
                      'datum'     => date_format($f_n['datum'], true), 
                      'bgcolor'   => $bgcolor                        ,
                     ));
}

$tpl->get_template('nieuws_archief_footer,tabel_footer,site_footer');

include pad .'include/output.inc.php';

?>