<?php

include "../include/include.inc.php";

if(!$core['ingelogd'] || empty($_GET['id']) || !is_numeric($_GET['id']))
{
   bericht('Je kunt geen scripts bewerken omdat je niet bent ingelogd. Het kan ook zijn dat je geen geldig ID-nummer hebt opgegeven');
}

$s_info = $sql->query("SELECT s.id, s.titel, s.cat, s.auteur, l.gebruikersnaam, s.beschrijving, s.script, s.gekeurd
                       FROM scripts AS s, leden AS l
                       WHERE s.id = '" . $_GET['id'] . "' AND l.id = s.auteur");
$f_s = $sql->fetch($s_info);

if(!$sql->num_rows($s_info) || ($f_s['auteur'] != $core['lid_id'] && $core['status'] < 3))
{
   bericht("Het script dat je had willen bewerken is niet gevonden, is niet van jou of je hebt niet de benodigde rechten om het alsnog te bewerken.");
}

if(!empty($_POST['keuren']) && $core['status'] > 2)
{
   $sql->query("UPDATE scripts SET gekeurd = 1 WHERE id = " . $_GET['id']);
   $sql->query("UPDATE categorieen SET aantal = aantal + 1 WHERE id = " . $f_s['cat']);

   forward("Het script is goedgekeurd en staat nu tussen de scripts.", url . "scripts/script/" . $_GET['id']);
}
elseif(!empty($_POST['bewerken']))
{
   $fout = array();

   $bb->preparse($_POST['beschrijving']);

   if(empty($data["titel"]) || strlen($data["titel"]) < 4 || strlen($data["titel"]) > 60)
      $fout[] = "Je titel is korter dan 4 tekens of langer dan 60 tekens.";

   if(empty($_POST["beschrijving"]) || !check_smilies($_POST["beschrijving"]))
      $fout[] = "De beschrijving van je script is leeg of bevat te veel smilies.";

   if(!fouten_verwerken($fout))
   {
      $sql->query("UPDATE scripts SET titel = '" . $data['titel'] . "', beschrijving = '" . $_POST['beschrijving'] . "', script = '". $_POST['script'] . "', cat = '" . $data['categorie'] . "', gekeurd = 0 WHERE id = " . $_GET['id']);

      if($f_s['gekeurd'] == 1)
         $sql->query("UPDATE categorieen SET aantal = aantal - 1 WHERE id = " . $f_s['cat']);

      forward("Het script is succesvol bewerkt en zal opnieuw tussen de scripts verschijnen als het opnieuw gekeurd is.", url . "scripts/script/" . $_GET['id']);
   }
}

$tpl->get_template('site_header,site_tabel_header,scripts_bewerken,tabel_footer,site_footer');

$formulier = formulier("beschrijving", $f_s['beschrijving'], "script_bewerken", 60, 15);    

if($core["status"] >= 4)
   $html = "#006600";
else
   $html = "red";

$s_cats = $sql->query("SELECT titel, id FROM categorieen WHERE cat_id = 2");

$cats = array();

while($f_c = $sql->fetch($s_cats))
{
   if($f_c['id'] == $f_s['cat'])
      $cats[] = "<option value=\"" .$f_c['id']. "\" selected>" . $f_c['titel'] . "</option>";
   else
      $cats[] = "<option value=\"" .$f_c['id']. "\">" . $f_c['titel'] . "</option>";
}

if($core['status'] > 2 && $f_s['gekeurd'] == 0)
   $tpl->block('scripts_bewerken', 'admin_opties');

$tpl->assign(array('site_header.titel'             => 'Scripts bewerken'          ,
                   'site_tabel_header.titel'       => 'Scripts bewerken'          ,
                   "scripts_bewerken.formulier"    => $formulier                  ,
                   "scripts_bewerken.bb"           => "#006600"                   ,
                   "scripts_bewerken.html"         => $html                       ,
                   "scripts_bewerken.img"          => "#006600"                   ,
                   "scripts_bewerken.smilies"      => "#006600"                   ,
                   "scripts_bewerken.cats"         => implode("\n", $cats)        , 
                   "scripts_bewerken.titel"        => $f_s['titel']               ,
                   "scripts_bewerken.auteur"       => $f_s['gebruikersnaam']      ,
                   "scripts_bewerken.id"           => $f_s['id']                  ,
                   "scripts_bewerken.script"       => htmlentities($f_s['script']),
                  ));

include pad . "include/output.inc.php";

?>