<?php

include "../include/include.inc.php";

$_GET["id"] = !isset($_GET["id"]) || !is_numeric($_GET["id"]) ? "" : $_GET["id"];

$s_a = $sql->query("SELECT
                   s.id, s.titel, s.auteur AS auteur_id, s.datum, s.bekeken,
                   c.titel AS cat_titel, c.id AS cat,
                   l.gebruikersnaam AS auteur
                   FROM categorieen AS c
                   LEFT JOIN scripts AS s ON s.cat = c.id AND s.gekeurd = 1
                   LEFT JOIN leden AS l ON l.id = s.auteur
                   WHERE c.id = '".$_GET["id"]."' AND c.cat_id = 2
                   GROUP BY s.id 
                   ORDER BY s.titel ASC");
   
if(!$sql->num_rows($s_a))
   bericht("Er is geen categorie opgegeven, deze bestaat niet of hoort niet bij de scripts module.");
else
{
   $s_cats = $sql->query("SELECT 
                         c.titel, c.beschrijving, c.aantal, c.id
                         FROM categorieen AS c 
                         WHERE cat_id = 2
                         ORDER BY titel ASC");

   $categorie_select = "";
   while($f_cat = $sql->fetch($s_cats))
   {
      if($f_cat["id"] == $_GET["id"])
      {
         $titel = $f_cat["titel"];
      }

      $categorie_select .= "<option value=\"".url."scripts/categorie?id=".$f_cat["id"]."\">".$f_cat["titel"]."</option>";
   }

   $tpl->get_template('site_header,site_tabel_header,scripts_cat_header');

   $tpl->assign(array('site_header.titel'                   => "Scripts &rsaquo; ".$titel,
                      'site_tabel_header.titel'             => "Scripts &rsaquo; ".$titel,
                      'scripts_cat_header.titel'            => $titel                      ,
                     ));
      
   $rating = new rating;

   while($f_a = $sql->fetch($s_a))
   {
      if(!empty($f_a['titel']))
      {
         $rating->select_info(2, $f_a['id']);

         $tpl->get_template('scripts_cat_script');

         $tpl->assign(array("scripts_cat_script.bekeken"   => $f_a["bekeken"]                          ,
                            "scripts_cat_script.titel"     => $f_a["titel"]                            ,
                            "scripts_cat_script.datum"     => date("d-m-Y", $f_a["datum"])             ,
                            "scripts_cat_script.id"        => $f_a["id"]                               ,
                            "scripts_cat_script.auteur_id" => $f_a["auteur_id"]                        ,
                            "scripts_cat_script.auteur"    => $f_a["auteur"]                           ,
                            "scripts_cat_script.rating"    => $rating->get_sum()                       ,
                           ));
      }
      else
      {
         $tpl->get_template('scripts_cat_geen');
      }
   }

   $tpl->get_template('scripts_cat_footer,tabel_footer,site_footer');

   $tpl->assign('scripts_cat_footer.categorie_select', $categorie_select);
}

include pad."include/output.inc.php";

?>