<?php

include "../include/include.inc.php";

$s_cats = $sql->query("SELECT 
                      c.titel, c.beschrijving, c.aantal, c.id
                      FROM categorieen AS c 
                      WHERE cat_id = 2
                      ORDER BY titel ASC");

$tpl->get_template('site_header,site_tabel_header');

$tpl->assign(array('site_tabel_header.titel' => 'Scripts',
                   'site_header.titel'       => 'Scripts',
                  ));

if(!$sql->num_rows($s_cats))
{
   $tpl->get_template("scripts_geen_cats");      
}
else
{
   $categorie_select = "";

   while($f_cat = $sql->fetch($s_cats))
   {
      $tpl->get_template("scripts_categorie");

      $f_cat["aantal"] = $f_cat["aantal"] == 1 ? "1 script" : $f_cat["aantal"]." scripts";

      $categorie_select .= "<option value=".$f_cat["id"].">".$f_cat["titel"]."</option>";

      $tpl->assign(array("scripts_categorie.beschrijving" => tekst_parsen($f_cat["beschrijving"], 5),
                         "scripts_categorie.titel"        => $f_cat["titel"]                        ,
                         "scripts_categorie.id"           => $f_cat["id"]                           ,
                         "scripts_categorie.aantal"       => $f_cat["aantal"]                       ,
                        ));
   }

   $s_laatste = $sql->query("SELECT
                            s.id, s.titel, s.auteur AS auteur_id, s.datum, s.bekeken,
                            c.titel AS cat_titel, c.id AS cat,
                            l.gebruikersnaam AS auteur
                            FROM scripts AS s, categorieen AS c, leden AS l
                            WHERE l.id = s.auteur AND c.id = s.cat AND s.gekeurd = 1
                            ORDER BY s.datum DESC, s.titel ASC
                            LIMIT 0, 5");

   $tpl->get_template('scripts_midden');

   if(!$sql->num_rows($s_laatste))
   {
      $tpl->get_template('scripts_geen_nieuwste');
   }      
   else
   {
      while($f_scripts = $sql->fetch($s_laatste))
      {
         $tpl->get_template("scripts_nieuwste");
            
         $tpl->assign(array("scripts_nieuwste.titel"     => $f_scripts["titel"]               ,
                            "scripts_nieuwste.id"        => $f_scripts["id"]                  ,
                            "scripts_nieuwste.datum"     => date("d-m-Y", $f_scripts["datum"]),
                            "scripts_nieuwste.categorie" => $f_scripts["cat_titel"]           ,
                            "scripts_nieuwste.cat_id"    => $f_scripts["cat"]                 , 
                            "scripts_nieuwste.bekeken"   => $f_scripts["bekeken"]             ,
                           ));
      }
   }

   $tpl->get_template('scripts_footer');
}

$tpl->get_template('tabel_footer,site_footer');

include pad."include/output.inc.php";
   
?>