<?php

include "../include/include.inc.php";

if(!$core['ingelogd'])
{
   bericht('Je kunt geen scripts toevoegen omdat je niet bent ingelogd.');
}

if(!empty($_POST['toevoegen']))
{
   $fout = array();

   $bb->preparse($_POST['beschrijving']);

   if(empty($data["titel"]) || strlen($data["titel"]) < 4 || strlen($data["titel"]) > 60)
      $fout[] = "Je titel is korter dan 4 tekens of langer dan 60 tekens.";

   if(empty($_POST["beschrijving"]) || !check_smilies($_POST["beschrijving"]))
      $fout[] = "De beschrijving van je script is leeg of bevat te veel smilies.";

   $s_sleutel = $sql->query("SELECT COUNT(sleutel) FROM flood WHERE sleutel = '".$data["sleutel"]."'");

   if(!$sql->result($s_sleutel, 0))
      forward("Je hebt zonet al een script toegevoegd!", url."scripts/");

   if(!fouten_verwerken($fout))
   {
      $sql->query("DELETE FROM flood WHERE sleutel = '".$data["sleutel"]."'");

      $sql->query("INSERT INTO scripts (id, cat, datum, auteur, titel, beschrijving, script, bekeken, gekeurd, gesloten)
                   VALUES (NULL, " . $data['categorie'] . ", UNIX_TIMESTAMP(), " . $core['lid_id'] . ", '" . $data['titel'] . "', '" . $_POST['beschrijving'] . "', '" . $_POST['script'] . "', 0, 0, 0)");

      forward("Het script is succesvol toegevoegd en zal tussen de scripts verschijnen als het gekeurd is.", url . "scripts/");
   }
}

$tpl->get_template('site_header,site_tabel_header,scripts_toevoegen,tabel_footer,site_footer');

$formulier = formulier("beschrijving", "", "script_toevoegen", 60, 15);    

if($core["status"] >= 4)
   $html = "#006600";
else
   $html = "red";

$s_cats = $sql->query("SELECT titel, id FROM categorieen WHERE cat_id = 2");

$cats = array();

while($f_c = $sql->fetch($s_cats))
{
   $cats[] = "<option value=\"" .$f_c['id']. "\">" . $f_c['titel'] . "</option>";
}

$sleutel = sleutel(15);
$sql->query("INSERT INTO flood (sleutel, tijd) VALUES ('".$sleutel."', '".time()."')");

$tpl->assign(array('site_header.titel'           => 'Script toevoegen'      ,
                   'site_tabel_header.titel'     => 'Script toevoegen'      ,
                   "scripts_toevoegen.formulier" => $formulier              ,
                   "scripts_toevoegen.sleutel"   => $sleutel                ,
                   "scripts_toevoegen.bb"        => "#006600"               ,
                   "scripts_toevoegen.html"      => $html                   ,
                   "scripts_toevoegen.img"       => "#006600"               ,
                   "scripts_toevoegen.smilies"   => "#006600"               ,
                   "scripts_toevoegen.cats"      => implode("\n", $cats),
                  ));

include pad . "include/output.inc.php";

?>