<?php

   include "../../include/include.inc.php";

   if($core["status"] < 4)
   {
      bericht("Je hebt niet de benodigde rechten om deze pagina te bekijken.");

      include pad."include/output.inc.php";
      exit;
   }

   ## We maken een array'tje met verbannen ip's
   $s_ips = $sql->query("SELECT DISTINCT ip FROM ban ORDER BY ip");

   $ip_array = array();
   while($f_ip = $sql->fetch($s_ips))
      $ip_array[] = $f_ip["ip"];

   $data["id"] = !empty($data["id"]) && is_numeric($data["id"]) ? $data["id"] : "";

   if(!empty($data["id"]))
      $s_lid = $sql->query("SELECT l.id, l.gebruikersnaam, l.ip FROM leden AS l WHERE l.id = '".$data["id"]."'");

   if(!empty($s_lid) && @$sql->num_rows($s_lid))
   {
      $f_lid = $sql->fetch($s_lid);

      if(!empty($data["verbannen"]))
      {
         if($data['type'] == 1)
         {
            if(empty($data["ip_adressen"]) || $data["ip_adressen"] == 0 || in_array($data["ip_adressen"], $ip_array))
            {
               forward("Er is geen IP adres gekozen om te verbannen, of dit IP adres is al verbannen.", url."beheer/ip?id=".$data["id"]);

               include pad."include/output.inc.php";
               exit;
            }
         }
         
         if(empty($_POST['reden']))
         {
            forward("Je hebt geen reden opgegeven voor de ban van dit lid.", url."beheer/ip?id=".$data["id"]);
         }

         if($data['type'] == 1)
         {
            $sql->query("INSERT INTO ban (id, ip, gebruiker, reden) VALUES (NULL, '".$data["ip_adressen"]."', ".$data["id"].", '" . $_POST['reden'] . "')");
            $sql->query("UPDATE leden SET status = 1 WHERE id = ".$data["id"]);

            admin_log("heeft ".$f_lid["gebruikersnaam"]." (".$data["ip_adressen"].") verbannen.");
         }
         else
         {
            $sql->query("INSERT INTO ban (id, ip, gebruiker, reden) VALUES (NULL, '', ".$data["id"].", '" . $_POST['reden'] . "')");
            $sql->query("UPDATE leden SET status = 1 WHERE id = ".$data["id"]);
            
            admin_log("heeft ".$f_lid["gebruikersnaam"]." verbannen.");
         }        

         forward("De geselecteerde gebruiker is succesvol verbannen!", url."beheer/ip");
      }

      $ips = explode("|", $f_lid["ip"]);

      $ip_adressen = "";
      for($i = 0; $i < count($ips); $i++)
         $ip_adressen .= "<option value=\"".$ips[$i]."\">".$ips[$i]."</option>";
      
      if(empty($ips[0]))
         $ip_adressen = "<option value=0>Geen geregistreerd</option>";

      $tpl->get_template("site_header,site_tabel_header,beheer_header,beheer_ip,beheer_footer,tabel_footer,site_footer");

      $tpl->assign(array("site_tabel_header.titel"   => "Bekende IP's van ".$f_lid["gebruikersnaam"] ,
                         "site_header.titel"         => "IP Lookup"                                  ,
                         "beheer_ip.gebruikersnaam"  => $f_lid["gebruikersnaam"]                     ,
                         "beheer_ip.id"              => $f_lid["id"]                                 ,
                         "beheer_ip.ip_adressen"     => $ip_adressen                                 ,
                        ));
   }
   else
   {
      if(!empty($data["info_zoeken"]))
      {
         $fout = array();

         if(is_numeric($data["gebruikersnaam"]))
         {
            $s_id = $sql->query("SELECT id FROM leden WHERE id = '".$data["gebruikersnaam"]."'");
            $f_id = $sql->fetch($s_id);

            if($sql->num_rows($s_id))
               header("Location: ".url."beheer/ip?id=".$f_id["id"]);
            else
            {
               $fout[] = "De gebruikersaccount die je zocht is niet gevonden, er is gezocht op ID nummer.";
               fouten_verwerken($fout);
            }
         }
         else
         {
            $s_gebruiker = $sql->query("SELECT id FROM leden WHERE gebruikersnaam = '".$data["gebruikersnaam"]."'");
            $f_gebruiker = $sql->fetch($s_gebruiker);

            if($sql->num_rows($s_gebruiker))
               header("Location: ".url."beheer/ip?id=".$f_gebruiker["id"]);
            else
            {
               $fout[] = "De gebruikersaccount die je zocht is niet gevonden, er is gezocht op gebruikersnaam.";
               fouten_verwerken($fout);
            }
         }
      }
      
      if(!empty($data["opheffen"]))
      {
         list($id, $gebruiker) = explode("|", $_POST["ip"]);

         if(!empty($gebruiker))
         {
            $sql->query("UPDATE leden SET status = 2 WHERE id = ".$gebruiker);
            $s_gb = $sql->query("SELECT gebruikersnaam FROM leden WHERE id = ".$gebruiker);
            admin_log("heeft de ban voor ".$sql->result($s_gb, 0)." opgeheven.");
         }
         else
         {
            $s_ip = $sql->query("SELECT ip FROM ban WHERE id = ".$id);
            admin_log("heeft de ban voor het IP-adres ".$sql->result($s_ip, 0)." opgeheven.");
         }

         $sql->query("DELETE FROM ban WHERE id = ".$id);

         forward("De ban voor dit IP adres is succesvol opgeheven!", url."beheer/ip");
         
         include pad."include/output.inc.php";
         exit;
      }

      if(!empty($data["ip_verbannen"]))
      {
         $fout = array();

         if(!preg_match("/^([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})\.([0-9]{1,3})/", $data["ip"]) || in_array($data["ip"], $ip_array))
         {
            $fout[] = "Het ingevoerde IP-adres is niet geldig.";
            fouten_verwerken($fout);
         }
         else
         {
            $sql->query("INSERT INTO ban (id, ip) VALUES (NULL, '".$data["ip"]."')");

            admin_log("heeft het IP-adres ".$data["ip"]." verbannen.");

            forward("Dit IP-adres is succesvol verbannen!", url."beheer/ip");

            include pad."include/output.inc.php";
            exit;
         }
      }
     
      $s_verbannen = $sql->query("SELECT b.*, l.gebruikersnaam FROM ban AS b LEFT JOIN leden AS l ON l.id = b.gebruiker ORDER BY id ASC");

      $tpl->get_template("site_header,site_tabel_header,beheer_header,beheer_verbannen_header");

      $tpl->assign(array("site_header.titel"       => "Verbannen gebruikers",
                         "site_tabel_header.titel" => "Verbannen gebruikers", 
                        ));

      if(!$sql->num_rows($s_verbannen))
         $tpl->get_template("beheer_verbannen_geen");
      else
      {
         ## Er zijn verbannen gebruikers
         $select = "";
         while($f_v = $sql->fetch($s_verbannen))
         {
            if(!empty($f_v["gebruikersnaam"]))
               $gebruiker = " (".$f_v["gebruikersnaam"].")";
            else
               $gebruiker = "";

            if(empty($f_v['ip']))
            {
               $f_v['ip'] = "Cookie-based";
            }

            $select .= "<option value=\"".$f_v["id"]."|".$f_v["gebruiker"]."\">".$f_v["ip"].$gebruiker."</option>";
         }

         $tpl->get_template("beheer_verbannen_gebruikers");
         $tpl->assign("select", $select);
      }

      $tpl->get_template("beheer_verbannen_footer,beheer_footer,tabel_footer,site_footer");
   }

   include pad."include/output.inc.php";

?>
