<?php

include '../../../include/include.inc.php';

if($core["status"] != 5)
{
   bericht("Je hebt niet de benodigde rechten om deze pagina te bekijken.");
}

$s_nieuws = $sql->query("SELECT n.id, n.titel, n.auteur, l.gebruikersnaam, n.datum 
                         FROM nieuws AS n, leden AS l
                         WHERE l.id = n.auteur
                         ORDER BY n.datum DESC");

$tpl->get_template('site_header,site_tabel_header,beheer_header,beheer_nieuws_header');

 $tpl->assign(array('site_header.titel'       => 'Nieuws beheren',
                    'site_tabel_header.titel' => 'Nieuws beheren',
                  ));

if(!$sql->num_rows($s_nieuws))
{
   $tpl->get_template('beheer_nieuws_geen');
}

$i = 0;

while($f_nieuws = $sql->fetch($s_nieuws))
{
   $i++;
   $bgcolor = $i % 2 == 0 ? '#f7f7f4' : '';

   $tpl->get_template('beheer_nieuws');

   $tpl->assign(array('titel'      => $f_nieuws['titel']                   ,
                      'id'         => $f_nieuws['id']                      ,
                      'bgcolor'    => $bgcolor                             ,
                      'auteur_id'  => $f_nieuws['auteur']                  ,
                      'auteur'     => $f_nieuws['gebruikersnaam']          ,
                      'datum'      => date('d-m-Y H:i', $f_nieuws['datum']),
                     ));
}

$tpl->get_template('beheer_nieuws_footer,beheer_footer,tabel_footer,site_footer');

include pad . 'include/output.inc.php';

?>
