<?php

   include "../../include/include.inc.php";

   if($core["status"] != 5)
   {
      bericht("Je hebt niet de benodigde rechten om deze pagina te bekijken.");

      include pad."include/output.inc.php";
      exit;
   }

   if(!empty($_POST["verzenden"]))
   {
      $fout = array();
      
      if(empty($_POST["titel"]) || strlen($_POST["titel"]) < 2)
         $fout[] = "Er is geen titel opgegeven of de titel is korter dan 2 tekens.";

      if(empty($_POST["nieuwsbrief"]) || strlen($_POST["nieuwsbrief"]) < 2)
         $fout[] = "Er is geen nieuwsbrief opgegeven of deze is korter dan 2 tekens.";

      $s_sleutel = $sql->query("SELECT COUNT(sleutel) FROM flood WHERE sleutel = '".$data["sleutel"]."'");

      if(!$sql->result($s_sleutel, 0))
         forward("Je hebt zonet al een nieuwsbrief verstuurd!", url."beheer/nieuwsbrief");

      if(!fouten_verwerken($fout) && $_POST["verzenden"] == "Preview")
      {
         $tpl->get_template("site_header,site_tabel_header,forums_preview,tabel_footer,site_footer");

         $tpl->assign(array("site_tabel_header.titel" => "Preview van de nieuwsbrief"                    , 
                            "site_header.titel"       => "Preview"                                       ,
                            "forums_preview.titel"    => $_POST["titel"]                                 ,
                            "forums_preview.bericht"  => "<code>".nl2br($_POST["nieuwsbrief"])."</code>"        ,
                           ));

         include pad . "include/output.inc.php";
         exit;
      }
      else
      {
         if($_POST["naar"] == 1)
            $where = "nieuwsbrief = 1 AND actief = 1";
         elseif($_POST["naar"] == 2)
            $where = "actief = 1";
         else
            $where = "status > 2";

         $s_naar = $sql->query("SELECT email, gebruikersnaam FROM leden WHERE ".$where." ORDER BY id ASC");
   
         $_POST["nieuwsbrief"] = str_replace("#sitenaam#", sitenaam, $_POST["nieuwsbrief"]);
         $_POST['nieuwsbrief'] = stripslashes($_POST['nieuwsbrief']);

         while($f_naar = $sql->fetch($s_naar))
         {
            $nieuwsbrief = str_replace("#gebruiker#", $f_naar["gebruikersnaam"], $_POST["nieuwsbrief"]);
            
            email("noreply@".strtolower(sitenaam), $f_naar["email"], $f_naar["gebruikersnaam"], $_POST["titel"], $nieuwsbrief);
         }

         admin_log("heeft een nieuwsbrief met de titel \"".$_POST["titel"]."\" verzonden.");

         forward("De nieuwsbrief is succesvol verzonden naar ".$sql->num_rows($s_naar)." leden!", url."beheer/nieuwsbrief");
      }
   }

   if(!isset($data["sleutel"]))
   {
      $sleutel = sleutel(15);
      $sql->query("INSERT INTO flood (sleutel, tijd) VALUES ('".$sleutel."', '".time()."')");
   }
   else
      $sleutel = $data["sleutel"];

   $tpl->get_template("site_header,site_tabel_header,beheer_header,beheer_nieuwsbrief,beheer_footer,tabel_footer,site_footer");

   $tpl->assign(array("site_tabel_header.titel"    => "Nieuwsbrief versturen",
                      "site_header.titel"          => "Nieuwsbrief"          ,
                      "beheer_nieuwsbrief.sleutel" => $sleutel               ,
                     ));
   
   include pad . "include/output.inc.php";

?>
