<?php

   include "../../include/include.inc.php";

   if($core["status"] != 5)
   {
      bericht("Je hebt niet de benodigde rechten om deze pagina te bekijken.");

      include pad."include/output.inc.php";
      exit;
   }

   if(!empty($data["actie"]) && $data["actie"] == "verwijderen" && !empty($data["b"]))
   {
      if(!file_exists(pad."upload/leden/".$data["b"]))
         forward("Dit bestand kan niet worden verwijderd omdat het niet bestaat!", url."beheer/uploaden");
      else
      {
         unlink(pad."upload/leden/".$data["b"]);

         admin_log("heeft het bestand ".$data["b"]." verwijderd.");

         forward("Het bestand ".$data["b"]." is succesvol verwijderd!", url."beheer/uploaden");
      }
   }
   else
   {
      ## De directorie met de bestanden van dit lid lezen...
      $dir = opendir(pad."upload/leden/"); 

      $dir_array = array();
      $strlen = strlen($core["lid_id"]);

      while(false !== ($bestand = readdir($dir))) 
         if($bestand != "." && $bestand != ".." && $bestand != ".htaccess")
           $dir_array[] = $bestand;

      closedir($dir); 

     $tpl->get_template("site_header,site_tabel_header,beheer_header,beheer_uploaden_header");

      ## De geuploade bestanden parsen met linkjes e.d.
      if(!count($dir_array))
         $tpl->get_template("beheer_uploaden_geen");
      else
         for($i = 0; $i < count($dir_array); $i++)
         {
            ## Achtergrondkleur
            if($i % 2 == 0)
               $bgcolor = "#f7f7f4";
            else
               $bgcolor = "\"\"";

            ## Bestandsnaam
            $bestandsnaam = $dir_array[$i];

            ## Soort
            if(eregi(".+\.(gif|jpg|jpeg|png)+$", $bestandsnaam))
               $soort = "img";
            else
               $soort = "zip";
               
            $tpl->get_template("beheer_uploaden_bestand");

            $tpl->assign(array("bgcolor"      => $bgcolor,
                               "bestandsnaam" => $bestandsnaam,
                               "soort"        => $soort       ,
                              ));
         }
        
      $tpl->assign(array("site_tabel_header.titel"              => "Uploaden"           ,
                         "site_header.titel"                    => "Uploaden"           ,
                        ));
         
      $tpl->get_template("beheer_uploaden_footer,beheer_footer,tabel_footer,site_footer");
   }

   include pad . "include/output.inc.php";

?>
