<?php

   include "../../../include/include.inc.php";
   
   if($core["status"] < 3)
      bericht("Je hebt niet de benodigde rechten om deze pagina te bekijken.");
   
   // Controleren of dit gedeelte wel actief is..
   $s_webservice = $sql->query("SELECT * FROM webservices WHERE titel = 'Gastenboek'");
   
   if (!$f_webservice = $sql->fetch($s_webservice)) 
      bericht("De informatie van deze webservice kon niet worden ingeladen.");
   
   $data["actie"] = ((!empty($_aGET[0])) ? $_aGET[0] : "");
   
   switch($data["actie"]) {
      
      // de index actie
      default;
         
         // Webservice aan of uit zetten
         if (isset($data["active"])) {
            
            $update = ((isset($data["actief"])) ? 1 : 0);
            
            $sql->query("UPDATE webservices SET actief = '" . $update . "' WHERE titel = 'Gastenboek'");
            
            forward("De webservice is succesvol " . (($update == 1) ? "geactiveerd" : "gedeactiveerd") . ".", url . "beheer/webservices/gastenboek");
            
         } // end if
         
         // De template weergeven en alles assignen
         $tpl->get_template('site_header,site_tabel_header,beheer_header,beheer_webservices_gastenboek_menu,beheer_webservices_gastenboek_index_header');
         
         // ALle ongekeurde gastenboeken listen...
         $s_ongekeurde = $sql->query("SELECT 
            webservices_gastenboeken.*, leden.gebruikersnaam 
         FROM 
            webservices_gastenboeken 
         LEFT JOIN
            leden
         ON
            leden.id = webservices_gastenboeken.auteur
         WHERE 
            gekeurd = 0");
         
         $omschrijvingen = '';
         
         if ($sql->num_rows($s_ongekeurde) == 0)
            
            $tpl->get_template('beheer_webservices_gastenboek_index_geen');
            
         else
            
            while ($f_ongekeurd = $sql->fetch($s_ongekeurde)) {
               
               $tpl->get_template('beheer_webservices_gastenboek_index_rij');
               
               $tpl->assign(
                  array(
                     'beheer_webservices_gastenboek_index_rij.titel' => ($f_ongekeurd["titel"]),
                     'beheer_webservices_gastenboek_index_rij.datum' => date("d-m-Y", $f_ongekeurd["datum"]),
                     'beheer_webservices_gastenboek_index_rij.auteur' => $f_ongekeurd["gebruikersnaam"],
                     'beheer_webservices_gastenboek_index_rij.id' => $f_ongekeurd["id"],
                     'beheer_webservices_gastenboek_index_rij.auteurID' => $f_ongekeurd["auteur"],
                  )
               );
            } // end while
         
         // Statistieken van de webservice..
         $aantal_berichten        = $sql->num_rows($sql->query("SELECT 1 FROM webservices_gastenboeken_berichten"));
         $aantal_gastenboeken     = $sql->num_rows($sql->query("SELECT 1 FROM webservices_gastenboeken WHERE gekeurd = 1"));
         $ongekeurde_gastenboeken = $sql->num_rows($sql->query("SELECT 1 FROM webservices_gastenboeken WHERE gekeurd = 0"));
         
         if ($aantal_berichten == 0)
            $gemiddeld_berichten_per_boek = 0;
         else
            $gemiddeld_berichten_per_boek = round($aantal_berichten / $aantal_gastenboeken, 2);
         
         
         // De template weergeven en alles assignen
         $tpl->get_template('beheer_webservices_gastenboek_index_footer');
         
         $tpl->assign(
            array(
               'beheer_webservices_gastenboek_index_footer.berichten' => $aantal_berichten,
               'beheer_webservices_gastenboek_index_footer.boeken'    => $aantal_gastenboeken,
               'beheer_webservices_gastenboek_index_footer.ongekeurd' => $ongekeurde_gastenboeken,
               'beheer_webservices_gastenboek_index_footer.gemiddeld' => $gemiddeld_berichten_per_boek,
               'beheer_webservices_gastenboek_index_footer.actief'    => (($f_webservice["actief"] == 1) ? " checked" : ""),
            )
         );
         
      break;
      
      // De beheer actie
      case "beheer";
         
         $data["gid"] = ((!empty($_aGET[1]) && is_numeric($_aGET[1])) ? $_aGET[1] : 0);
         $data["act"] = ((!empty($_aGET[2])) ? $_aGET[2] : "");
         
         // Controleren of we al bezig zijn met het beheren van een gastenboek..
         if (!empty($data["gid"])) {
         
            // Bestaat het gastenboek wel ?
            $s_gastenboek = $sql->query("SELECT * FROM webservices_gastenboeken WHERE id = '" . $data["gid"] . "'");
            
            if ($sql->num_rows($s_gastenboek) == 0)
               bericht("Het gastenboek dat je wilde beheren is niet in de database van " . sitenaam . " gevonden.");
            else
               $f_gastenboek = $sql->fetch($s_gastenboek);
            
            switch($data["act"]) {
               
               default;
                  
                  $tpl->get_template('header,tabel_header,beheer_header,beheer_webservices_gastenboek_menu,beheer_webservices_gastenboek_beheer_menu,beheer_webservices_gastenboek_beheer_index');
                  
                  $tpl->assign(
                     array(
                        'beheer_webservices_gastenboek_beheer_index.berichten' => $f_gastenboek["berichten"],
                        'beheer_webservices_gastenboek_beheer_index.gastenboek_id' => $data["gid"],
                        'beheer_webservices_gastenboek_beheer_index.titel' => $f_gastenboek["titel"],
                        'beheer_webservices_gastenboek_beheer_index.datum' => date("d-m-Y", $f_gastenboek["datum"])
                     )
                  );
                  
               break;
               
               case "berichten";
                  
                  $data["bid"] = ((!empty($_aGET[3]) && is_numeric($_aGET[3])) ? $_aGET[3] : 0);
                  $data["sact"] = ((!empty($_aGET[4])) ? $_aGET[4] : "");
                  
                  if ($data["bid"] == 0) {
                     
                     $tpl->get_template('header,tabel_header,beheer_header,beheer_webservices_gastenboek_menu,beheer_webservices_gastenboek_beheer_menu');
                     
                     $tpl->get_template('beheer_webservices_gastenboek_beheer_berichten_begin');
                     
                     $s_berichten = $sql->query("SELECT * FROM webservices_gastenboeken_berichten WHERE gastenboek = '" . $data["gid"] . "'");
                     
                     if ($sql->num_rows($s_berichten) == 0) {
                        
                        $tpl->get_template('beheer_webservices_gastenboek_beheer_berichten_index_geen');
                        
                     } // end if
                     else {
                        
                        while($f_bericht = $sql->fetch($s_berichten)) {
                           
                           $bericht = trim(substr($f_bericht["bericht"], 0, 30));
                           if (strlen($f_bericht["bericht"]) > 30)
                              $bericht .= "...";
                           
                           $tpl->get_template('beheer_webservices_gastenboek_beheer_berichten_index_rij');
                           
                           $tpl->assign(
                              array(
                                 'beheer_webservices_gastenboek_beheer_berichten_index_rij.bericht' => stripslashes($bericht),
                                 'beheer_webservices_gastenboek_beheer_berichten_index_rij.datum'   => date("d-m-Y H:i", $f_bericht["datum"]),
                                 'beheer_webservices_gastenboek_beheer_berichten_index_rij.naam'    => ($f_bericht["auteur"]),
                                 'beheer_webservices_gastenboek_beheer_berichten_index_rij.id'      => $f_bericht["id"],
                                 'beheer_webservices_gastenboek_beheer_berichten_index_rij.auteur'  => ($f_bericht["auteur"]),
                                 'beheer_webservices_gastenboek_beheer_berichten_index_rij.auteurMail'  => ($f_bericht["email"]),
                                 'beheer_webservices_gastenboek_beheer_berichten_index_rij.gid'     => $data["gid"],
                              )
                           );
                           
                        } // end while
                        
                     } // end else
                     
                     $tpl->get_template('beheer_webservices_gastenboek_beheer_berichten_eind');
                     
                  } // end if
                  else {
                     
                     // Controleren of het bericht wel bestaat...
                     $s_bericht = $sql->query("SELECT * FROM webservices_gastenboeken_berichten WHERE id = '" . $data["bid"] . "'");
                     
                     if ($sql->num_rows($s_bericht) == 0)
                        bericht("Het bericht dat je wilde bewerken is niet in de database van " . sitenaam . " gevonden.");
                     
                     $f_bericht = $sql->fetch($s_bericht);
                     
                     switch($data["sact"]) {
                        
                        case "verwijderen";
                           
                           if (isset($data["verwijderen"])) {
                              
                              $sql->query("DELETE FROM webservices_gastenboeken_berichten WHERE id = '" . $data["bid"] . "'");
                              $sql->query("UPDATE webservices_gastenboeken SET berichten = berichten - 1 WHERE id = '" . $data["gid"] . "'");
                              
                              admin_log("heeft bericht " . $data["bid"] . " uit gastenboek " . $data["gid"] . " verwijderd.");
                              
                              forward("Het bericht uit dit gastenboek is succesvol verwijderd.", url . "beheer/webservices/gastenboek/beheer/" . $data["gid"] . "/berichten");
                              
                           } // end if
                           
                           $tpl->get_template('header,tabel_header,beheer_header,beheer_webservices_gastenboek_menu,beheer_webservices_gastenboek_beheer_menu,beheer_webservices_gastenboek_beheer_berichten_verwijderen');
                           
                           $tpl->assign('beheer_webservices_gastenboek_beheer_berichten_verwijderen.id', $data["gid"]);
                           
                        break;
                        
                        case "bewerken";
                           
                           if (isset($data["bewerken"])) {
                              
                              $fouten = array();
                              
                              if (strlen($data["auteur"]) < 2 || strlen($data["auteur"]) > 60)
                                 $fouten[] = "De naam is korter dan 2 tekens of langer als 60 tekens.";
                              
                              if (empty($_POST["bericht"]))
                                 $fouten[] = "Het bericht is leeg.";
                              
                              if (!eregi("^[A-Za-z0-9_-]+([\.]{1}[A-Za-z0-9_-]+)*@[A-Za-z0-9-]+([\.]{1}[A-Za-z0-9-]+)+$", $data["email"]) || strlen($data["email"]) < 8 || strlen($data["email"]) > 100)
                                 $fouten[] = "Het email is ongeldig, is korter dan 8 tekens of is langer dan 100 tekens.";
                                 
                              if (!empty($data["homepage"]) && !eregi("^http://[^[:space:]]+$", $data["homepage"]))
                                 $fouten[] = "Het adres naar de homepage is ongeldig.";
                                 
                              if (!fouten_verwerken($fouten)) {
                                 
                                 $sql->query("UPDATE webservices_gastenboeken_berichten SET auteur = '" . $data["auteur"] . "', bericht = '" . addslashes($_POST["bericht"]) . "', email = '" . $data["email"] . "', homepage = '" . $data["homepage"] . "' WHERE id = '" . $data["bid"] . "'");
                                 
                                 admin_log("heeft bericht " . $data["bid"] . " uit gastenboek " . $data["gid"] . " bewerkt.");
                                 
                                 forward("Het bericht uit dit gastenboek is succesvol bewerkt.", url . "beheer/webservices/gastenboek/beheer/" . $data["gid"] . "/berichten");
                                 
                              } // end if
                              
                           } // end if
                           
                           $formulier = formulier("bericht", stripslashes($f_bericht["bericht"]), "bewerken", 45, 10);
                           
                           $tpl->get_template('header,tabel_header,beheer_header,beheer_webservices_gastenboek_menu,beheer_webservices_gastenboek_beheer_menu,beheer_webservices_gastenboek_beheer_berichten_bewerken');
                           
                           $tpl->assign(
                              array(
                                 'beheer_webservices_gastenboek_beheer_berichten_bewerken.html'      => 'red',
                                 'beheer_webservices_gastenboek_beheer_berichten_bewerken.smilies'   => (($f_gastenboek["smilies"] == 1) ? '#006600' : 'red'),
                                 'beheer_webservices_gastenboek_beheer_berichten_bewerken.bb'        => '#006600',
                                 'beheer_webservices_gastenboek_beheer_berichten_bewerken.img'       => 'red',
                                 'beheer_webservices_gastenboek_beheer_berichten_bewerken.formulier' => $formulier,
                                 'beheer_webservices_gastenboek_beheer_berichten_bewerken.auteur'    => $f_bericht["auteur"],
                                 'beheer_webservices_gastenboek_beheer_berichten_bewerken.homepage'  => $f_bericht["homepage"],
                                 'beheer_webservices_gastenboek_beheer_berichten_bewerken.email'     => $f_bericht["email"],
                              )
                           );
                           
                        break;
                        
                     } // end switch
                     
                  } // end if
                  
               break;
               
               case "eigenschappen";
                  
                  if (isset($data["eigenschappen"])) {
                     
                     $fouten = array();
                     
                     if (isset($data["gesloten"]) && $data["gesloten"] == true)
                        if (!isset($data["obericht"]) || strlen($data["obericht"]) < 3)
                           $fouten[] = "Het offline bericht is korter dan 4 tekens.";
                     else
                        $data["gesloten"] = false;
                     
                     if (!isset($data["titel"]) || strlen($data["titel"]) > 60 || strlen($data["titel"]) < 4)
                        $fouten[] = "De titel is korter dan tekens of langer dan 60 tekens.";
                     
                     if (!fouten_verwerken($fouten)) {
                        
                        $sql->query("
                        UPDATE 
                           webservices_gastenboeken 
                        SET 
                           smilies = '" . ((isset($data["smilies"])) ? 1 : 0) . "',
                           obericht = '" . addslashes($data["obericht"]) . "', 
                           gesloten = '" . $data["gesloten"] . "', 
                           titel = '" . $data["titel"] . "'
                        WHERE 
                           id = '" . $data["gid"] . "'");
                        
                        admin_log("heeft de eigenschappen van gastenboek " . $data["gid"] . " gewijzigd.");
                        
                        forward("De eigenschappen zijn succesvol aangepast!", url . "beheer/webservices/gastenboek/beheer/" . $data["gid"] . "/eigenschappen");
                        
                     } // end if
                  } // end if
                  
                  $formulier = formulier("obericht", stripslashes($f_gastenboek["obericht"]), "eigenschappen", 45, 10);
                  
                  $tpl->get_template('header,tabel_header,beheer_header,beheer_webservices_gastenboek_menu,beheer_webservices_gastenboek_beheer_menu,beheer_webservices_gastenboek_beheer_eigenschappen');
                  
                  $tpl->assign(
                     array(
                        'beheer_webservices_gastenboek_beheer_eigenschappen.html'         => 'red',
                        'beheer_webservices_gastenboek_beheer_eigenschappen.bb'           => '#006600',
                        'beheer_webservices_gastenboek_beheer_eigenschappen.img'          => 'red',
                        'beheer_webservices_gastenboek_beheer_eigenschappen.smilies'      => '#006600',
                        'beheer_webservices_gastenboek_beheer_eigenschappen.smilies_ja'   => (($f_gastenboek["smilies"] == 1) ? " checked" : ""),
                        'beheer_webservices_gastenboek_beheer_eigenschappen.titel'        => ($f_gastenboek["titel"]),
                        'beheer_webservices_gastenboek_beheer_eigenschappen.gesloten_ja'  => (($f_gastenboek["gesloten"] == 1) ? " selected" : ""),
                        'beheer_webservices_gastenboek_beheer_eigenschappen.gesloten_nee' => (($f_gastenboek["gesloten"] == 0) ? " selected" : ""),
                        'beheer_webservices_gastenboek_beheer_eigenschappen.formulier'    => $formulier
                     )
                  );
                  
               break;
               
               case "verwijderen";
                  
                  if (isset($data["verwijderen"])) {
                     
                     $sql->query("DELETE FROM webservices_gastenboeken WHERE id = '" . $data["gid"] . "'");
                     $sql->query("DELETE FROM webservices_gastenboeken_berichten WHERE gastenboek = '" . $data["gid"] . "'");
                     
                     admin_log("heeft gastenboek " . $data["gid"] . " verwijderd.");
                     
                     forward("Het gastenboek dat je wilde verwijderen is succesvol verwijderd.", url . "beheer/webservices/gastenboek");
                     
                  } // end if
                  
                  $tpl->get_template('header,tabel_header,beheer_header,beheer_webservices_gastenboek_menu,beheer_webservices_gastenboek_beheer_menu,beheer_webservices_gastenboek_beheer_verwijderen');
                  
                  $tpl->assign("beheer_webservices_gastenboek_beheer_verwijderen.id", $data["gid"]);
                  
               break;
               
               case "reset";
                  
                  if (isset($data["resetten"])) {
                     
                     $sql->query("UPDATE webservices_gastenboeken SET berichten = 0 WHERE id = '" . $data["gid"] . "'");
                     $sql->query("DELETE FROM webservices_gastenboeken_berichten WHERE gastenboek = '" . $data["gid"] . "'");
                     
                     admin_log("heeft het gastenboek " . $data["gid"] . " gereset.");
                     
                     forward("Het gastenboek is succesvol gereset!", url . "beheer/webservices/gastenboek/beheer/" . $data["gid"]);
                     
                  } // end if
                  
                  $tpl->get_template('header,tabel_header,beheer_header,beheer_webservices_gastenboek_menu,beheer_webservices_gastenboek_beheer_menu,beheer_webservices_gastenboek_beheer_resetten');
                  
                  $tpl->assign("beheer_webservices_gastenboek_beheer_resetten.id", $data["gid"]);
                  
               break;
               
            } // end if
            
            $tpl->get_template('beheer_webservices_gastenboek_beheer_menu_eind,beheer_footer,tabel_footer,footer');
            
            $tpl->assign(array("header.titel"                                 => "Webservice gastenboek beheren",
                               "tabel_header.titel"                           => "Webservice gastenboek beheren",
                               "beheer_webservices_gastenboek_beheer_menu.id" => $data["gid"],
                              ));
            
            include pad . "include/output.inc.php";
            exit;
            
         } // end if
         else {
            
            $geef_header_weer = true;
            
            if (isset($data["zoeken"])) {
               
               if (empty($data["zoek"]))
                  fouten_verwerken(array("Er is geen geldige zoekstring opgegeven"));
               
               if ($data["type"] == "auteur") {
                  
                  if (!is_numeric($data["zoek"]))
                     $data["zoek"] = @mysql_result($sql->query("SELECT id FROM leden WHERE gebruikersnaam = '" . $data["zoek"] . "'"), 0);
                  
                  $veld = "auteur";
                  
               } // end if
               elseif ($data["type"] == "titel") {
                  
                  if (is_numeric($data["zoek"]))
                     $data["zoek"] = mysql_result($sql->query("SELECT titel FROM webservices_gastenboeken WHERE id = '" . $data["zoek"] . "'"), 0);
                  
                  $veld = "titel";
                  
               } // end elseif
               else
                  bericht("Ongeldige type gespecificeerd");
               
               $z_gastenboek = $sql->query("SELECT 
                  webservices_gastenboeken.*, leden.gebruikersnaam 
               FROM 
                  webservices_gastenboeken 
               LEFT JOIN 
                  leden 
               ON 
                  leden.id = webservices_gastenboeken.auteur 
               WHERE 
                  " . $veld . " = '" . $data["zoek"] . "'
               AND
                  gekeurd = '1'");
               
               if ($sql->num_rows($z_gastenboek) == 0)
                  bericht("Er zijn geen resultaten gevonden met je zoekopdracht");
               elseif ($sql->num_rows($z_gastenboek) >= 1) {
                  
                  $tpl->get_template('site_header,site_tabel_header,beheer_header,beheer_webservices_gastenboek_menu,beheer_webservices_gastenboek_beheer_zoekresultaat_begin');
            
                  while ($f_gastenboek = $sql->fetch($z_gastenboek)) {
                     
                     $tpl->get_template('beheer_webservices_gastenboek_beheer_zoekresultaat_rij');
                     
                     $tpl->assign(
                        array(
                           'beheer_webservices_gastenboek_beheer_zoekresultaat_rij.id' => $f_gastenboek["id"],
                           'beheer_webservices_gastenboek_beheer_zoekresultaat_rij.titel' => ($f_gastenboek["titel"]),
                           'beheer_webservices_gastenboek_beheer_zoekresultaat_rij.datum' => date("d-m-Y", $f_gastenboek["datum"]),
                           'beheer_webservices_gastenboek_beheer_zoekresultaat_rij.auteur' => $f_gastenboek["gebruikersnaam"],
                           'beheer_webservices_gastenboek_beheer_zoekresultaat_rij.auteurID' => $f_gastenboek["auteur"],
                        )
                     );
                     
                  } // end if
                  
                  $tpl->get_template('beheer_webservices_gastenboek_beheer_zoekresultaat_eind');
                  
                  $geef_header_weer = false;
               } else
                  header("Location: " . url . "beheer/webservices/beheer/" . mysql_result($z_gastenboek, 0, 'id'));
               
            } // end if
            
            if ($geef_header_weer == true)
               $tpl->get_template('site_header,site_tabel_header,beheer_header,beheer_webservices_gastenboek_menu,beheer_webservices_gastenboek_beheer_zoeken');
            
            
            
         } // end else
         
      break;
      
      // De keur actie
      case "keuren";
         
         $data["gid"] = ((!empty($_aGET[1]) && is_numeric($_aGET[1])) ? $_aGET[1] : 0);
         
         $s_gastenboek = $sql->query("SELECT 
            w.id, w.omschrijving, w.titel, w.auteur, leden.gebruikersnaam, leden.status
         FROM
            webservices_gastenboeken AS w
         LEFT JOIN
            leden
         ON 
            leden.id = w.auteur
         WHERE 
            w.id = '" . $data["gid"] . "'");
         
         if ($sql->num_rows($s_gastenboek) == 0) 
            bericht("Het gastenboek dat je wilde keuren is niet in de database gevonden van " . sitenaam . ".");
         
         $f_gastenboek = $sql->fetch($s_gastenboek);
         
         if (isset($data["keuren"])) {
            
            $sql->query("UPDATE webservices_gastenboeken SET gekeurd = '1' WHERE id = '" . $data["gid"] . "'");
            
            admin_log("heeft gastenboek " . $data["gid"] . " goedgekeurd.");
            
            forward("Het gastenboek is succesvol gekeurd.", url . "beheer/webservices/gastenboek");
         }
         $tpl->get_template('site_header,site_tabel_header,beheer_header,beheer_webservices_gastenboek_menu,beheer_webservices_gastenboek_keuren');
         
         $tpl->assign(
            array(
               'beheer_webservices_gastenboek_keuren.titel' => ($f_gastenboek["titel"]),
               'beheer_webservices_gastenboek_keuren.omschrijving' => tekst_parsen(stripslashes($f_gastenboek["omschrijving"]), 2, false),
               'beheer_webservices_gastenboek_keuren.auteur' => kleur($f_gastenboek["gebruikersnaam"], $f_gastenboek["status"]),
               'beheer_webservices_gastenboek_keuren.auteurID' => $f_gastenboek["auteur"],
               'beheer_webservices_gastenboek_keuren.id' => $f_gastenboek["id"]
            )
         );
         
      break;
      
      // De afkeur actie
      case "afkeuren";
         
         $data["gid"] = ((!empty($_aGET[1]) && is_numeric($_aGET[1])) ? $_aGET[1] : 0);
         
         $s_gastenboek = $sql->query("SELECT 
            webservices_gastenboeken.*, leden.gebruikersnaam 
         FROM 
            webservices_gastenboeken 
         LEFT JOIN 
            leden 
         ON 
            leden.id = webservices_gastenboeken.auteur
         WHERE
            webservices_gastenboeken.id = '" . $data["gid"] . "'");
         
         if ($sql->num_rows($s_gastenboek) == 0)
            bericht("Het gastenboek dat je wilde afkeuren blijkt niet (meer) in de database te staan.");
         else 
            $f_gastenboek = $sql->fetch($s_gastenboek);
         
         if ($_SERVER["REQUEST_METHOD"] == "POST") {
            
            $fouten = array();
            
            if (!isset($data["titel"]) || strlen($data["titel"]) > 60 || strlen($data["titel"]) < 5)
               $fouten[] = "De ingevulde titel is langer dan 60 tekens of korter dan 5 tekens.";
               
            if (!isset($_POST["bericht"]) || !check_smilies($_POST["bericht"]) || strlen($_POST["bericht"]) < 5)
               $fouten[] = "Het ingevulde bericht is korter als 5 tekens of bevat te veel smilies.";
            
            if (!fouten_verwerken($fouten)) {
               
               $sql->query("INSERT INTO priveberichten (id, afzender, ontvanger, gelezen, titel, privebericht, status, datum) VALUES (NULL, ".$core["lid_id"].", ".$f_gastenboek["auteur"].", 0, '".$data["titel"]."', '".$_POST["bericht"]."', 1, ".time().")");
               $sql->query("DELETE FROM webservices_gastenboeken WHERE id = '" . $data["gid"] . "'");
               
               admin_log("heeft de gastenboek webservice aanvraag " . $data["gid"] . " afgekeurd.");
               
               forward("De afkeuring is succesvol uitgevoerd.", url . "beheer/webservices/gastenboek");
               
            } // end if
            
         } // end if
         
         $titel = "Gastenboek afgekeurd";
         
         $formulier = formulier("bericht", "Het gastenboek '" . ($f_gastenboek["titel"]) . "' is afgekeurd op basis van de volgende argumentatie:", "afkeuren", 45, 15);
         
         $tpl->get_template('site_header,site_tabel_header,beheer_header,beheer_webservices_gastenboek_menu,beheer_webservices_gastenboeken_afkeuren');
         
         $tpl->assign(
            array(
               'beheer_webservices_gastenboeken_afkeuren.html' => 'red',
               'beheer_webservices_gastenboeken_afkeuren.bb'   => '#006600',
               'beheer_webservices_gastenboeken_afkeuren.img' => '#006600',
               'beheer_webservices_gastenboeken_afkeuren.smilies' => '#006600',
               'beheer_webservices_gastenboeken_afkeuren.auteur' => $f_gastenboek["gebruikersnaam"],
               'beheer_webservices_gastenboeken_afkeuren.formulier' => $formulier,
               'beheer_webservices_gastenboeken_afkeuren.titel' => $titel
            )
         );
         
      break;
      
      // De blokkeer actie
      case "blokkeer";
         
         $s_bans = $sql->query("SELECT blokkades FROM webservices WHERE titel = 'Gastenboek'");
         $blokkades = mysql_result($s_bans, 0, "blokkades");
         
         $exp = explode(";", $blokkades);
            
         if (count($exp) == 1 && trim($exp[0]) == '')
            unset($exp[0]);
         
         // Wanneer het verban formulier is gepost...
         if (isset($data["ban"])) {
            
            if (!is_numeric($data["ban"]))
               $data["ban"] = mysql_result($sql->query("SELECT id FROM leden WHERE gebruikersnaam = '" . $data["ban"] . "'"), 0);
            
            foreach ($exp AS $id)
               if ($id == $data["ban"])
                  fouten_verwerken(array("Deze gebruiker is al geblokkeerd, je kan hem dus niet nog een keer blokkeren"));
            
            
            $exp[] = $data["ban"];
               
            admin_log("heeft gebruiker " . $data["ban"] . " geblokkeerd van de gastenboek service.");
            
            if ($data["del_boeken"] == 'true') {
               
               $s_boeken = $sql->query("SELECT id FROM webservices_gastenboeken WHERE auteur = '" . $data["ban"] . "'");
               
               while ($f_boek = $sql->fetch($s_boeken))
                  $verwijderen[] = " gastenboek = '" . $f_boek["id"] . "' ";
               
               if (count($verwijderen) >= 1)
                  $query = "WHERE " . implode(" OR ", $verwijderen);
               else
                  $query = 'WHERE gastenboek = 0';
               
               $sql->query("DELETE FROM webservices_gastenboeken WHERE auteur = '" . $data["ban"] . "'");
               $sql->query("DELETE FROM webservices_gastenboeken_berichten " . $query);
               
               admin_log("heeft alle gastenboeken van " . $data["ban"] . " verwijderd.");
               
            } // end if
            
            $blokkades = implode(";", $exp);
            
            $sql->query("UPDATE webservices SET blokkades = '" . $blokkades . "' WHERE titel = 'Gastenboek'");
            
            forward("De blokkade is succesvol toegekend aan deze gebruiker.", url . "beheer/webservices/gastenboek/blokkeer");
            
         } // end if
         
         // Wanneer het unban formulier is gepost...
         if (isset($data["unban"])) {
            
            $voor = count($exp);
            
            foreach ($exp AS $i => $id)
               if ($id == $data["unban"])
                  unset($exp[$i]);
            
            if (count($exp) == $voor)
               fouten_verwerken(array("Deze gebruiker was niet geblokkeerd."));
            
            $blokkades = implode(";", $exp);
            
            admin_log("heeft gebruiker " . $data["unban"] . " weer toegelaten bij de gastenboek service.");
            
            $sql->query("UPDATE webservices SET blokkades = '" . $blokkades . "' WHERE titel = 'Gastenboek'");
            
            forward("De blokkade voor deze gebruiker is succesvol opgeheven.", url . "beheer/webservices/gastenboek/blokkeer");
            
         } // end if
         
         // Lijst maken met alle geblokkeerde leden..
         $query = array();
         
         foreach ($exp AS $uid)
            $query[] = " id = '" . $uid . "'";
         
         $query = implode(" OR ", $query);
         $query = ((empty($query)) ? "WHERE id = 0" : "WHERE " . $query);
         
         $ban_list = '';
         
         $s_leden = $sql->query("SELECT gebruikersnaam, id FROM leden " . $query);
         while ($f_lid = $sql->fetch($s_leden))
            $ban_list .= "<option value=\"" . $f_lid["id"] . "\">" . $f_lid["gebruikersnaam"] . "</option>\n";
         
         // Lijst maken met alle gastenboek en de eigenaar.
         $s_gastenboeken = $sql->query("
         SELECT
            leden.gebruikersnaam, webservices_gastenboeken.auteur, COUNT(webservices_gastenboeken.id) AS aantal
         FROM 
            webservices_gastenboeken
         LEFT JOIN
            leden
         ON
            leden.id = webservices_gastenboeken.auteur
         GROUP BY
            webservices_gastenboeken.auteur
         ");
         
         $leden_lijst = '';
         
         while ($f_gastenboek = $sql->fetch($s_gastenboeken)) {
            
            $leden_lijst .= "gastenboek[\"" . $f_gastenboek["auteur"] . "\"] = '" . $f_gastenboek["aantal"] . "';\n";
            $leden_lijst .= "gastenboek[\"" . $f_gastenboek["gebruikersnaam"] . "\"] = '" . $f_gastenboek["aantal"] . "';\n";
            
         } // end while
         
         $tpl->get_template('site_header,site_tabel_header,beheer_header,beheer_webservices_gastenboek_menu,beheer_webservices_gastenboek_blokkeer');
         
         $tpl->assign(
            array(
               'beheer_webservices_gastenboek_blokkeer.lijst' => $ban_list,
               'beheer_webservices_gastenboek_blokkeer.leden' => $leden_lijst
            )
         );
         
      break;
      
   } // end switch

   $tpl->assign(array("site_header.titel"       => "Webservice gastenboek beheren",
                      "site_tabel_header.titel" => "Webservice gastenboek beheren",
                     ));
   
   // Footer
   $tpl->get_template('beheer_footer,tabel_footer,site_footer');

   include pad . "include/output.inc.php";

?>
