<?php

   include "../include/include.inc.php";

   if($core["status"] < 3)
   {
      bericht("Je hebt niet de benodigde rechten om deze pagina te bekijken.");

      include pad."include/output.inc.php";
      exit;      
   }

   if(!empty($data["id"]) && is_numeric($data["id"]))
   {
      $s_bugs = $sql->query("SELECT 
                               s.*, l.gebruikersnaam
                               FROM
                               bugs AS s, leden AS l
                               WHERE
                               l.id = s.auteur AND s.id = ".$data["id"]);
      $f_bugs = $sql->fetch($s_bugs);

      if(!empty($_POST["conclusie"]))
      {
         if(!empty($_POST["bericht"]))
         {
            $sql->query("UPDATE bugs SET conclusie = '".$_POST["bericht"]."', afgehandeld = '".time().",".$core["lid_id"].",".$core["lidnaam"]."' WHERE id = ".$data["id"]);

            $mail_vars = array("gebruiker" => $f_bugs["gebruikersnaam"],
                               "auteur"    => $core["lidnaam"]         ,
                               "conclusie" => $_POST["bericht"]        ,
							   "beschrijving"=> $f_bugs['beschrijving']
                              );

            $sql->query("INSERT INTO priveberichten (id, afzender, ontvanger, gelezen, titel, privebericht, status, datum) VALUES ('', ".$core["lid_id"].", '".$f_bugs["auteur"]."', '0', 'Je bug is afgehandeld!', '".haal_mail("bugs_afgehandeld", $mail_vars)."', '1', '".time()."')");

            header("Location: ".url."beheer/bugs?id=".$data["id"]);
         }
      }

      if(!$sql->num_rows($s_bugs))
         forward("Het opgegeven ID-nummer klopt niet.");
      else
      {
         $tpl->get_template("beheer_bugs_reden");

         $tpl->assign(array("auteur"    => $f_bugs["gebruikersnaam"]            ,
                            "auteur_id" => $f_bugs["auteur"]                    ,
                            "beschrijving"     => nl2br(htmlentities($f_bugs["beschrijving"])),
                            "datum"     => date("d-m-Y H:i", $f_bugs["datum"])  ,
                           ));

         if(empty($f_bugs["afgehandeld"]))
         {
            $tpl->get_template("beheer_bugs_conclusie_toevoegen");

            $tpl->assign("id", $f_bugs["id"]);
         }
         else
         {
            $tpl->get_template("beheer_bugs_conclusie");

            list($datum, $auteur_id, $auteur) = explode(",", $f_bugs["afgehandeld"]);

            $tpl->assign(array("conclusie" => nl2br(htmlentities($f_bugs["conclusie"])),
                               "datum"     => date("d-m-Y H:i", $datum)                ,
                               "auteur_id" => $auteur_id                               ,
                               "auteur"    => $auteur                                  ,    
                              ));
         }
      }     

      include pad . "include/output.inc.php";
      exit;
   }

   $s_aantal = $sql->query("SELECT COUNT(id) FROM bugs");
   
   $data["pagina"] = !isset($data["pagina"]) ? 1 : $data["pagina"];
   $pn = pagina_navigatie(50, $sql->result($s_aantal, 0), $data["pagina"]);

   $s_bugs = $sql->query("SELECT 
                         s.*, l.gebruikersnaam
                         FROM
                         bugs AS s, leden AS l
                         WHERE
                         l.id = s.auteur
                         ORDER BY
                         s.datum DESC, s.afgehandeld ASC
                         LIMIT ".$pn["start"].", ".$pn["per_pagina"]);

   $tpl->get_template("site_header,site_tabel_header,beheer_header,beheer_bugs_header");

   $tpl->assign(array("site_tabel_header.titel"      => "Bug rapportages",
                      "site_header.titel"            => "Bug rapportages",
                      "beheer_bugs_header.pn_select" => $pn["select"] ,
                     ));
   
   if(!$sql->num_rows($s_bugs))
      $tpl->get_template("beheer_bugs_geen");
   else
   {
      $i = 0;

      while($f_bugs = $sql->fetch($s_bugs))
      {
         $i++;
         $bgcolor = $i % 2 == 0 ? "#f7f7f4" : "";

         $tpl->get_template("beheer_bugs");
         
         if(empty($f_bugs["afgehandeld"]))
            $afgehandeld = "<img src=\"".url."images/niet_afgehandeld.gif\" alt=\"Niet afgehandeld\">";
         else
            $afgehandeld = "<img src=\"".url."images/afgehandeld.gif\" alt=\"Afgehandeld\">";
         
         $tpl->assign(array("auteur"      => $f_bugs["gebruikersnaam"]          ,
                            "auteur_id"   => $f_bugs["auteur"]                  ,
                            "pagina"      => $f_bugs["pagina"]                  ,
                            "beschrijving"=> nl2br($f_bugs["beschrijving"])     ,
                            "afgehandeld" => $afgehandeld                       ,
                            "datum"       => date("d-m-Y H:i", $f_bugs["datum"]),
                            "bgcolor"     => $bgcolor                           ,
                            "id"          => $f_bugs["id"]                      ,
                           ));
      }
   }

   $tpl->get_template("beheer_bugs_footer,beheer_footer,tabel_footer,site_footer");

   include pad . "include/output.inc.php";

?>