<?php

   include "../include/include.inc.php";

   $cat_array     = array();
   $cat_array[1]  = array();
   $cat_array[2]  = array();
   
   $cat_titels    = array();
   $cat_titels[1] = "Artikelen";
   $cat_titels[2] = "Scripts";

   if($core["status"] < 5)
   {
      bericht("Je hebt niet de benodigde rechten om deze pagina te bekijken.");
   }

   if((empty($_GET["toevoegen"]) || !is_numeric($_GET["toevoegen"])) && (empty($_GET["bewerken"]) || !is_numeric($_GET["bewerken"])) && (empty($_GET["verwijderen"]) || !is_numeric($_GET["verwijderen"])))
   {
      $s_cats = $sql->query("SELECT titel, id, cat_id FROM categorieen ORDER BY titel ASC, cat_id ASC");

      $tpl->get_template('site_header,site_tabel_header,beheer_header');

      $tpl->assign(array("site_header.titel"       => "Categorie&euml;n beheren",
                         "site_tabel_header.titel" => "Categorie&euml;n beheren",
                        ));

      while($f_cat = $sql->fetch($s_cats))
         $cat_array[$f_cat["cat_id"]][$f_cat["id"]] = $f_cat["titel"];

      for($i = 1; $i <= count($cat_titels); $i++)
      {
         $tpl->get_template("beheer_cat_cat");
         $tpl->assign(array("beheer_cat_cat.titel"  => $cat_titels[$i],
                            "beheer_cat_cat.cat_id" => $i             ,
                           ));

         if(count(@$cat_array[$i]) == 0)
            $tpl->get_template("beheer_cat_leeg");
         else
            $y = 0;
            foreach($cat_array[$i] as $id => $titel)
            {
               $y++;
               $bgcolor = $y % 2 == 1 ? "#f7f7f4" : "";

               $tpl->get_template("beheer_cat_inhoud");

               $tpl->assign(array("beheer_cat_inhoud.titel"   => $titel  ,
                                  "beheer_cat_inhoud.id"      => $id     ,
                                  "beheer_cat_inhoud.bgcolor" => $bgcolor,
                                 ));
            }

            $tpl->get_template('beheer_cat_footer');
      }

      $tpl->get_template('beheer_footer,tabel_footer,site_footer');
   }
   elseif(!empty($_GET["toevoegen"]))
   {
      if(!array_key_exists($_GET["toevoegen"], $cat_titels))
         forward("Het opgegeven module ID nummer bestaat niet.", url."beheer/categorie");
      else
      {
         $fout = array();

         if(isset($_POST["toevoegen"]))
         {
            $bb->preparse($_POST['beschrijving']);

            if(empty($_POST["beschrijving"]) || !check_smilies($_POST["beschrijving"]))
            {
               $fout[] = "Je hebt geen beschrijving opgegeven of er komen teveel smilies in voor.";
            }

            if(strlen($data["titel"]) < 3 || strlen($data["titel"]) > 50)
            {
               $fout[] = "De titel is korter dan 3 tekens of langer dan 50 tekens.";
            }

            $s_sleutel = $sql->query("SELECT COUNT(sleutel) FROM flood WHERE sleutel = '".$data["sleutel"]."'");

            if(!$sql->result($s_sleutel, 0))
            {
               forward("Je hebt zonet al een categorie toegevoegd!", url."beheer/categorie?toevoegen=".$_GET["toevoegen"]);

               include pad."include/output.inc.php";
               exit;
            }

            if(!fouten_verwerken($fout))
            {
               $sql->query("DELETE FROM flood WHERE sleutel = '".$data["sleutel"]."'");  
               $sql->query("INSERT INTO categorieen (id, cat_id, titel, beschrijving) VALUES (NULL, ".$_GET["toevoegen"].", '".$data["titel"]."', '".$_POST["beschrijving"]."')");
                
               forward("De categorie is succesvol toegevoegd!", url."beheer/categorie");
            }
         }

         $tpl->get_template('site_header,site_tabel_header,beheer_header,beheer_cat_toevoegen,beheer_footer,tabel_footer,site_footer');

         $sleutel = sleutel(15);
         $sql->query("INSERT INTO flood (sleutel, tijd) VALUES ('".$sleutel."', '".time()."')");

         ## Formulier voor offline beschrijving
         $beschrijving = formulier("beschrijving", "", "categorie_toevoegen", 55, 10);

         $tpl->assign(array("site_tabel_header.titel"                => "Categorie toevoegen",
                            "site_header.titel"                      => "Categorie toevoegen",
                            "beheer_cat_toevoegen.bb"                => "#006600"            , 
                            "beheer_cat_toevoegen.html"              => "#006600"            ,
                            "beheer_cat_toevoegen.img"               => "#006600"            ,
                            "beheer_cat_toevoegen.smilies"           => "#006600"            , 
                            "beheer_cat_toevoegen.beschrijving"      => $beschrijving        ,
                            "beheer_cat_toevoegen.sleutel"           => $sleutel             ,
                            "beheer_cat_toevoegen.toevoegen"         => $_GET["toevoegen"]   ,
                            ));

      }   
   }
   elseif(!empty($_GET["bewerken"]))
   {
      $s_cat = $sql->query("SELECT titel, aantal, beschrijving FROM categorieen WHERE id = '".@$_GET["bewerken"]."'");
      $f_cat = $sql->fetch($s_cat);

      if(!$sql->num_rows($s_cat))
         forward("De opgegeven categorie bestaat niet!", url."beheer/categorie");
      else
      {
         if(isset($_POST["bewerken"]))
         {
            $fout = array();

            $bb->preparse($_POST['beschrijving']);

            if(empty($_POST["beschrijving"]) || !check_smilies($_POST["beschrijving"]))
            {
               $fout[] = "Je hebt geen beschrijving opgegeven of er komen teveel smilies in voor.";
            }

            if(strlen($data["titel"]) < 3 || strlen($data["titel"]) > 50)
            {
               $fout[] = "De titel is korter dan 3 tekens of langer dan 50 tekens.";
            }

            if(!is_numeric($_POST["aantal"]))
            {
               $fout[] = "Het aantal items is niet correct opgegeven.";
            }

            if(!fouten_verwerken($fout))
            {
               $sql->query("UPDATE categorieen SET titel = '".$_POST["titel"]."', beschrijving = '".$_POST["beschrijving"]."', aantal = '".$_POST["aantal"]."' WHERE id = '".$_GET["bewerken"]."'");

               forward("De categorie is succesvol bijgewerkt!", url."beheer/categorie");
            }
         }

         $tpl->get_template('site_header,site_tabel_header,beheer_header,beheer_cat_bewerken,beheer_footer,tabel_footer,site_footer');

         ## Formulier voor offline beschrijving
         $beschrijving = formulier("beschrijving", $f_cat["beschrijving"], "categorie_bewerken", 55, 10);

         $tpl->assign(array("site_tabel_header.titel"                => "Categorie bewerken" ,
                            "site_header.titel"                      => "Categorie bewerken" ,
                            "beheer_cat_bewerken.bb"                 => "#006600"            , 
                            "beheer_cat_bewerken.html"               => "#006600"            ,
                            "beheer_cat_bewerken.img"                => "#006600"            ,
                            "beheer_cat_bewerken.smilies"            => "#006600"            , 
                            "beheer_cat_bewerken.beschrijving"       => $beschrijving        ,
                            "beheer_cat_bewerken.titel"              => $f_cat["titel"]      ,
                            "beheer_cat_bewerken.bewerken"           => $_GET["bewerken"]    ,
                            "beheer_cat_bewerken.aantal"             => $f_cat["aantal"]     ,
                           ));

      }   
   }
   elseif(!empty($_GET["verwijderen"]))
   {
      $s_verwijderen = $sql->query("SELECT cat_id FROM categorieen WHERE id = '".$_GET["verwijderen"]."'");

      if(!$sql->num_rows($s_verwijderen))
         forward("De opgegeven categorie is niet gevonden!", url."beheer/categorie");
      else
      {
         $f_verwijderen = $sql->fetch($s_verwijderen);

         $sql->query("DELETE FROM categorieen WHERE id = '".$_GET["verwijderen"]."'");
         $sql->query("DELETE FROM ".strtolower($cat_titels[$f_verwijderen["cat_id"]])." WHERE cat = '".$_GET["verwijderen"]."'");

         forward("De categorie is succesvol verwijderd!", url."beheer/categorie");
      }
   }

   include pad."include/output.inc.php";

?>