<?php

include '../../include/include.inc.php';

if($core["status"] != 5)
{
   bericht("Je hebt niet de benodigde rechten om deze pagina te bekijken.");

   include pad."include/output.inc.php";
   exit;
}

if(empty($_GET['id']) || !is_numeric($_GET['id']))
{
   bericht('Je hebt geen ID-nummer opgegeven voor het te bewerken nieuwsbericht.');
}

$s_nieuws = $sql->query("SELECT id, titel, bericht, avatar, gesloten FROM nieuws WHERE id = " . $_GET['id']);
$f_nieuws = $sql->fetch($s_nieuws);    

if(!$sql->num_rows($s_nieuws))
{
   bericht('Het nieuwsbericht dat je had willen bewerken bestaat niet.');
}

if(!empty($_POST['reacties']))
{
   $re = new reactiesysteem;
   $re->remove_in_cat_id($_GET['id'], 1);

   forward("De reacties op dit nieuwsbericht zijn succesvol verwijderd.", url."beheer/nieuws/bewerken?id=" .$_GET['id']);
}
elseif(!empty($_POST['sluiten']))
{
   if($f_nieuws['gesloten'] == 0)
   {
      $sql->query("UPDATE nieuws SET gesloten = 1 WHERE id = " . $_GET['id']);

      forward("Je hebt het nieuwsbericht succesvol gesloten.", url . "beheer/nieuws/bewerken?id=" . $_GET['id']);
   }
   else
   {
      $sql->query("UPDATE nieuws SET gesloten = 0 WHERE id = " . $_GET['id']);

      forward("Je hebt het nieuwsbericht opnieuw geopend.", url . "beheer/nieuws/bewerken?id=" . $_GET['id']);
   }  
}
elseif(!empty($_POST['bewerken']))
{
   $fout = array();

   $_POST['bericht'] = $bb->preparse($_POST['bericht']);

   if(strlen($data['titel']) < 4 || strlen($data['titel']) > 100)
   {
      $fout[] = 'De titel is langer dan 100 tekens of korter dan 4 tekens.';
   }

   if(empty($_POST["bericht"]) || !check_smilies($_POST["bericht"]))
   {
      $fout[] = "Je hebt geen bericht opgegeven, of er komen teveel smilies in voor.";
   }

   if(!fouten_verwerken($fout))
   {
      $sql->query("UPDATE nieuws SET titel = '" . $data['titel'] . "', bericht = '" . $_POST['bericht'] . "', avatar = '" . $_POST['avatar'] . "' WHERE id = " . $_GET['id']);

      forward('Je nieuwsbericht is succesvol bewerkt!', url . 'beheer/nieuws/index');
   }
}

$tpl->get_template('site_header,site_tabel_header,beheer_header,beheer_nieuws_bewerken,beheer_footer,tabel_footer,site_footer');

$bericht = formulier("bericht", $f_nieuws['bericht'], "nieuws", 55, 10);

$tpl->assign(array('site_tabel_header.titel'         => 'Nieuws bewerken'        ,
                   'site_header.titel'               => 'Nieuws bewerken'        ,
                   'beheer_nieuws_bewerken.titel'    => $f_nieuws['titel']       ,
                   'beheer_nieuws_bewerken.bericht'  => $bericht                 ,
                   "beheer_nieuws_bewerken.bb"       => "#006600"                , 
                   "beheer_nieuws_bewerken.html"     => "#006600"                ,
                   "beheer_nieuws_bewerken.img"      => "#006600"                ,
                   "beheer_nieuws_bewerken.smilies"  => "#006600"                ,
                   "beheer_nieuws_bewerken.avatar"   => $f_nieuws['avatar']      ,
                   "beheer_nieuws_bewerken.id"       => $_GET['id']              ,
                  ));

include pad .'include/output.inc.php';

?>