<?php

include "../../include/include.inc.php";

if($core["status"] < 3)
{
   bericht("Je hebt niet de benodigde rechten om deze pagina te bekijken.");

   include pad."include/output.inc.php";
   exit;
}

if(empty($_GET['id']) || !is_numeric($_GET['id']))
{
   bericht('Je hebt geen ID-nummer opgegeven voor het de te bewerken poll.');
}

$s_poll = $sql->query("SELECT id, titel, opties FROM poll WHERE id = " .$_GET['id']);
$f_p = $sql->fetch($s_poll);

if(!$core["ingelogd"])
   bericht("Je kunt deze poll niet bewerken omdat je niet bent ingelogd.");

if(!$sql->num_rows($s_poll))
  bericht("Je kunt deze poll niet bewerken omdat het opgeven ID-nummer ongeldig is.");
else
{
   if(!empty($_POST["bewerken"]))
   {
      $fout           = array();
      $data["opties"] = explode("<br>", $data["opties"]);
      $opties         = array();

      if(empty($data["titel"]) || strlen($data["titel"]) < 4 || strlen($data["titel"]) > 150)
         $fout[] = "De opgegeven poll-titel is korter dan 4 tekens of langer dan 150 tekens.";
      if((empty($data["opties"]) && !empty($data["titel"])) || (!empty($data["opties"]) && empty($data["titel"])))
         $fout[] = "Je hebt geen poll opties of geen poll titel opgegeven.";

      preg_match_all("!\"(.+)\":\"(.+)\"!U", $f_p["opties"], $f_p["opties"]);
         
      $optie_array = array();

      foreach($data["opties"] as $id => $optie)
      {
         $optie = trim($optie);

         if(!empty($fout))
            break;
         elseif(!empty($optie) && strlen($optie) > 60)
         {
            $fout[] = "&Eacute;&eacute;n van de opgegeven poll opties is leeg of groter dan 60 tekens.";
            break;
         }
         elseif(empty($optie))
            break;
         elseif($id > 9)
         {
            $fout[] = "Je hebt meer dan tien poll opties ingevoerd, het maximum is tien opties per poll.";
            break;
         }
         elseif(in_array($optie, $optie_array))
         {
            $fout[] = "Je hebt 2 keer dezelfde optie gebruikt in de poll.";
            break;
         }
         else
         {
            if(in_array($data["opties"][$id], $f_p["opties"][1]))
            {
               $key = array_keys($f_p["opties"][1], $data["opties"][$id]);
               $opties[] = "\"".$data["opties"][$id]."\":\"".$f_p["opties"][2][$key[0]]."\"";
            }
            else
               $opties[] = "\"".$data["opties"][$id]."\":\"0\"";
         }

         $optie_array[] = $optie;
      }
      if(count($opties) == 1)
         $fout[] = "Er is maar 1 poll optie opgegeven, dit moeten er minimaal 2 zijn.";

      $opties = implode(",", $opties);

      if(empty($opties))
         $fout[] = "Er zijn geen opties voor die in de poll kunnen worden opgenomen gevonden.";

      if(!fouten_verwerken($fout))
      {
         $sql->query("UPDATE poll SET titel = '".$data["titel"]."', opties = '".$opties."' WHERE id = '".$data["id"]."'");
            
         admin_log("heeft de poll \'".$f_p["titel"]."\' aangepast.");

         forward("De poll is succesvol bewerkt, je wordt nu doorgestuurd.", url."beheer/poll/index");
      }
   }

   $tpl->get_template("site_header,site_tabel_header,beheer_poll_bewerken,tabel_footer,site_footer");

   preg_match_all("!\"(.+)\":\"(.+)\"!U", $f_p["opties"], $f_p["opties"]);
  
   $f_p["opties"] = implode("\n", $f_p["opties"][1]);

   $tpl->assign(array("beheer_poll_bewerken.titel"  => $f_p["titel"]         ,
                      "beheer_poll_bewerken.opties" => $f_p["opties"]        ,
                      "site_header.titel"           => "Poll bewerken"       ,
                      "site_tabel_header.titel"     => "Poll bewerken"       ,
                      "beheer_poll_bewerken.id"     => $data["id"]          ,
                     ));
}

include pad . "include/output.inc.php";

?>