<?php

   include "../include/include.inc.php";

   $tid = !empty($data["tid"]) && is_numeric($data["tid"]) ? $data["tid"] : "";
   $quote = !empty($data["quote"]) && is_numeric($data["quote"]) ? $data["quote"] : "";
   
   $s_info = $sql->query("SELECT
                          f.id AS fid, f.moderators, t.gesloten, f.toegang, t.titel
                          FROM forums_forums AS f, forums_topics AS t
                          WHERE t.id = ".$data["tid"]." AND f.id = t.fid");
   $f_info = $sql->fetch($s_info);

   if(!$core["ingelogd"])
      bericht("Je kunt alleen reageren op topics als je bent ingelogd met je geregistreerde gebruikersaccount op ".sitenaam."!");

   if(!$sql->num_rows($s_info) || ($f_info["gesloten"] == 1 && !is_moderator($f_info["moderators"])) || ($f_info["toegang"] == 3 && $core["status"] < 3))
      bericht("De topic waarop je van plan was te reageren kon niet worden gevonden, de topic is gesloten of je hebt niet de benodigde rechten om op deze topic te reageren.");
   else
   {
      if(!empty($_POST["reageren"]))
      {
         $_POST["bericht"] = $bb->preparse($_POST["bericht"]);
         $fout = array();

         if(empty($data["titel"]) || strlen($data["titel"]) < 4 || strlen($data["titel"]) > 60)
            $fout[] = "Je titel is korter dan 4 tekens of langer dan 60 tekens.";

         if(empty($_POST["bericht"]) || !check_smilies($_POST["bericht"]))
            $fout[] = "Je reactie is leeg of bevat te veel smilies.";

         if(strlen($_POST['bericht']) > 25000)
            $fout[] = 'Je reactie is langer dan 25.000 tekens.';

         $s_sleutel = $sql->query("SELECT COUNT(sleutel) FROM flood WHERE sleutel = '".$data["sleutel"]."'");

         if(!$sql->result($s_sleutel, 0))
            forward("Je hebt zonet al een reactie toegevoegd!", url."forums/topic/".$data["tid"]."/laatste");

         if(!fouten_verwerken($fout) && $_POST["reageren"] == "Preview")
         {
            $tpl->get_template("header,tabel_header,forums_reageren_top,forums_preview");
				
				$geef_top_weer = false;
				
            if(!empty($data["html"]))
               $status = $core["status"];
            else
               $status = 2;

            $tpl->assign(array(
                               "forums_preview.titel"   => $data["titel"]                                  ,
                               "forums_preview.bericht" => tekst_parsen(stripslashes($_POST["bericht"]), $status),
                              ));
         }
         else
         {
            $sql->query("DELETE FROM flood WHERE sleutel = '".$data["sleutel"]."'");

            if(!empty($data["html"]))
               $html = 1;
            else
               $html = 0;            

            if(!empty($_POST['sluiten']))
            {
               $sql->query("UPDATE forums_topics SET gesloten = '1' WHERE id = " . $data['tid']);
            }

            $sql->query("INSERT INTO forums_berichten (id, titel, auteur, bericht, bewerkt, tijd, tid, is_topic, html) VALUES(NULL, '".$data["titel"]."', '".$core["lid_id"]."', '".$_POST["bericht"]."', 0, ".time().", ".$data["tid"].", 0, ".$html.")");

            $sql->query("UPDATE forums_topics SET reacties = reacties + 1, laatste_post = ".time().", laatste_auteur = '".kleur($core["lidnaam"], $core["status"]).",".$core["lid_id"]."' WHERE id = ".$data["tid"]);

            $sql->query("UPDATE forums_forums SET berichten = berichten + 1, laatste_post = '".time().",".$data["tid"].",".kleur($core["lidnaam"], $core["status"]).",".$core["lid_id"]."' WHERE id = ".$f_info["fid"]);

            $sql->query("UPDATE leden SET posts = posts + 1 WHERE id = ".$core["lid_id"]);

            forward("Je reactie is succesvol toegevoegd, je wordt nu doorgestuurd.", url."forums/topic/".$data["tid"]."/laatste/force");
         }
      }
		
		if (!isset($geef_top_weer) || $geef_top_weer == true)
			$tpl->get_template('header,tabel_header,forums_reageren_top');
		
      if(!empty($data["quote"]) && !isset($bericht))
      {
         $s_quote = $sql->query("SELECT
                                b.bericht, b.titel, b.auteur, l.gebruikersnaam, b.tijd
                                FROM
                                forums_berichten AS b, leden AS l
                                WHERE b.tid = '".$data["tid"]."' AND b.id = '".$data["quote"]."' AND l.id = b.auteur");
         $f_quote = $sql->fetch($s_quote);
         
         if($sql->num_rows($s_quote))
         {
            $bericht = "[quote][i][b]".$f_quote["gebruikersnaam"]."[/b] schreef op ".date("d-m-Y H:i", $f_quote["tijd"])."[/i]\n\n".replace_nesting($f_quote["bericht"])."[/quote]";
         }
         else
            $bericht = "";
      }
      else
      	if ($_SERVER["REQUEST_METHOD"] == "POST")
      		$bericht = stripslashes($_POST["bericht"]);
      	else
	         $bericht = "";

      if(!isset($data["sleutel"]))
      {
         $sleutel = sleutel(15);
         $sql->query("INSERT INTO flood (sleutel, tijd) VALUES ('".$sleutel."', '".time()."')");
      }
      else
         $sleutel = $data["sleutel"];

      if($core["status"] > 3)
      {
         $admin_opties = "<tr>
             <td width=\"15%\" bgcolor=\"#f8f8f8\" style=\"border-right: #ffffff 3px solid\">
              &nbsp;
             </td>
             <td width=\"85%\" bgcolor=\"#f8f8f8\">
                <input type=\"checkbox\" name=\"html\"> Gebruik HTML in je bericht.
             </td>
            </tr>";
      }
 
      $formulier = formulier("bericht", $bericht, "reageren", 75, 15);      

      if($core["status"] >= 4)
         $html = "#006600";
      else
         $html = "red";

      $tpl->get_template("forums_reageren");

      // Wat nou als we admin of mod zijn?
      if($core["status"] > 3)
         $tpl->assign("forums_reageren.admin_opties", $admin_opties);
		
		if (isset($_POST["titel"]) && substr($_POST["titel"], 0, 3) == "Re:")
			$_POST["titel"] = substr($_POST["titel"], 4, strlen($_POST["titel"]));
		
 		$titel = (($_SERVER["REQUEST_METHOD"] == "POST") ? stripslashes($_POST["titel"]) : $f_info["titel"]);
      $tpl->assign(array("header.titel"              => "Reageren op een topic"              ,
                         "tabel_header.titel"        => "Reageren op topic ".$f_info["titel"],
                         "forums_reageren.tid"       => $data["tid"]                         ,
                         "forums_reageren.t_titel"   => $titel                               ,
                         "forums_reageren.formulier" => $formulier                           ,
                         "forums_reageren.sleutel"   => $sleutel                             ,
                         "forums_reageren.bb"        => "#006600"                            ,
                         "forums_reageren.html"      => $html                                ,
                         "forums_reageren.img"       => "#006600"                            ,
                         "forums_reageren.smilies"   => "#006600"                            ,
                        ));

      // De laatste 5 posts onderaan weergeven
      $tpl->get_template("forums_reageren_laatste_header");

      $s_laatste = $sql->query("SELECT
                                b.bericht, l.gebruikersnaam, b.tijd, l.status, b.html, b.auteur, l.ondertitel
                                FROM
                                forums_berichten AS b, leden AS l
                                WHERE tid = '".$data["tid"]."' AND l.id = b.auteur
                                ORDER BY b.tijd DESC LIMIT 0, 5");
      $i = 0;

      while($f_l = $sql->fetch($s_laatste))
      {
         $i++;
         $bgcolor = $i % 2 == 1 ? "#f7f7f4" : "";

         if($f_l["html"])
            $bericht = tekst_parsen($f_l["bericht"], $f_l["status"]);
         else
            $bericht = tekst_parsen($f_l["bericht"], 2); 

         $tpl->get_template("forums_reageren_laatste");

         $tpl->assign(array("forums_reageren_laatste.datum"     => date("d-m-Y H:i", $f_l["tijd"])              ,
                            "forums_reageren_laatste.auteur"    => kleur($f_l["gebruikersnaam"], $f_l["status"]),
                            "forums_reageren_laatste.auteur_id" => $f_l["auteur"]                               ,
                            "forums_reageren_laatste.bericht"   => $bericht                                     ,
                            "forums_reageren_laatste.ondertitel" => ondertitel($f_l["ondertitel"], $f_l["status"]),
                            "forums_reageren_laatste.actief_img" => bericht_actief($f_l["tijd"]),
                            "forums_reageren_laatste.bgcolor"    => $bgcolor,
                           ));
      }

      $tpl->get_template("forums_reageren_laatste_footer,tabel_footer,footer");
   }

   include pad . "include/output.inc.php";

?>
