<?php

   class leden
   {
      function get_info(&$core)
      {
         global $sql, $core, $sql;

         // Kijken of deze gebruiker is ingelogd
         if(!empty($_COOKIE["pe_hash"]))
         {
            ## In deze query worden ook de nieuwe privberichten geteld
            $s_lid = $sql->query("SELECT 
                          l.id, l.gebruikersnaam, l.status, l.avatar, l.actief_op, l.email, l.posts, l.avatars_zien, l.forward_zien, l.img, l.ondrschrft, l.smilies, COUNT(p.id) AS pbs, l.pb, l.pb_block, l.upload_level, l.onlinelijst, l.ip, b.ip AS ban_ip, b.gebruiker AS ban_gebruiker, o.bericht AS offline, l.t_laatste, l.menu, b.reden
                          FROM leden AS l
                          LEFT JOIN priveberichten AS p ON p.ontvanger = l.id AND p.gelezen = 0 AND p.status = 1
                          LEFT JOIN ban AS b ON b.ip = '".haal_ip()."' OR b.gebruiker = l.id
                          LEFT JOIN offline AS o ON 1 = 1
                          WHERE l.sleutel = '".$_COOKIE["pe_hash"]."' AND l.actief = 1
                          GROUP BY l.id");

            // Aantal leden met een extra query. :S
            $s_al = $sql->query("SELECT COUNT(id) FROM leden WHERE actief = 1");
       
            if($sql->num_rows($s_lid))
            {
               $f_lid = $sql->fetch($s_lid);

               $core["ingelogd"]     = 1;
               $core["upload_level"] = $f_lid["upload_level"];
               $core["lidnaam"]      = $f_lid["gebruikersnaam"];
               $core["lid_id"]       = $f_lid["id"];
               $core["email"]        = $f_lid["email"];
               $core["status"]       = $f_lid["status"];
               $core["posts"]        = $f_lid["posts"];
               $core["avatar"]       = $f_lid["avatar"];
               $core["ondrschrft"]   = $f_lid["ondrschrft"];
               $core["smilies"]      = $f_lid["smilies"];
               $core["img"]          = $f_lid["img"];
               $core["avatars_zien"] = $f_lid["avatars_zien"];
               $core["forward_zien"] = $f_lid["forward_zien"];
               $core["pbs"]          = $f_lid["pbs"];
               $core["pb"]           = $f_lid["pb"];
               $core["pb_block"]     = $f_lid["pb_block"];
               $core["ip"]           = explode("|", $f_lid["ip"]);
               $core["onlinelijst"]  = $f_lid["onlinelijst"];
               $core["t_laatste"]    = $f_lid["t_laatste"];
               $core['aantal_leden'] = $sql->result($s_al, 0);

               /*
                * Menu
                */ 

               $menu = explode(';', $f_lid['menu']);

               $core['menu']['persoonlijk']   = $menu[0];
               $core['menu']['actief']        = $menu[1];
               $core['menu']['actief_aantal'] = $menu[2];
               $core['menu']['linkpartners']  = $menu[3];

               if($core["status"] < 5)
                  $core["offline"] = $f_lid["offline"];
               else
                  $core["offline"] = 0;

               ## Laatste actief en IP adres updaten...
               if (!$f_lid["actief_op"] || date("d-m-Y", $f_lid["actief_op"]) != date("d-m-Y") || !in_array(haal_ip(), $core["ip"]))
               {
                  if(!in_array(haal_ip(), $core["ip"]))
                  {
                     $update_ip = $f_lid["ip"]."|".haal_ip();
                     
                     if($update_ip{0} == "|")
                        $update_ip = substr($update_ip, 1);
                  }
                  else
                     $update_ip = $f_lid["ip"];

                  ## Alle info updaten, ook al is 1 van de variabelen wel recent..
                  $sql->query("UPDATE leden SET actief_op = ".time().", ip = '".$update_ip."' WHERE id = '".$core["lid_id"]."'");
               }

               ## Kijken of deze gebruiker verbannen is
               if($f_lid["ban_ip"] == haal_ip() || $f_lid["ban_gebruiker"] == $core["lid_id"])
               {
                  $core["status"] = 1;
                  $core["reden"] = $f_lid["reden"];
               }
            }
            else
               $niet_ingelogd = 1;

            $sql->free_result($s_lid);
         }
         else
            $niet_ingelogd = 1;

         if(isset($niet_ingelogd))
         {
            $s_ban = $sql->query("SELECT 
                                 b.ip, b.gebruiker, b.reden,
                                 o.bericht AS offline
                                 FROM leden
                                 LEFT JOIN ban AS b ON b.ip = '".haal_ip()."'
                                 LEFT JOIN offline AS o ON 1 = 1");
            $f_ban = $sql->fetch($s_ban);

            $s_l = $sql->query("SELECT COUNT(id) FROM leden WHERE actief = 1");

            $core['aantal_leden'] = $sql->result($s_l, 0);

            if($f_ban["ip"])
            {
               $core["status"] = 1;
               $core["reden"] = $f_ban["reden"];
            }
            if($f_ban["offline"])
               $core["offline"] = $f_ban["offline"]; 
         }

         if($core["status"] == 1)
         {
            fatal_error("Je hebt geen toegang tot ".sitenaam.".<br><br>De crew van ".sitenaam." heeft de volgende reden voor je ban gegeven:<br><i>" . $core["reden"] . "</i><br><br>Ben je van mening dat je onterecht bent verbannen of dat er een fout is gemaakt?<br> Stuur dan een email naar <a href=\"mailto:info@".strtolower(sitenaam)."\">info@".strtolower(sitenaam)."</a>!", "Verbannen", 0);
         }
      }

      function inloggen($gebruikersnaam, $wachtwoord)
      {
         global $sql, $data, $core;

         if($data["tijdingelogd"] == 0)
            $tijdingelogd = 60*60;
         elseif($data["tijdingelogd"] == 1)
            $tijdingelogd = 60*60*24;
         elseif($data["tijdingelogd"] == 2)
            $tijdingelogd = 60*60*24*7;
         elseif($data["tijdingelogd"] == 3)
            $tijdingelogd = 60*60*24*31;
         else
            $tijdingelogd = 60*60*24*31*12;
                   
         $sleutel = sleutel();
             
         setcookie("pe_hash", $sleutel, time() + $tijdingelogd, "/");
         
         $sql->query("UPDATE leden SET sleutel = '".$sleutel."' WHERE gebruikersnaam = '" . $gebruikersnaam . "'");
         $sql->query("DELETE FROM online WHERE ip = '" . $core["ip"] . "'");
         
         forward("Je bent nu succesvol ingelogd als " . $gebruikersnaam, url);
               
         include pad."include/output.inc.php";
         exit;
      }

      function uitloggen()
      {
         global $sql, $core;

         $sql->query("DELETE FROM online WHERE gebruiker = '" . $core["lid_id"] . "'");
         setcookie("pe_hash", "", time(), "/");
      }

      function registreren()
      {
         global $data, $sql;

         $sleutel = sleutel();
               
         $sql->query("INSERT INTO leden (id, gebruikersnaam, wachtwoord, email, geregistreerdop, actief, a_sleutel, tijd) VALUES ('NULL', '".$data["gebruikersnaam"]."', '".md5(md5(md5($data["wachtwoord"])))."', '".$data["email"]."', '".time()."', 'nee', '".$sleutel."', '".time()."')");

         $mail_vars = array("gebruikersnaam" => $data["gebruikersnaam"],
                            "id"             => mysql_insert_id()       ,
                            "sleutel"        => $sleutel                ,
                           );

         email("noreply@".sitenaam, $data["email"], $data["gebruikersnaam"], sitenaam." - Je registratie voltooien", haal_mail("registratie_voltooien", $mail_vars));
      }
   }

?>