<?php

include '../include/include.inc.php';

if(!empty($_GET['id']) && is_numeric($_GET['id']))
{
   $s_info = $sql->query("SELECT pagina FROM kerstwedstrijd WHERE id = '" . $data['id'] . "'");

   if($sql->num_rows($s_info))
   {
      $tpl->reset_tpl();
      echo $sql->result($s_info, 0);
      exit;
   }
}

$s_info = $sql->query("SELECT k.id, k.auteur AS auteur_id, l.gebruikersnaam AS auteur, k.datum, l.status, k.score, COUNT(s.id) AS stemmen
                       FROM kerstwedstrijd AS k, leden AS l
                       LEFT JOIN kerstwedstrijd_stemmen AS s ON s.id = k.id
                       WHERE l.id = k.auteur
                       GROUP BY k.id 
                       ORDER BY score DESC");

$tpl->get_template('site_header,site_tabel_header,kerst_ingezonden_header');

$tpl->assign(array('site_header.titel'       => 'Kerstwedstrijd &rsaquo; ingezonden',
                   'site_tabel_header.titel' => 'Kerstwedstrijd &rsaquo; ingezonden',
                  ));

if(!$sql->num_rows($s_info))
{
   $tpl->get_template('kerst_ingezonden_geen');
}

while($f_info = $sql->fetch($s_info))
{
   $tpl->get_template('kerst_ingezonden');

   $tpl->assign(array('id'        => $f_info['id']                              ,
                      'auteur'    => kleur($f_info['auteur'], $f_info['status']),
                      'auteur_id' => $f_info['auteur_id']                       ,
                      'datum'     => date_format($f_info['datum'])              ,
                      'score'     => $f_info['score']                           ,
                      'stemmen'   => $f_info['stemmen']                         ,
                     ));
}

$tpl->get_template('kerst_ingezonden_footer,tabel_footer,site_footer');

include pad . 'include/output.inc.php';

?>