<?php
   
   include "../include/include.inc.php";

   $tpl->get_template("site_header,site_tabel_header,crew_header");

   $tpl->assign(array("site_tabel_header.titel" => "Crew",
                      "site_header.titel"       => "Crew",
                     ));

   $s_crew = $sql->query("SELECT l.id, l.gebruikersnaam, l.status FROM leden AS l WHERE l.status > 2 AND actief = 1 ORDER BY l.status DESC, l.id, l.gebruikersnaam ASC");

   if(!$sql->num_rows($s_crew))
      $tpl->get_template("geen_crew");
   else
   {
      $prev_status = 0;

      while($f_crew = $sql->fetch($s_crew))
      {
         if($f_crew['id'] == 1)
         {
            $tpl->get_template("crew_categorie");
            
            $globale_rechten = "De webmaster staat aan het hoofd van de crew.";
            
            $tpl->assign(array("status_naam"     => "Webmaster"     ,
                               "globale_rechten" => $globale_rechten,
                              ));
         }
         elseif(!$prev_status || $prev_status != $f_crew["status"] || $f_crew['id'] == 1)
         {
            $prev_status = $f_crew["status"];

            $tpl->get_template("crew_categorie");
            
            if($prev_status == 3)
               $globale_rechten = "Moderators kunnen het voor hun aangewezen forum beheren. Daarbij kunnen ze ook scripts en artikelen keuren.";
            elseif($prev_status == 4)
               $globale_rechten = "Super Moderators hebben dezelfde rechten als Moderators, ze kunnen echter wel alle forums beheren.";
            elseif($prev_status == 5)
               $globale_rechten = "Beheerders kunnen gebruikmaken van alle administratie opties op ".sitenaam.".";
            
            $tpl->assign(array("status_naam"     => get_status($f_crew["status"])."s",
                               "globale_rechten" => $globale_rechten                 ,
                              ));
         }

         $tpl->get_template("crewlid");

         $tpl->assign(array("gebruikersnaam" => kleur($f_crew["gebruikersnaam"],$f_crew["status"]),
                            "id"             => $f_crew["id"]                                     ,
                           ));
      }
   }

   $tpl->get_template("crew_footer,tabel_footer,site_footer");

   include "../include/output.inc.php";

?>