<?php

   include "../include/include.inc.php";

   $tpl->get_template("site_header,site_tabel_header,ledenlijst_header");

   $tpl->assign(array("site_tabel_header.titel" => "Ledenlijst",
                      "site_header.titel"       => "Ledenlijst",
                     ));

   $s_count = $sql->query("SELECT COUNT(id) FROM leden WHERE actief = 1");

   if(!$sql->result($s_count, 0))
      $tpl->get_template("ledenlijst_geen_leden");
   else
   {
      $data["pagina"] = !isset($_aGET[0]) ? 1 : $_aGET[0];
      $pn = pagina_navigatie(200, $sql->result($s_count, 0), $data["pagina"]);
       
      ## Alfabet select en check voor letter weergave
      $alfabet = array("123", "a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z");

      $letter_select = "";
      for($i = 0; $i < count($alfabet); $i++)
      {
         if(!empty($data["letter"]) && $alfabet[$i] == strtolower($data["letter"]))
            $letter = "<b>".strtoupper($alfabet[$i])."</b>";
         else
            $letter = strtoupper($alfabet[$i]);

         $letter_select .= "<a href=\"".url."leden/ledenlijst?letter=".$alfabet[$i]."\" class=\"zwart\">".$letter."</a> &nbsp;&nbsp;";
      }

      if(!empty($data["letter"]))
         $letter_select .= "/&nbsp; <a href=\"".url."leden/ledenlijst?pagina=1\" class=\"zwart\"><b>Normaal</b></a>";

      $tpl->assign(array("ledenlijst_header.pagina_select" => $pn["select"] ,
                         "ledenlijst_header.letter_select" => $letter_select,
                        ));

      if(!empty($data["letter"]) && in_array(strtolower($data["letter"]), $alfabet))
      {
         if($data["letter"] == 123)
            $syntax = "NOT REGEXP('^[a-zA-Z]')";
         else
            $syntax = "LIKE ('".$data["letter"]."%')";

         $s_leden = $sql->query("SELECT l.id, l.gebruikersnaam, l.posts, l.geregistreerdop, l.status FROM leden AS l WHERE gebruikersnaam ".$syntax." AND l.actief = 1 ORDER BY l.gebruikersnaam ASC LIMIT ".$pn["start"].", ".$pn["per_pagina"]);

         if(!$sql->num_rows($s_leden))
            $tpl->get_template("ledenlijst_geen_leden_letter");
      }
      else
         $s_leden = $sql->query("SELECT l.id, l.gebruikersnaam, l.posts, l.geregistreerdop, l.status FROM leden AS l WHERE l.actief = 1 ORDER BY l.gebruikersnaam ASC LIMIT ".$pn["start"].", ".$pn["per_pagina"]);
      
      $i = 0;
      while($f_lid = $sql->fetch($s_leden))
      {
         $i++;
         $bgcolor = ($i % 2 == 1) ? "#f7f7f4" : "";

         $tpl->get_template("ledenlijst_lid");

         $tpl->assign(array("gebruikersnaam"   => kleur($f_lid["gebruikersnaam"], $f_lid["status"]),
                            "id"               => $f_lid["id"]                                     ,
                            "posts"            => $f_lid["posts"]                                  , 
                            "geregistreerd_op" => date("d-m-Y", $f_lid["geregistreerdop"])         ,
                            "bgcolor"          => $bgcolor                                         ,
                           ));
      }

      $sql->free_result($s_leden);
   }

   $tpl->get_template("ledenlijst_footer,tabel_footer,site_footer");

   include pad."include/output.inc.php";

?>