<?php

   include "../include/include.inc.php";

   $data["id"] = !isset($_aGET[0]) ? "" : $_aGET[0];

   if(empty($data['id']) || !is_numeric($data['id']))
   {
      bericht("Er is geen profiel ID opgegeven.");

      include pad."include/output.inc.php";
      exit;
   }

   $s_info = $sql->query("SELECT l.id, l.elite, l.gebruikersnaam, l.status, l.posts, l.naam, l.email, l.msn, l.icq, l.woonplaats, l.geboortedatum, l.website, l.profiel_openbaar, l.mailweergeven, l.profiel_reacties, l.onderschrift, l.geregistreerdop, l.actief_op, l.ondertitel, l.avatar, l.omschrijving FROM leden AS l WHERE l.id = '".$data["id"]."' AND actief = 1");
   $f_info = $sql->fetch($s_info);

   if(!$sql->num_rows($s_info) || (!$f_info["profiel_openbaar"] && $core["status"] < 4 && $core["lid_id"] != $f_info["id"]))
   {
      bericht("Je kunt dit profiel niet bekijken. Dit kan zijn omdat het niet bestaat, je niet bent ingelogd of dat het profiel niet openbaar is.");
   }

      $tpl->get_template("site_header,site_tabel_header,profiel,tabel_footer");
       
      ## Echte naam
      if(empty($f_info["naam"]))
         $f_info["naam"] = "-";

      ## Email
      $f_info["email"] = email_spamvrij($f_info["email"], $f_info["mailweergeven"]);

      ## Website
      if(empty($f_info["website"]))
         $f_info["website"] = "-";
      else
         $f_info["website"] = "<a href=\"".$f_info["website"]."\" target=\"_blank\">".$f_info["website"]."</a>";

      ## Woonplaats
      if(empty($f_info["woonplaats"]))
         $f_info["woonplaats"] = "-";

      ## Geboortedatum
      if(empty($f_info["geboortedatum"]))
         $f_info["geboortedatum"] = "-";

      ## MSN
      if(empty($f_info["msn"]))
         $f_info["msn"] = "-";
      else
         $f_info["msn"] = email_spamvrij($f_info["msn"], 1);

      ## ICQ
      if(empty($f_info["icq"]))
         $f_info["icq"] = "-";
       
      ## Geregistreerd op
      $f_info["geregistreerdop"] = date("d-m-Y", $f_info["geregistreerdop"]);

      ## Laatst actief op
      if(empty($f_info["actief_op"]))
         $f_info["actief_op"] = "Nooit";
      else
         $f_info["actief_op"] = date("d-m-Y", $f_info["actief_op"]);

      ## Ondertitel
      $f_info["ondertitel"] = ondertitel($f_info["ondertitel"], $f_info["status"]);

      ## Onderschrift
      if(empty($f_info["onderschrift"]))
         $f_info["onderschrift"] = "-";
      else
         $f_info["onderschrift"] = substr(onderschrift($f_info["onderschrift"], $f_info["status"]), 56);

      if(empty($f_info["onderschrift"]))
         $f_info["onderschrift"] = "Uitgeschakeld";
       
      ## Avatar
      if(empty($f_info["avatar"]))
         $f_info["avatar"] = "-";
      else
         $f_info["avatar"] = get_avatar($f_info["id"], $f_info["gebruikersnaam"], $f_info["avatar"]);

      if(empty($f_info["avatar"]))
         $f_info["avatar"] = "Uitgeschakeld";
       
      ## Omschrijving
      if(empty($f_info["omschrijving"]))
         $f_info["omschrijving"] = $f_info["gebruikersnaam"]." heeft geen informatie over zichzelf ingevuld.";
      else
         $f_info["omschrijving"] = tekst_parsen($f_info["omschrijving"], $f_info["status"]);

      if($f_info['elite'] == 1)
         $f_info['elite'] = "(Elite)";
      else
         $f_info['elite'] = "";

      $tpl->assign(array("site_tabel_header.titel"  => "Profiel van ".$f_info["gebruikersnaam"]           ,
                         "site_header.titel"        => "Profiel van ".$f_info["gebruikersnaam"]           ,
                         "profiel.gebruikersnaam"   => kleur($f_info["gebruikersnaam"], $f_info["status"]),
                         "profiel.gebruikersnaam2"  => $f_info["gebruikersnaam"]                          ,
                         "profiel.id"               => $f_info["id"]                                      ,
                         "profiel.naam"             => $f_info["naam"]                                    ,
                         "profiel.email"            => $f_info["email"]                                   ,
                         "profiel.website"          => $f_info["website"]                                 ,
                         "profiel.woonplaats"       => $f_info["woonplaats"]                              ,
                         "profiel.geboortedatum"    => $f_info["geboortedatum"]                           ,
                         "profiel.msn"              => $f_info["msn"]                                     ,
                         "profiel.icq"              => $f_info["icq"]                                     ,
                         "profiel.geregistreerdop"  => $f_info["geregistreerdop"]                         ,
                         "profiel.status"           => get_status($f_info["status"])                      ,
                         "profiel.actief_op"        => $f_info["actief_op"]                               ,
                         "profiel.posts"            => $f_info["posts"]                                   ,
                         "profiel.ondertitel"       => $f_info["ondertitel"]                              ,
                         "profiel.onderschrift"     => $f_info["onderschrift"]                            ,
                         "profiel.avatar"           => $f_info["avatar"]                                  ,
                         "profiel.omschrijving"     => $f_info["omschrijving"]                            ,
                         "profiel.elite"            => $f_info['elite']                                   ,
                        ));
      $sql->free_result($s_info);

      $tpl->get_template("site_footer");

   include pad."include/output.inc.php";

?>