<?php

   class reactiesysteem
   {
      var $allowed_cats = array();

      function reactiesysteem()
      {
         $this->allowed_cats['1'] = 'nieuws/index/';
         $this->table_name['1'] = 'nieuws';
         $this->allowed_cats['2'] = 'poll?id=';
         $this->table_name['2'] = 'poll';
         $this->allowed_cats['3'] = 'artikelen/artikel/';
         $this->table_name['3'] = 'artikelen';
         $this->allowed_cats['4'] = 'scripts/script/';
         $this->table_name['4'] = 'scripts';
      }

      function reacties_weergeven($in_cat_id, $cat, $titel = "")
      {
         global $tpl, $core, $sql, $data;
         
         if(!empty($data["order"]) && (strtoupper($data["order"]) == "ASC" || strtoupper($data["order"]) == "DESC"))
         {
            $order         = strtoupper($data["order"]);
            $selected_asc  = strtoupper($data["order"]) == "ASC" ? "selected" : "";
            $selected_desc = strtoupper($data["order"]) == "DESC" ? "selected" : "";
         }
         else
         {
            $order         = "ASC";
            $selected_asc  = "selected";
            $selected_desc = "";
         }

         ## Het aantal reacties uit de database halen..
         $s_aantal = $sql->query("SELECT COUNT(id) FROM reactiesysteem WHERE cat = ".$cat." AND in_cat_id = ".$in_cat_id);

         $s_reacties = $sql->query("SELECT 
                                   r.id, r.bericht, r.datum, r.bewerkt,
                                   r2.id AS id2, r2.bericht AS sub_bericht, r2.datum AS datum2, r2.bewerkt AS bewerkt2, 
                                   l2.status AS status2, l2.gebruikersnaam AS gebruikersnaam2, l2.id AS lid2_id,
                                   l.status, l.gebruikersnaam, l.id AS lid_id
                                   FROM reactiesysteem AS r, leden AS l
                                   LEFT JOIN reactiesysteem AS r2 ON r2.sub = r.id
                                   LEFT JOIN leden AS l2 ON l2.id = r2.auteur
                                   WHERE r.cat = '".$cat."' AND r.in_cat_id = '".$in_cat_id."' AND r.sub = '' AND l.id = r.auteur
                                   ORDER BY r.datum ".$order.", r2.datum ".$order);

         $s_gesloten = $sql->query("SELECT gesloten FROM " . $this->table_name[$cat] . " WHERE id = " . $in_cat_id);
         $f_gesloten = $sql->fetch($s_gesloten);
         
         ## Kijken of er wel reacties zijn om weer te geven?
         if(!$sql->num_rows($s_reacties))
         {
            $tpl->get_template("site_tabel_header");
            $tpl->assign("titel", "Reacties ".$titel);
    
            if($f_gesloten['gesloten'] == 1)
            {
               $tpl->get_template("geen_reacties,plaats_reactie_link_gesloten,tabel_footer");

               $tpl->assign(array("plaats_reactie_link_gesloten.in_cat_id" => $in_cat_id,
                                  "plaats_reactie_link_gesloten.cat"       => $cat      ,
                                 ));
            }
            else
            {
               $tpl->get_template("geen_reacties,plaats_reactie_link,tabel_footer");

               $tpl->assign(array("plaats_reactie_link.in_cat_id" => $in_cat_id,
                                  "plaats_reactie_link.cat"       => $cat      ,
                                 ));
            }
         }
         else
         {
            $tpl->get_template("site_tabel_header");

            $tpl->assign("titel", "Reacties ".$titel." (".$sql->result($s_aantal, 0).")");
            
            if($f_gesloten['gesloten'] == 1)
            {
               $tpl->get_template("plaats_reactie_link_gesloten");

               $tpl->assign(array("plaats_reactie_link_gesloten.in_cat_id" => $in_cat_id,
                                  "plaats_reactie_link_gesloten.cat"       => $cat      ,
                                 ));
            }
            else
            {
               $tpl->get_template("plaats_reactie_link");

               $tpl->assign(array("plaats_reactie_link.in_cat_id" => $in_cat_id,
                                  "plaats_reactie_link.cat"       => $cat      ,
                                 ));
            }
 
            $tpl->assign(array("in_cat_id" => $in_cat_id,
                               "cat"       => $cat      ,
                              ));

            $tpl->get_template("reacties_weergeven");

            $tpl->assign(array("query_string"     => "?" . $_SERVER["QUERY_STRING"],
                               "selected_desc"    => $selected_desc                ,
                               "selected_asc"     => $selected_asc                 ,
                              ));

            $prev_id = 0;
            while($f_reactie = $sql->fetch($s_reacties))
            {
               ## Het bericht maar 1 keer weergeven.. Dus als het vorige id het zelfde is als het huidige slaan we het bericht deze keer maar over...
               if($prev_id != $f_reactie["id"])
               {
                  $tpl->get_template("reactie_weergeven_main");

                  if(!empty($f_reactie["bewerkt"]))
                     $f_reactie["bericht"] .= "\n\n[i]Dit bericht is bewerkt op ".date("d-m-Y H:i", $f_reactie["bewerkt"])."[/i]";

                  $actief_img = empty($f_reactie["bewerkt"]) ? bericht_actief($f_reactie["datum"]) : bericht_actief($f_reactie["bewerkt"]);
                  
                  $gebruikersnaam = kleur($f_reactie["gebruikersnaam"], $f_reactie["status"]);
                  $bericht        = tekst_parsen($f_reactie["bericht"], $f_reactie["status"], false);
             
                  $tpl->assign(array("auteur"     => $gebruikersnaam                       ,
                                     "datum"      => date("d-m-Y H:i", $f_reactie["datum"]),
                                     "auteur_id"  => $f_reactie["lid_id"]                  ,
                                     "in_cat_id"  => $in_cat_id                            ,
                                     "cat"        => $cat                                  ,
                                     "id"         => $f_reactie["id"]                      ,
                                     "actief_img" => $actief_img                           ,
                                     "bericht"    => $bericht                              ,
                                    ));

                  if($core["status"] > 2)
                     $tpl->block('reactie_weergeven_main', 'verwijderen');
                  if($core['status'] == 5)
                     $tpl->block('reactie_weergeven_main', 'ip_lookup');
                  if($core['ingelogd'])
                     $tpl->block('reactie_weergeven_main', 'reageren');
                  if($f_reactie["lid_id"] == $core["lid_id"])
                     $tpl->block('reactie_weergeven_main', 'bewerken');
                  elseif($core['status'] > 2)
                     $tpl->block('reactie_weergeven_main', 'bewerken');
               }
               
               ## Subreactie meegegeven?
               if(!empty($f_reactie["sub_bericht"]))
               {
                  $tpl->get_template("reactie_weergeven_sub");

                  if(!empty($f_reactie["bewerkt2"]))
                     $f_reactie["sub_bericht"] .= "\n\n[i]Dit bericht is bewerkt op ".date("d-m-Y H:i", $f_reactie["bewerkt2"])."[/i]";

                  $actief_img = empty($f_reactie["bewerkt2"]) ? bericht_actief($f_reactie["datum2"]) : bericht_actief($f_reactie["bewerkt2"]);
                  
                  $gebruikersnaam2 = kleur($f_reactie["gebruikersnaam2"], $f_reactie["status2"]);
                  $bericht2        = tekst_parsen($f_reactie["sub_bericht"], $f_reactie["status2"], false);

                  $tpl->assign(array("auteur"     => $gebruikersnaam2                       ,
                                     "datum"      => date("d-m-Y H:i", $f_reactie["datum2"]),
                                     "auteur_id"  => $f_reactie["lid2_id"]                  ,
                                     "in_cat_id"  => $in_cat_id                             ,
                                     "cat"        => $cat                                   ,
                                     "id"         => $f_reactie["id2"]                      ,
                                     "actief_img" => $actief_img                            ,
                                     "bericht"    => $bericht2                              ,
                                    ));

                  if($core["status"] > 2)
                     $tpl->block('reactie_weergeven_sub', 'verwijderen');
                  if($core['status'] == 5)
                     $tpl->block('reactie_weergeven_sub', 'ip_lookup');
                  if($f_reactie["lid2_id"] == $core["lid_id"])
                     $tpl->block('reactie_weergeven_sub', 'bewerken');
                  elseif($core['status'] > 2)
                     $tpl->block('reactie_weergeven_sub', 'bewerken');
               }

               ## Het vorige id weergeven
               $prev_id = $f_reactie["id"];
            }

            if($f_gesloten['gesloten'] == 1)
            {
               $tpl->get_template("plaats_reactie_link_gesloten");

               $tpl->assign(array("plaats_reactie_link_gesloten.in_cat_id" => $in_cat_id,
                                  "plaats_reactie_link_gesloten.cat"       => $cat      ,
                                 ));
            }
            else
            {
               $tpl->get_template("plaats_reactie_link");

               $tpl->assign(array("plaats_reactie_link.in_cat_id" => $in_cat_id,
                                  "plaats_reactie_link.cat"       => $cat      ,
                                 ));
            }

            $tpl->get_template("tabel_footer");
         }

         $sql->free_result($s_reacties);
      }

      function reactie_toevoegen($in_cat_id, $cat, $sub)
      {
         global $tpl, $core, $sql, $data, $bb;

         ## Als je niet bent ingelogd ook geen reactie plaatsen
         if(!$core["ingelogd"])
         {
            bericht("Als je een reactie wilt plaatsen moet je eerst inloggen, dat kun je doen door <a href=\"".url."leden/\">hier</a> te klikken.");

            include pad."include/output.inc.php";
            exit;
         }

         $s_gesloten = $sql->query("SELECT gesloten FROM " . $this->table_name[$cat] . " WHERE id = " . $in_cat_id);
         $f_gesloten = $sql->fetch($s_gesloten);

         if($f_gesloten['gesloten'] == 1 && $core['status'] < 3)
         {
            bericht('Je geen nieuwe reacties meer toevoegen omdat dit onderwerp is gesloten.');
         } 

         if(!empty($_POST["toevoegen"]))
         {
            $s_sleutel = $sql->query("SELECT COUNT(sleutel) FROM flood WHERE sleutel = '".$data["sleutel"]."'");

            $fout = array();

            $_POST["reactie"] = $bb->preparse($_POST["reactie"]);

            if(!$sql->result($s_sleutel, 0))
            {
               forward("Je hebt zonet al een reactie toegevoegd!", url."reacties/reageren?in_cat_id=".$in_cat_id."&cat=".$cat."&sub=".$sub);

               include pad."include/output.inc.php";
               exit;
            }
            
            if(strlen($_POST["reactie"]) < 4 || !check_smilies($_POST["reactie"]))
               $fout[] = "Het bericht bevat te veel smilies of is korter dan 4 tekens.";

            if(strlen($_POST['reactie']) > 10000)
               $fout[] = 'Je reactie is langer dan 10.000 tekens, kort je reactie in.';

            if(!fouten_verwerken($fout))
            {
               $sql->query("DELETE FROM flood WHERE sleutel = '".$data["sleutel"]."'"); 
               $sql->query("UPDATE leden SET posts = posts + 1 WHERE id = '".$core["lid_id"]."'");
			      $sql->query("INSERT INTO reactiesysteem (id, cat, in_cat_id, sub, auteur, datum, bericht) VALUES (NULL, '".$cat."', '".$in_cat_id."', '".$sub."', ".$core["lid_id"].", ".time().", '".$_POST["reactie"]."')");
               
               forward("Je reactie is succesvol toegevoegd, je wordt nu doorgestuurd naar je reactie!", url.$this->allowed_cats[$cat].$in_cat_id."#".mysql_insert_id());

               include pad."include/output.inc.php";
               exit;
            }
         }

         foreach($this->allowed_cats as $id => $url)
         {
            if($id == $cat)
            {
               $allowed = 1;
               $cat_url = $url;
            }
         }

         ## Als de cat niet voorkomt?
         if(empty($allowed))
         {
            forward("Er is een foute categorie opgegeven, je wordt nu doorgestuurd naar de frontpage.", url);

            include pad."include/output.inc.php";
            exit;
         }

         $tpl->get_template("site_header,site_tabel_header,reactie_toevoegen");

         if(!empty($sub))
         {
            ## Dit kom wel eens een sub reactie zijn, eerst eens nakijken of het wel helemaal klopt
            $s_info = $sql->query("SELECT l.gebruikersnaam AS auteur, l.id AS lid_id, l.status, r.datum FROM reactiesysteem AS r, leden AS l WHERE r.id = ".$sub." AND r.cat = ".$cat." AND l.id = r.auteur");

            if(!$sql->num_rows($s_info))
               $sub = "";
            else
            {
               $f_info = $sql->fetch($s_info);

               $tpl->assign("sub_reactie", "<p><b>Let op:</b> deze reactie wordt op een sub-niveau geplaatst als reactie op de reactie van <a href=\"" . url . "leden/profiel/" . $f_info["lid_id"] . "\" class=\"zwart\"><b>" . kleur($f_info["auteur"], $f_info["status"]) . "</b></a> op " . date("d-m-Y H:i", $f_info["datum"]) . "!</p>");
            }
         }
      
         ## Formulier voor de reactie
         $formulier = formulier("reactie", "", "reactie_toevoegen", 64, 11, true, false);

         ## HTML of niet?
         if($core["status"] >= 4)
            $html = "#006600";
         else
            $html = "red";

         if(!isset($data["sleutel"]))
         {
            $sleutel = sleutel(15);
            $sql->query("INSERT INTO flood (sleutel, tijd) VALUES ('".$sleutel."', '".time()."')");
         }
         else
            $sleutel = $data["sleutel"];

         $tpl->assign(array("site_tabel_header.titel"              => "Reactie toevoegen"                 ,
                            "site_header.titel"                    => "Reactie toevoegen"                 ,
                            "reactie_toevoegen.reactie"            => $formulier                          ,
                            "reactie_toevoegen.bb"                 => "#006600"                           ,
                            "reactie_toevoegen.html"               => $html                               ,
                            "reactie_toevoegen.img"                => "red"                               ,
                            "reactie_toevoegen.smilies"            => "#006600"                           ,
                            "reactie_toevoegen.cat"                => $cat                                ,
                            "reactie_toevoegen.in_cat_id"          => $in_cat_id                          ,
                            "reactie_toevoegen.sub"                => $sub                                ,
                            "reactie_toevoegen.cat_url"            => $cat_url                            ,
                            "reactie_toevoegen.sleutel"            => $sleutel                            ,
                           ));

         $tpl->get_template("tabel_footer,site_footer");
      }

      function reactie_bewerken($id)
      {
         global $tpl, $core, $sql, $data, $bb;

         ## Als je niet bent ingelogd ook geen reactie plaatsen
         if(!$core["ingelogd"])
         {
            bericht("Als je een reactie wilt bewerken moet je wel ingelogd zijn. Dat kun je <a href=\"".url."leden/\">hier</a> doen.");

            include pad."include/output.inc.php";
            exit;
         }

         $s_bericht = $sql->query("SELECT r.bericht, r.datum, r.auteur AS auteur_id, l.gebruikersnaam AS auteur, r.cat, r.in_cat_id FROM leden AS l, reactiesysteem AS r WHERE r.id = ".$id." AND l.id = r.auteur");
         $f_bericht = $sql->fetch($s_bericht);

         if(!$sql->num_rows($s_bericht) || ($f_bericht["auteur_id"] != $core["lid_id"] && $core["status"] < 3))
         {
            bericht("Je kunt deze reactie niet bewerken omdat deze niet bestaat of omdat deze niet van jou is.");

            include pad."include/output.inc.php";
            exit;
         }

         $s_gesloten = $sql->query("SELECT gesloten FROM " . $this->table_name[$f_bericht['cat']] . " WHERE id = " . $f_bericht['in_cat_id']);
         $f_gesloten = $sql->fetch($s_gesloten);

         if($f_gesloten['gesloten'] == 1 && $core['status'] < 3)
         {
            bericht('Je kunt dit bericht niet bewerken omdat het onderwerp waarop je reageert is gesloten.');
         }         

         ## De fout vars defineren
         $fout_reactie = "";

         if(!empty($_POST["bewerken"]))
         {
            $fout = array();

            $_POST["reactie"] = $bb->preparse($_POST["reactie"]);

            if(strlen($_POST["reactie"]) < 4 || !check_smilies($_POST["reactie"]))
               $fout[] = "De reactie is korter dan 4 tekens of bevat te veel smilies.";

            if(strlen($_POST['reactie']) > 10000)
               $fout[] = 'Je reactie is langer dan 10.000 tekens, kort je reactie in.';

            if(!fouten_verwerken($fout))
            {
               if($core["status"] >= 4)
                  $sql->query("UPDATE reactiesysteem SET bericht = '".$_POST["reactie"]."' WHERE id = ".$id);
               else
                  $sql->query("UPDATE reactiesysteem SET bericht = '".$_POST["reactie"]."', bewerkt = '".time()."' WHERE id = ".$id);

               if($f_bericht["auteur_id"] != $core["lid_id"])
                  admin_log("heeft de reactie van ".$f_bericht["auteur"]." (".$id.") bewerkt die geplaatst is op ".date("d-m-Y H:i", $f_bericht["datum"]).". (<a href=\"".url.$this->allowed_cats[$f_bericht["cat"]].$f_bericht["in_cat_id"]."\" target=\"_blank\">link</a>)");

               forward("Je reactie is succesvol bewerkt, je wordt nu doorgestuurd naar je reactie!", url.$this->allowed_cats[$f_bericht["cat"]].$f_bericht["in_cat_id"]."#".$id);

               include pad."include/output.inc.php";
               exit;
            }
         }
         
         $tpl->get_template("site_header,site_tabel_header,reactie_bewerken,tabel_footer,site_footer");

         ## Formulier voor de reactie
         $formulier = formulier("reactie", $f_bericht["bericht"], "reactie_bewerken", 64, 11, true, false);

         ## HTML of niet?
         if($core["status"] >= 4)
            $html = "#006600";
         else
            $html = "red";

         $tpl->assign(array("site_tabel_header.titel"             => "Reactie bewerken"                      ,
                            "site_header.titel"                   => "Reactie bewerken"                      ,
                            "reactie_bewerken.auteur"             => $f_bericht["auteur"]                    ,
                            "reactie_bewerken.reactie"            => $formulier                              ,
                            "reactie_bewerken.fout_reactie"       => $fout_reactie                           ,
                            "reactie_bewerken.bb"                 => "#006600"                               ,
                            "reactie_bewerken.html"               => $html                                   ,
                            "reactie_bewerken.img"                => "red"                                   ,
                            "reactie_bewerken.smilies"            => "#006600"                               ,
                            "reactie_bewerken.id"                 => $id                                     ,
                            "reactie_bewerken.in_cat_id"          => $f_bericht["in_cat_id"]                 ,
                            "reactie_bewerken.cat_url"            => $this->allowed_cats[$f_bericht["cat"]]  ,
                           ));
      }

      function reactie_verwijderen($id = "")
      {
         global $tpl, $sql, $core, $data;

         if($core["status"] < 3)
         {
            bericht("Je hebt niet de benodigde rechten om deze pagina te bekijken.");
         
            include pad."include/output.inc.php";
            exit;
         }

         $s_v = $sql->query("SELECT r.auteur, l.gebruikersnaam, r.datum FROM reactiesysteem AS r, leden AS l WHERE r.id = '".$id."' AND l.id = r.auteur");
         $f_v = $sql->fetch($s_v);

         if(!$sql->num_rows($s_v))
         {
            @forward("De opgegeven reactie bestaat niet en kan dus niet verwijderd worden!", url.$this->allowed_cats[$cat].$in_cat_id."#reacties");
         }
         else
         {
            $sql->query("DELETE FROM reactiesysteem WHERE id = ".$id);
            $sql->query("UPDATE leden SET posts = posts - 1 WHERE id = ".$f_v["auteur"]);

            $s_sub = $sql->query("SELECT id, auteur FROM reactiesysteem WHERE sub = ".$id);

            while($f_sub = $sql->fetch($s_sub))
            {
               $sql->query("DELETE FROM reactiesysteem WHERE id = " . $f_sub['id']);
               $sql->query("UPDATE leden SET posts = posts - 1 WHERE id = " . $f_sub['auteur']);
            }
            
            admin_log("heeft de reactie van ".$f_v["gebruikersnaam"]." verwijderd die geplaatst is op ".date("d-m-Y H:i", $f_v["datum"]).".");
                                                                                  
            forward("De geselecteerde reactie is succesvol verwijderd!",  url);
         }
      }

      function remove_in_cat_id($in_cat_id, $cat)
      {
         global $sql;

         $s_r = $sql->query("SELECT auteur FROM reactiesysteem WHERE in_cat_id = " .$in_cat_id. " AND cat = " .$cat);

         while($f_r = $sql->fetch($s_r))
         {
            $sql->query("UPDATE leden SET posts = posts - 1 WHERE gebruikersnaam = " . $f_r['auteur']);
         }

         $sql->query("DELETE FROM reactiesysteem WHERE in_cat_id = " .$in_cat_id. " AND cat = " .$cat);

         return true;
      }
   }

?>