<?php

include 'include/include.inc.php';

// Wat gaan we opnemen?
// admin acties, forum topics, reacties, wie is online, leden stats, referals, leden top 5

$tpl->get_template('site_header,site_tabel_header');

$tpl->assign(array('site_tabel_header.titel' => 'Bezoeker statistieken van de laatste 3 dagen',
                   'site_header.titel'       => 'Statistieken'         ,
                  ));

$s_bez = $sql->query("SELECT datum, uniek, hits FROM bezoekers ORDER BY datum DESC LIMIT 0, 3");

$hits_hoogste = 0;
$uniek_hoogste = 0;

while($f_bez = $sql->fetch($s_bez))
{
   if($f_bez['uniek'] > $uniek_hoogste)
   {
      $uniek_hoogste = $f_bez['uniek'];
   }

   if($f_bez['hits'] > $hits_hoogste)
   {
      $hits_hoogste = $f_bez['hits'];
   }
}

mysql_data_seek($s_bez, 0);

while($f_bez = $sql->fetch($s_bez))
{
   $tpl->get_template('stats_bezoekers');

   if($f_bez['uniek'] == 0)
     $procent = 0;
   else
     $procent = floor($f_bez['uniek'] / $uniek_hoogste * 100);

   $bezoekers = "<img src=\"" . url . "images/forums/poll_links.gif\" width=2 height=8>";
   $bezoekers .= "<img src=\"" . url . "images/forums/poll.gif\" width=" . ($procent * 2.8) . " height=8>";
   $bezoekers .= "<img src=\"" . url . "images/forums/poll_rechts.gif\" width=2 height=8> (" . $f_bez['uniek'] .")";

   if($f_bez['hits'] == 0)
     $procent = 0;
   else
     $procent = floor($f_bez['hits'] / $hits_hoogste * 100);

   $pageviews = "<img src=\"" . url . "images/forums/poll_links.gif\" width=2 height=8>";
   $pageviews .= "<img src=\"" . url . "images/forums/poll.gif\" width=" . ($procent * 2.8) . " height=8>";
   $pageviews .= "<img src=\"" . url . "images/forums/poll_rechts.gif\" width=2 height=8> (" . $f_bez['hits'] .")";

   $tpl->assign(array('datum'     => ucfirst(date_format($f_bez['datum'])),
                      'bezoekers' => $bezoekers                           ,
                      'hits'      => $pageviews                           ,
               ));
}

$tpl->get_template('tabel_footer');

get_onlinelijst('site_tabel_header');

// Posts top 10
$tpl->get_template('site_tabel_header,stats_rank,tabel_footer');

$s_leden = $sql->query("SELECT gebruikersnaam, id, status, posts FROM leden ORDER BY posts DESC LIMIT 0, 10");

$leden = array();
$i = 0;

while($f_leden = $sql->fetch($s_leden))
{
   $i++;
   $bgcolor = $i % 2 == 0 ? '#f8f8f8' : '';

   $leden[] = '<tr><td width="100%" class="forums" bgcolor="' . $bgcolor . '">' . $i . '. <a href="' . url . 'leden/profiel/' . $f_leden['id'] . '">' . kleur($f_leden['gebruikersnaam'], $f_leden['status']) . '</a> (' . $f_leden['posts'] . ')</td></tr>';
}

$leden = implode("\n", $leden);

$s_scripts = $sql->query("SELECT COUNT(s.id) AS aantal, l.gebruikersnaam, l.status, s.auteur AS id FROM scripts AS s, leden AS l WHERE s.gekeurd = 1 AND l.id = s.auteur GROUP BY s.auteur ORDER BY aantal DESC LIMIT 0,4");

$scripts = array();
$i = 0;

while($f_s = $sql->fetch($s_scripts))
{
   $i++;
   $bgcolor = $i % 2 == 0 ? '#f8f8f8' : '';

   $scripts[] = '<tr><td width="100%" class="forums" bgcolor="' . $bgcolor . '">' . $i . '. <a href="' . url . 'leden/profiel/' . $f_s['id'] . '">' . kleur($f_s['gebruikersnaam'], $f_s['status']) . '</a> (' . $f_s['aantal'] . ')</td></tr>';
}

$scripts = implode("\n", $scripts);

$s_artikelen = $sql->query("SELECT COUNT(a.id) AS aantal, l.gebruikersnaam, l.status, a.auteur AS id FROM artikelen AS a, leden AS l WHERE a.gekeurd = 1 AND l.id = a.auteur GROUP BY a.auteur ORDER BY aantal DESC LIMIT 0,4");

$artikelen = array();
$i = 0;

while($f_a = $sql->fetch($s_artikelen))
{
   $i++;
   $bgcolor = $i % 2 == 0 ? '#f8f8f8' : '';

   $artikelen[] = '<tr><td width="100%" class="forums" bgcolor="' . $bgcolor . '">' . $i . '. <a href="' . url . 'leden/profiel/' . $f_a['id'] . '">' . kleur($f_a['gebruikersnaam'], $f_a['status']) . '</a> (' . $f_a['aantal'] . ')</td></tr>';
}

$artikelen = implode("\n", $artikelen);

$tpl->assign(array('stats_rank.leden'        => $leden       ,
                   'stats_rank.scripts'      => $scripts     ,
                   'stats_rank.artikelen'    => $artikelen   ,
                   'site_tabel_header.titel' => 'Ranglijsten',
                  ));

$tpl->get_template('site_tabel_header,stats_overige');

// Aantal leden, posts & nieuwste lid
$s_leden = $sql->query("SELECT id, gebruikersnaam, status, actief, posts FROM leden ORDER BY id ASC");

$actief = 0;
$niet_actief = 0;
$posts = 0;

while($f_l = $sql->fetch($s_leden))
{
   $posts += $f_l['posts'];

   if($f_l['actief'] == 1)
      $actief++;
   else
      $niet_actief++;

   if($f_l['actief'] == 1)
      $nieuwste_lid = '<a href="' .url. 'leden/profiel/' .$f_l['id']. '">' .kleur($f_l['gebruikersnaam'], $f_l['status']). '</a>';
}

// Reacties
$reacties = $sql->query("SELECT COUNT(id) FROM reactiesysteem");
$reacties = $sql->result($reacties, 0);

// Forums & Categorien
$forums = $sql->result($sql->query("SELECT COUNT(id) FROM forums_forums"), 0);
$categorieen = $sql->result($sql->query("SELECT COUNT(id) FROM forums_categorieen"), 0);

// Beheeracties
$beheeracties = $sql->result($sql->query("SELECT COUNT(id) FROM admin_log"), 0);

// Topics
$topics = $sql->result($sql->query("SELECT COUNT(id) FROM forums_topics"), 0);

// Berichten
$berichten = $sql->result($sql->query("SELECT COUNT(id) FROM forums_berichten"), 0);

// Inbox & verzonden
$s_pb = $sql->query("SELECT status FROM priveberichten");

$inbox = 0;
$verzonden = 0;

while($f_pb = $sql->fetch($s_pb))
{
   if($f_pb['status'] == 1)
      $inbox++;
   else
      $verzonden++;
}

$tpl->assign(array('site_tabel_header.titel'               => 'Overige'    ,
                   'stats_overige.actief'                  => $actief      ,
                   'stats_overige.niet_actief'             => $niet_actief ,
                   'stats_overige.reacties'                => $reacties    ,
                   'stats_overige.forums'                  => $forums      ,
                   'stats_overige.forum_categorieen'       => $categorieen ,
                   'stats_overige.nieuwste_lid'            => $nieuwste_lid,
                   'stats_overige.geplaatste_berichten'    => $posts       ,
                   'stats_overige.beheeracties'            => $beheeracties,
                   'stats_overige.topics'                  => $topics      ,
                   'stats_overige.berichten'               => $berichten   ,
                   'stats_overige.pb_verzonden'            => $verzonden   ,
                   'stats_overige.pb_inbox'                => $inbox       ,
                  ));
                  
$tpl->get_template('tabel_footer,site_footer');

include pad . 'include/output.inc.php';

?>